# Generate automatically. Do not edit.

commit aca66ebce1e23687ce3897814da5e1ef73dd28d4
Author: Stef Walter <stefw@gnome.org>
Date:   2015-08-03

    Release version 3.17.4

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 9d3b99e3da8d6c8cd4dcbe182f76088a913c5349
Author: Stef Walter <stefw@gnome.org>
Date:   2015-07-26

    dbus: Fix regression endless loop when handling GetEnvironment

 daemon/dbus/gkd-dbus.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 26da7fed823b60f83c59b8fc9b78d49f0169d2b8
Author: Giovanni Campagna <scampa.giovanni@gmail.com>
Date:   2015-03-17

    gnome2-store: remove temporary files on failure
    
    Let's avoid littering ~/.local/share/keyrings with user.keystore.*
    empty files
    
    https://bugzilla.gnome.org/show_bug.cgi?id=746334

 pkcs11/gnome2-store/gkm-gnome2-storage.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit edfd067c3e867653ad3a831405edf4a1170d5aca
Author: Stef Walter <stefw@gnome.org>
Date:   2015-07-01

    dbus: Clearer message for unlock prompt failure

 daemon/dbus/gkd-secret-unlock.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 077a3174dff35aacfc6c287f2866eaccfaae5a12
Author: Stef Walter <stefw@gnome.org>
Date:   2015-07-01

    dbus: Fix another GVariant type string

 daemon/dbus/gkd-secret-objects.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bb6dfc6cca89f7381e5d90660fee1fc12133c1f7
Author: Stef Walter <stefw@gnome.org>
Date:   2015-07-01

    dbus: Fix GVariant signature used to encode secret

 daemon/dbus/gkd-secret-objects.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 452659ec669096b0a987442b0d991bc7e896a2dd
Author: Stef Walter <stefw@gnome.org>
Date:   2015-06-30

    dbus: Fix inverted g_strcmp0 check when initializing gnome-session

 daemon/dbus/gkd-dbus-environment.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b7e8081e78cef8a56c47fd4361069edfa1ae865e
Author: Stef Walter <stefw@gnome.org>
Date:   2015-06-30

    daemon: Don't rebuild DBus generated files on every make

 daemon/dbus/Makefile.am | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit c0b02d973b2169ce773efb6b436737de321162e2
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:   2015-06-29

    Updated Portuguese translation

 po/pt.po | 384 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 193 insertions(+), 191 deletions(-)

commit 113648d357ea5cd4fcc7813b3c6b6756bb907845
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   2015-06-29

    dbus: try again to fix builddir != srcdir

 daemon/dbus/Makefile.am | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 4d09b2ce3303f49ab7fc86abc5f4e11fd227f769
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   2015-06-29

    dbus: try to fix srcdir != builddir

 daemon/dbus/Makefile.am | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 74167eb0afbf355fd431e88cb0a5a8779eaa0356
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   2015-06-29

    Fix distcheck

 Makefile.am             | 4 ++--
 daemon/dbus/Makefile.am | 6 ++++++
 2 files changed, 8 insertions(+), 2 deletions(-)

commit f24e3748d0c92937fee9e167536153b260d78500
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   2015-04-25

    Fix spaces -> tabs

 daemon/dbus/gkd-dbus-environment.c |   2 +-
 daemon/dbus/gkd-dbus-secrets.c     |   4 +-
 daemon/dbus/gkd-dbus.c             |  22 +++---
 daemon/dbus/gkd-secret-change.c    |  74 ++++++++++----------
 daemon/dbus/gkd-secret-create.c    |  62 ++++++++---------
 daemon/dbus/gkd-secret-error.c     |  52 +++++++-------
 daemon/dbus/gkd-secret-exchange.c  |  74 ++++++++++----------
 daemon/dbus/gkd-secret-lock.c      |  14 ++--
 daemon/dbus/gkd-secret-objects.c   | 134 ++++++++++++++++++-------------------
 daemon/dbus/gkd-secret-prompt.c    |  36 +++++-----
 daemon/dbus/gkd-secret-property.c  |  66 +++++++++---------
 daemon/dbus/gkd-secret-secret.c    |  50 +++++++-------
 daemon/dbus/gkd-secret-service.c   | 124 +++++++++++++++++-----------------
 daemon/dbus/gkd-secret-session.c   |  64 +++++++++---------
 daemon/dbus/gkd-secret-unlock.c    |  66 +++++++++---------
 daemon/dbus/gkd-secret-util.c      |   8 +--
 16 files changed, 426 insertions(+), 426 deletions(-)

commit 6acc9bb2fba9daedc814507bc5a59cdbc0c015dd
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   2015-04-25

    Annotate generated types from gdbus-codegen
    
    Give these generated classes some sensible names.

 daemon/dbus/Makefile.am          |  7 ++++
 daemon/dbus/gkd-dbus.c           | 18 ++++-----
 daemon/dbus/gkd-secret-objects.c | 84 ++++++++++++++++++++--------------------
 daemon/dbus/gkd-secret-prompt.c  | 16 ++++----
 daemon/dbus/gkd-secret-service.c | 82 +++++++++++++++++++--------------------
 daemon/dbus/gkd-secret-session.c |  8 ++--
 daemon/dbus/gkd-secret-unlock.c  | 18 ++++-----
 7 files changed, 120 insertions(+), 113 deletions(-)

commit 974165fa6bdd81a419c80d94b0f95150832e2e55
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   2014-11-14

    dbus-error: fix error message

 daemon/dbus/gkd-secret-error.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2821bc32e3280439382c6e600efaf8dc4763732c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   2014-11-14

    dbus-objects: return correct DBus error codes

 daemon/dbus/gkd-secret-objects.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit b1879da839882e4232be7884219324995eb9e0e3
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   2014-11-14

    dbus-error: check for error != NULL
    
    It's a programmer error to call this without a GError.

 daemon/dbus/gkd-secret-error.c | 2 ++
 1 file changed, 2 insertions(+)

commit 5d6c9d37c1adf1414a3b63a2a2a1cc764591caf6
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   2014-11-14

    dbus: plug some memory leaks

 daemon/dbus/gkd-dbus-session.c    | 45 ++++++++++++++++++++++-----------------
 daemon/dbus/gkd-secret-property.c |  8 +++++--
 2 files changed, 32 insertions(+), 21 deletions(-)

commit 3d91423537093cbc2814a7278e1cb8311202eeaa
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   2014-11-14

    build: don't put generated files in $(srcdir)

 daemon/dbus/Makefile.am | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit c705262e4906e201a1d0ed19ee0663325208adb1
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   2014-11-09

    dbus: cleanup error handling

 daemon/dbus/gkd-dbus.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 7e78262511c58cb55ccbbd23ffb3307c19a95e84
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   2014-11-09

    dbus-session: don't forget to assign signal registration ID

 daemon/dbus/gkd-dbus-session.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 7dabccd8c3d62063367eb947c58f4622911301ce
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   2014-11-09

    dbus-environment: plug a memory leak

 daemon/dbus/gkd-dbus-environment.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 3c68e9accc7b7f4ed6786247b9a00d06a8196f9d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   2014-11-09

    dbus-service: make sure all clients are registered before handling requests
    
    To ensure this, we install a filter on our DBus connection, and remove
    the call to fetch the caller credentials, since we don't use them (and
    we wouldn't want to do that from the message processing worker thread).

 daemon/dbus/gkd-secret-service.c | 134 +++++++++++++++++++--------------------
 1 file changed, 67 insertions(+), 67 deletions(-)

commit ed390c9dc561121e4ed9bde2078ccbbf1f619244
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   2014-11-08

    Update .gitignore
    
    https://bugzilla.gnome.org/show_bug.cgi?id=622905

 .gitignore | 7 +++++++
 1 file changed, 7 insertions(+)

commit a590a9f987c7fe0f0014f2d9c64236db7cd1d74e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   2014-11-08

    test: adapt for gdbus-codegen PropertiesChanged behavior
    
    Before using gdbus-codegen for the secret objects, property signals
    would be emitted synchronously before returning the method call.
    Generated GDBus skeletons will queue signalling of property changes in
    an idle, so we can't rely on the same timing behavior as before.
    
    See code comment for more details.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=622905

 daemon/dbus/test-dbus-signals.c | 48 ++++++++++++++++++++++++++++++++++-------
 1 file changed, 40 insertions(+), 8 deletions(-)

commit 08051920c7bf7a1a51b8aad90dfdb362fd2fa4ed
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   2014-11-08

    build: remove dbus checks
    
    We don't depend on libdbus anymore.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=622905

 configure.ac | 7 -------
 1 file changed, 7 deletions(-)

commit 1d26d1a83f669c895e8a9e84d626a45a89e5e567
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   2014-11-08

    egg: remove egg-dbus.[ch]
    
    They're not used anymore.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=622905

 daemon/Makefile.am     |   1 -
 daemon/dbus/gkd-dbus.c |   1 -
 egg/Makefile.am        |  14 +-
 egg/egg-dbus.c         | 420 -------------------------------------------------
 egg/egg-dbus.h         |  36 -----
 5 files changed, 1 insertion(+), 471 deletions(-)

commit c459da1c8af39f23c6d160a7bc694496ad17cada
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   2014-11-01

    Port gnome-keyring-daemon to GDBus
    
    This commit ports gnome-keyring-daemon from libdbus1 to GDBus.
    Unfortunately it's not really possible to split this commit into
    multiple while keeping the code building.
    
    Noteworthy is the different approach that GDBus allows us to use;
    instead of filtering every message and writing our own internal message
    routing, we can more naturally use generated skeletons and
    register/unregister them on the bus as needed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=622905

 configure.ac                                       |    2 +-
 daemon/dbus/Makefile.am                            |   39 +-
 daemon/dbus/gkd-dbus-environment.c                 |   78 +-
 daemon/dbus/gkd-dbus-private.h                     |   18 +-
 daemon/dbus/gkd-dbus-secrets.c                     |   54 +-
 daemon/dbus/gkd-dbus-session.c                     |  183 +--
 daemon/dbus/gkd-dbus-util.c                        |  134 --
 daemon/dbus/gkd-dbus-util.h                        |   40 -
 daemon/dbus/gkd-dbus.c                             |  255 ++-
 daemon/dbus/gkd-secret-change.c                    |   12 +-
 daemon/dbus/gkd-secret-create.c                    |    9 +-
 daemon/dbus/gkd-secret-dispatch.c                  |    8 -
 daemon/dbus/gkd-secret-dispatch.h                  |    6 -
 daemon/dbus/gkd-secret-error.c                     |   70 +-
 daemon/dbus/gkd-secret-error.h                     |   24 +-
 daemon/dbus/gkd-secret-introspect.c                |  283 ----
 daemon/dbus/gkd-secret-introspect.h                |   35 -
 daemon/dbus/gkd-secret-lock.c                      |   13 +-
 daemon/dbus/gkd-secret-lock.h                      |    6 +-
 daemon/dbus/gkd-secret-objects.c                   | 1621 ++++++++++----------
 daemon/dbus/gkd-secret-objects.h                   |   45 +-
 daemon/dbus/gkd-secret-prompt.c                    |  127 +-
 daemon/dbus/gkd-secret-prompt.h                    |    5 +-
 daemon/dbus/gkd-secret-property.c                  |  235 ++-
 daemon/dbus/gkd-secret-property.h                  |   14 +-
 daemon/dbus/gkd-secret-secret.c                    |  121 +-
 daemon/dbus/gkd-secret-secret.h                    |   11 +-
 daemon/dbus/gkd-secret-service.c                   | 1240 +++++++--------
 daemon/dbus/gkd-secret-service.h                   |   12 +-
 daemon/dbus/gkd-secret-session.c                   |  264 ++--
 daemon/dbus/gkd-secret-session.h                   |   12 +-
 daemon/dbus/gkd-secret-types.h                     |    7 +-
 daemon/dbus/gkd-secret-unlock.c                    |  145 +-
 daemon/dbus/gkd-secret-unlock.h                    |    2 +-
 daemon/dbus/gkd-secret-util.h                      |    2 -
 daemon/dbus/org.freedesktop.Secrets.xml            |  167 ++
 daemon/dbus/org.gnome.keyring.Daemon.xml           |   13 +
 ...ing.InternalUnsupportedGuiltRiddenInterface.xml |   25 +
 38 files changed, 2312 insertions(+), 3025 deletions(-)

commit 3c05553258d2442f90e806f3eb045ce84c7afec8
Author: David Woodhouse <David.Woodhouse@intel.com>
Date:   2015-06-23

    Fix PKCS#11 RPC handling of multi-threaded clients
    
    In a multi-threaded client which makes concurrent calls into the PKCS#11
    module (which is permitted as long as it's for separate sessions), we
    might end up with multiple RPC connections to the dæmon.
    
    These are currently being treated as independent client applications,
    which leads to spurious CKR_USER_NOT_LOGGED_IN and other errors as
    described at https://bugzilla.redhat.com/show_bug.cgi?id=1173279
    
    Fix this by moving the CK_G_APPLICATION state out of the CallState and
    into a separate refcounted ClientInstance data structure, and looking up
    the appropriate ClientInstance for new connections before creating a new
    one.
    
    The ClientInstance is accessed without locking during certain calls
    because we know it *cannot* go away while a refcount is still held on it.

 pkcs11/rpc-layer/gkm-rpc-dispatch.c | 77 +++++++++++++++++++++++++++++++------
 1 file changed, 66 insertions(+), 11 deletions(-)

commit a8862f74aaed5ac7ea7b3d72984ddd9c40febd34
Author: Stef Walter <stefw@gnome.org>
Date:   2015-06-07

    daemon: Remove the GnuPG agent
    
    The GnuPG agent is incomplete and incompatible with many uses of
    GnuPG 2.x.
    
    There is a new pinentry that replaces this. It prompts via system
    modal dialogs, and allows optional caching of passphrases.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=750514

 HACKING                                     |   3 -
 Makefile.am                                 |   2 -
 configure.ac                                |  18 -
 daemon/.gitignore                           |   2 -
 daemon/Makefile.am                          |   3 +-
 daemon/gkd-glue.c                           |  41 --
 daemon/gkd-glue.h                           |   2 -
 daemon/gkd-main.c                           |  18 +-
 daemon/gkd-pkcs11.c                         |   5 +-
 daemon/gnome-keyring-gpg.desktop.in.in      |  13 -
 daemon/gpg-agent/.gitignore                 |   1 -
 daemon/gpg-agent/Makefile.am                |  15 -
 daemon/gpg-agent/gkd-gpg-agent-ops.c        | 665 ----------------------------
 daemon/gpg-agent/gkd-gpg-agent-private.h    | 118 -----
 daemon/gpg-agent/gkd-gpg-agent-standalone.c | 123 -----
 daemon/gpg-agent/gkd-gpg-agent.c            | 506 ---------------------
 daemon/gpg-agent/gkd-gpg-agent.h            |  39 --
 daemon/login/gkd-login.c                    |   8 +-
 docs/gnome-keyring-daemon.xml               |   4 +-
 po/POTFILES.in                              |   2 -
 po/POTFILES.skip                            |   3 +-
 schema/org.gnome.crypto.cache.gschema.xml   |   5 -
 22 files changed, 10 insertions(+), 1586 deletions(-)

commit ab2182a1efedaae28a58d2a239cdf224da6249ce
Author: Stef Walter <stefw@gnome.org>
Date:   2015-06-07

    Bump version number

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ea4b2de2ad71ad98ca973500d8d4f5a5b572c5b6
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   2015-05-20

    Updated Occitan translation

 po/oc.po | 626 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++------
 1 file changed, 570 insertions(+), 56 deletions(-)

commit 7274742a82278965f2cc4908a631822d5ef21328
Author: Changwoo Ryu <cwryu@debian.org>
Date:   2015-05-08

    Updated Korean translation

 po/ko.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 011a3d1317621e9ae0511b78d8dc93a45d659171
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   2015-04-28

    Updated Occitan translation

 po/oc.po | 536 ++++++---------------------------------------------------------
 1 file changed, 45 insertions(+), 491 deletions(-)

commit ba898d755267b33eeb944971c518e7718f76f397
Author: Changwoo Ryu <cwryu@debian.org>
Date:   2015-04-28

    Updated Korean translation

 po/ko.po | 36 +++++++++++++++++-------------------
 1 file changed, 17 insertions(+), 19 deletions(-)

commit a870db16ead465adc04b34d922b4e14c37b03c22
Author: Stef Walter <stefw@gnome.org>
Date:   2015-04-08

    Release version 3.16.0

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit c6dad0a7a26a1aad773b663d4a1cb3c2d4a80493
Author: Stef Walter <stefw@gnome.org>
Date:   2015-04-08

    gkm: Objects can remove each-other recursively
    
    For instance, if an object has a credential, and the object is
    removed, then the credential self-destructs. Now if both of those
    are owned by a session, and the session is closed, then all the
    objects are removed at once. The self-destruct should become
    a noop instead of complaining.

 pkcs11/gkm/gkm-session.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 55e0b1a607bec29b5c0711741765250742c79666
Author: Stef Walter <stefw@gnome.org>
Date:   2015-04-08

    egg: Don't crash tests if test directory was removed
    
    It's okay if the directory is gone, it may have been
    removed by a test.

 egg/egg-testing.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 993100c570dd99723254006adb5219838bbd1e1d
Author: Stef Walter <stefw@gnome.org>
Date:   2015-04-08

    egg: Fix regression caused by earlier GCC fix

 egg/egg-dn.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2411d155e180da712c53eb0d67e4a5eaaea214b3
Author: Stef Walter <stefw@gnome.org>
Date:   2015-03-23

    Fix issues highlighted by GCC 5.0.x

 daemon/control/gkd-control-server.c | 2 +-
 egg/egg-dn.c                        | 2 +-
 pkcs11/gkm/gkm-transaction.c        | 2 +-
 pkcs11/rpc-layer/gkm-rpc-dispatch.c | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit bf43581f4248dea3595b9c329938acd03c8e5bc4
Author: Adrian Bunk <bunk@stusta.de>
Date:   2012-08-29

    remove the .cvsignore files
    
    No longer needed after the switch to git.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682978

 .cvsignore    | 45 ---------------------------------------------
 po/.cvsignore | 14 --------------
 2 files changed, 59 deletions(-)

commit 1aa906d985c40022d602d3c72de700c68918e667
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   2015-03-22

    Updated Turkish translation

 po/tr.po | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit e5d445e9321a6f4d2b89e33139f1b136ecc06ef7
Author: Matthias Clasen <mclasen@redhat.com>
Date:   2015-03-17

    3.15.92

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 36785e07d5b49c6cbe2a412fc1e77e1782eaa28c
Author: Samir Ribic <samir.ribic@etf.unsa.ba>
Date:   2015-03-13

    Updated Bosnian translation

 po/bs.po | 634 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 340 insertions(+), 294 deletions(-)

commit 06422ea18cebfd6d4d554d01445eafb3d140d6b8
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2015-03-06

    Revert "ssh-agent: Fix leak in search_keys_like_attributes()"
    
    This reverts commit d177a8b5353f3156ab504f39c20753d6786e5e4d.
    
    This breaks the ssh agent as this causes it to fail to remember unlocked
    keys, and to always ask for a key passphrase when attempting an ssh
    connection.
    From https://bugzilla.gnome.org/show_bug.cgi?id=744280 :
    « ssh foo.example.com is always asking to unlock the corresponding key
    while before this commit this works fine.
    
    gkd-ssh-agent-ops.c:op_sign_request has:
    result = unlock_and_sign (session, key, mech, hash, n_hash, &n_result,
    &error);
    g_object_unref (session);
    g_object_unref (key);
    
    After the leak fix mentioned above, unreffing 'key' causes the last
    reference to be released, so it's destroyed, and this locks the just
    unlocked key.
    Removing the g_object_unref() avoids this issue, but readds a leak. I
    assume 'key' should be added somewhere so that it's kept alive, but I'm
    not really sure where/how »

 daemon/ssh-agent/gkd-ssh-agent-ops.c | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit a942c8f458e337d90101e6a81654478fda6ccfa9
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:   2015-03-05

    pam: Make sure to never block SIGCHLD
    
    Blocking this signal prevented MDM logins, as the slave
    couldn't notice the death of the greeter)
    
    Signed-off-by: Stef Walter <stefw@gnome.org>
     * Use goto and a single return path
    
    https://bugzilla.gnome.org/show_bug.cgi?id=745673

 pam/gkr-pam-client.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit bf38a2eca54dc8360bce074887a2abd4f63eaeb9
Author: Stef Walter <stefw@gnome.org>
Date:   2015-02-25

    Release version 3.15.90

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit a3a45e283275887947182177deb4185304593fbc
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   2014-12-06

    Updated Turkish translation

 po/tr.po | 255 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 127 insertions(+), 128 deletions(-)

commit 3eb2019cfd558f3f6a4b1d3fe6c0f9dc60c6457f
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:   2014-11-21

    Updated Vietnamese translation
    
    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

 po/vi.po | 1102 +++++++++-----------------------------------------------------
 1 file changed, 158 insertions(+), 944 deletions(-)

commit f59fb0646dedd4e730c9e8e3c090d7cd52ac5278
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:   2014-11-16

    Fix "void function should not return a value" error for clang
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740190

 daemon/login/gkd-login.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 28f04eb2bcff369ab13f3c98c00b7bcbf91594d3
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-09-15

    asn1x: Sanitize use of asn1_set_value/asn1_take_value
    
    Most callers of asn1_set_value() seems to assume this function will take
    ownership of the passed in GBytes, while it actually takes an additional
    reference.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 egg/egg-asn1x.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 6da13bb815c3893ab305316ca3f08faaf0093953
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-10-15

    daemon: Fix GStrv leak in DBus message handler
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 daemon/dbus/gkd-dbus.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit b087539a6cdd624fc4e0d6ae7de2811ab96864e6
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-09-21

    Don't leak password data in gkm_wrap_prompt_do_credential
    
    Memory returned by auto_unlock_lookup_object() must be freed
    while memory returned by gkm_wrap_prompt_request_password() must
    not be freed. Depending on the situation, CredentialPrompt::password
    will contain one or the other, and currently this field is never
    freed, causing leaks when the password comes from
    auto_unlock_lookup_object().
    
    This commit will always free CredentialPrompt::password when it's
    no longer needed, and will create a copy of the returned string
    when gkm_wrap_prompt_request_password() is called.
    
    This fixes (line numbers from 3.13.91-2-g45bb5be):
    
    ==2190== 8 bytes in 1 blocks are definitely lost in loss record 58 of 1,294
    ==2190==    at 0x4A0645D: malloc (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==2190==    by 0x5DE6DE6: g_malloc (gmem.c:97)
    ==2190==    by 0x5E024B5: g_memdup (gstrfuncs.c:384)
    ==2190==    by 0x41296C: gkm_template_set (gkm-attributes.c:600)
    ==2190==    by 0x4129F0: gkm_template_set_value (gkm-attributes.c:614)
    ==2190==    by 0x419BCD: mock_secret_C_CreateObject (mock-secret-store.c:174)
    ==2190==    by 0x40646E: wrap_C_CreateObject (gkm-wrap-layer.c:741)
    ==2190==    by 0x418985: find_login_keyring_item (gkm-wrap-login.c:254)
    ==2190==    by 0x4190AF: gkm_wrap_login_lookup_secret (gkm-wrap-login.c:396)
    ==2190==    by 0x407E8D: auto_unlock_lookup_object (gkm-wrap-prompt.c:198)
    ==2190==    by 0x40B9B0: login_prompt_do_specific (gkm-wrap-prompt.c:1453)
    ==2190==    by 0x40C13A: gkm_wrap_prompt_do_login (gkm-wrap-prompt.c:1591)
    ==2190==    by 0x406384: auth_C_Login (gkm-wrap-layer.c:706)
    ==2190==    by 0x40472A: test_specific (test-login-auto.c:156)
    ==2190==    by 0x5E0A27A: test_case_run (gtestutils.c:2059)
    ==2190==    by 0x5E0A602: g_test_run_suite_internal (gtestutils.c:2120)
    ==2190==    by 0x5E0A6C4: g_test_run_suite_internal (gtestutils.c:2131)
    ==2190==    by 0x5E0A6C4: g_test_run_suite_internal (gtestutils.c:2131)
    ==2190==    by 0x5E0A847: g_test_run_suite (gtestutils.c:2184)
    ==2190==    by 0x5E09551: g_test_run (gtestutils.c:1488)
    ==2190==    by 0x410851: testing_thread (egg-testing.c:142)
    ==2190==    by 0x5E0D2F4: g_thread_proxy (gthread.c:764)
    ==2190==    by 0x3B7AE07F34: start_thread (pthread_create.c:309)
    ==2190==    by 0x3B7AAF4C3C: clone (clone.S:111)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 pkcs11/wrap-layer/gkm-wrap-prompt.c | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit dc5a7dc4e5690e258a90d8ddfc39e17c1f8d4938
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-09-21

    Don't leak password in login_prompt_do_{specific, user)
    
    login_prompt_do_specific() and login_prompt_do_user() both
    set GkmWrapPrompt::prompt_data to either memory which must be freed
    with egg_secure_memory_strfree (through a call to
    auto_unlock_lookup_*) or to const memory which must not be freed
    (through a call to gkm_wrap_prompt_request_password).
    
    These methods currently assume the password memory does not need
    to be freed, which leads to this leak in test-login-auto (line numbers
    from 3.13.91-2-g45bb5be):
    
    ==2190== 5 bytes in 1 blocks are definitely lost in loss record 17 of 1,294
    ==2190==    at 0x40F8E4: egg_secure_alloc_full (egg-secure-memory.c:1056)
    ==2190==    by 0x417F5E: egg_secure_alloc (gkm-wrap-login.c:42)
    ==2190==    by 0x419157: gkm_wrap_login_lookup_secret (gkm-wrap-login.c:409)
    ==2190==    by 0x407E8D: auto_unlock_lookup_object (gkm-wrap-prompt.c:198)
    ==2190==    by 0x40B9B0: login_prompt_do_specific (gkm-wrap-prompt.c:1453)
    ==2190==    by 0x40C13A: gkm_wrap_prompt_do_login (gkm-wrap-prompt.c:1591)
    ==2190==    by 0x406384: auth_C_Login (gkm-wrap-layer.c:706)
    ==2190==    by 0x40472A: test_specific (test-login-auto.c:156)
    ==2190==    by 0x5E0A27A: test_case_run (gtestutils.c:2059)
    ==2190==    by 0x5E0A602: g_test_run_suite_internal (gtestutils.c:2120)
    ==2190==    by 0x5E0A6C4: g_test_run_suite_internal (gtestutils.c:2131)
    ==2190==    by 0x5E0A6C4: g_test_run_suite_internal (gtestutils.c:2131)
    ==2190==    by 0x5E0A847: g_test_run_suite (gtestutils.c:2184)
    ==2190==    by 0x5E09551: g_test_run (gtestutils.c:1488)
    ==2190==    by 0x410851: testing_thread (egg-testing.c:142)
    ==2190==    by 0x5E0D2F4: g_thread_proxy (gthread.c:764)
    ==2190==    by 0x3B7AE07F34: start_thread (pthread_create.c:309)
    ==2190==    by 0x3B7AAF4C3C: clone (clone.S:111)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 pkcs11/wrap-layer/gkm-wrap-prompt.c | 62 ++++++++++++++++++++++++++-----------
 1 file changed, 44 insertions(+), 18 deletions(-)

commit abf3473a9a14784a76911ef35c0916d462d55402
Author: Stef Walter <stefw@redhat.com>
Date:   2014-10-26

    gpg-agent: Use common code for storing/retrieving passwords

 daemon/gpg-agent/gkd-gpg-agent-ops.c | 269 +++--------------------------------
 1 file changed, 21 insertions(+), 248 deletions(-)

commit 354f9887eef1c2c6144b904739ca0230bc2f2a4e
Author: Stef Walter <stefw@redhat.com>
Date:   2014-10-26

    login: Factor out the code for storing/retrieving login keyring passwords
    
    This was in the gpg-agent, and want to use it in our ssh-agent wrapper

 daemon/login/Makefile.am |   1 +
 daemon/login/gkd-login.c | 300 +++++++++++++++++++++++++++++++++++++++++++++++
 daemon/login/gkd-login.h |  20 ++++
 3 files changed, 321 insertions(+)

commit d9df0a179fbfae82f8cec20cf46e8b9f03c044ba
Author: Stef Walter <stefw@redhat.com>
Date:   2014-10-26

    gpg-agent: No longer build the testing standalone agent
    
    This just caused more unneccessary code that we'd never use.

 daemon/gpg-agent/Makefile.am | 15 ---------------
 1 file changed, 15 deletions(-)

commit ea36fd9182c143348851be2053bce9b6da052bc8
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   2014-10-28

    Added Kazakh translation

 po/LINGUAS |   1 +
 po/kk.po   | 572 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 573 insertions(+)

commit 082a2fe3278c37b9899c23ebac003791a8999ea5
Author: Stef Walter <stefw@redhat.com>
Date:   2014-10-25

    Ignore vim swp temporary files

 .gitignore | 1 +
 1 file changed, 1 insertion(+)

commit 39aeef6f368e4d8517f19b83c33d55b9cc87f44f
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-10-14

    GkdGpgAgent: Unref GIOChannel when no longer needed
    
    This fixes a memory leak reported by valgrind on daemon shutdown
    (tested by starting a new daemon instance with --replace).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 daemon/gpg-agent/gkd-gpg-agent.c | 1 +
 1 file changed, 1 insertion(+)

commit 3db6f3bbbd13d6eec29cf96f103975f793b24e4e
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-10-14

    Free GkdSecretService::alias_directory in finalize()
    
    This fixes a memory leak reported by valgrind on daemon shutdown
    (tested by starting a new daemon instance with --replace).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 daemon/dbus/gkd-secret-service.c | 3 +++
 1 file changed, 3 insertions(+)

commit ddcdccbf98ba71547c6494db07b3ece505ec769b
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-10-13

    GkmMock: Fix handling of CKA_G_CREDENTIAL_TEMPLATE attributes
    
    These are special as their value is an array of CK_ATTRIBUTE pointing to
    allocated memory. Moreover, when gkm_mock_C_SetAttributeValue() is
    called, this memory is owned by the caller, so it needs to be duplicated
    as the caller may free it before GkmMock no longer needs it.
    
    We also need to make sure this memory we just duplicated is correctly
    freed when no longer needed.
    
    This is achieved by introducing an additional global variable,
    the_credential_template. This is similar to how this type of attributes
    is handled in GkmSecretCollection.
    
    Without this, running test-login-auto in valgrind causes invalid reads:
    
    ==5954== Invalid read of size 1
    ==5954==    at 0x4123D4: gkm_attributes_find_boolean (gkm-attributes.c:503)
    ==5954==    by 0x408C00: set_unlock_options_on_prompt (gkm-wrap-prompt.c:520)
    ==5954==    by 0x40A3E8: gkm_wrap_prompt_do_credential (gkm-wrap-prompt.c:1055)
    ==5954==    by 0x40641C: auth_C_CreateObject (gkm-wrap-layer.c:764)
    ==5954==    by 0x404D7B: test_unlock_keyring (test-login-auto.c:243)
    ==5954==    by 0x5E04A8B: test_case_run (gtestutils.c:2059)
    ==5954==    by 0x5E04E2D: g_test_run_suite_internal (gtestutils.c:2120)
    ==5954==    by 0x5E04EEF: g_test_run_suite_internal (gtestutils.c:2131)
    ==5954==    by 0x5E04EEF: g_test_run_suite_internal (gtestutils.c:2131)
    ==5954==    by 0x5E0506F: g_test_run_suite (gtestutils.c:2184)
    ==5954==    by 0x5E03D5C: g_test_run (gtestutils.c:1488)
    ==5954==    by 0x410725: testing_thread (egg-testing.c:142)
    ==5954==    by 0x5E07B29: g_thread_proxy (gthread.c:764)
    ==5954==    by 0x3899207529: start_thread (pthread_create.c:310)
    ==5954==    by 0x3898F0077C: clone (clone.S:109)
    ==5954==  Address 0x85bad90 is 0 bytes inside a block of size 1 free'd
    ==5954==    at 0x4A07CE9: free (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==5954==    by 0x5DE1A0D: g_free (gmem.c:190)
    ==5954==    by 0x409E54: gkm_wrap_prompt_finalize (gkm-wrap-prompt.c:933)
    ==5954==    by 0x590293A: g_object_unref (gobject.c:3170)
    ==5954==    by 0x40644A: auth_C_CreateObject (gkm-wrap-layer.c:771)
    ==5954==    by 0x404CD5: test_unlock_keyring (test-login-auto.c:234)
    ==5954==    by 0x5E04A8B: test_case_run (gtestutils.c:2059)
    ==5954==    by 0x5E04E2D: g_test_run_suite_internal (gtestutils.c:2120)
    ==5954==    by 0x5E04EEF: g_test_run_suite_internal (gtestutils.c:2131)
    ==5954==    by 0x5E04EEF: g_test_run_suite_internal (gtestutils.c:2131)
    ==5954==    by 0x5E0506F: g_test_run_suite (gtestutils.c:2184)
    ==5954==    by 0x5E03D5C: g_test_run (gtestutils.c:1488)
    ==5954==    by 0x410725: testing_thread (egg-testing.c:142)
    ==5954==    by 0x5E07B29: g_thread_proxy (gthread.c:764)
    ==5954==    by 0x3899207529: start_thread (pthread_create.c:310)
    ==5954==    by 0x3898F0077C: clone (clone.S:109)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 pkcs11/gkm/gkm-mock.c | 27 +++++++++++++++++++++++++--
 1 file changed, 25 insertions(+), 2 deletions(-)

commit 87f82c227694279d7e6ad26ca90112835a69c7c5
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-10-01

    test-spawn: Fix leaks of EchoData content
    
    EchoData::error and EchoData::output must be freed after
    use.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 egg/test-spawn.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 0db2253d64b5607bf20e4e17060de81450e91797
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-09-22

    xdg: Fix ref leak in remove_assertion_from_trust()
    
    When a transaction is used, remove_assertion_from_trust() will
    steal the assertion and its key from the 'assertions' hash table.
    The stolen assertion will then be added to the transaction and be
    unreferenced later, but the key must be unref'ed as the hash table
    owned a reference on it.
    
    This fixes:
    
    ==9337== 104 (40 direct, 64 indirect) bytes in 1 blocks are definitely lost in loss record 614 of 678
    ==9337==    at 0x4A0645D: malloc (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==9337==    by 0x4EEADE6: g_malloc (gmem.c:97)
    ==9337==    by 0x4F03A22: g_slice_alloc (gslice.c:1007)
    ==9337==    by 0x4EB6954: g_bytes_new_with_free_func (gbytes.c:183)
    ==9337==    by 0x4EB68D5: g_bytes_new_take (gbytes.c:126)
    ==9337==    by 0x4116D4: create_assertion_key (gkm-xdg-trust.c:355)
    ==9337==    by 0x411755: lookup_or_create_assertion_key (gkm-xdg-trust.c:371)
    ==9337==    by 0x41312C: gkm_xdg_trust_replace_assertion (gkm-xdg-trust.c:874)
    ==9337==    by 0x413B62: factory_create_assertion (gkm-xdg-assertion.c:181)
    ==9337==    by 0x4338A3: gkm_session_create_object_for_factory (gkm-session.c:778)
    ==9337==    by 0x433A5B: gkm_session_create_object_for_attributes (gkm-session.c:820)
    ==9337==    by 0x434222: gkm_session_C_CreateObject (gkm-session.c:954)
    ==9337==    by 0x40A1D0: test_create_assertion_twice (test-xdg-trust.c:497)
    ==9337==    by 0x4F0E27A: test_case_run (gtestutils.c:2059)
    ==9337==    by 0x4F0E602: g_test_run_suite_internal (gtestutils.c:2120)
    ==9337==    by 0x4F0E6C4: g_test_run_suite_internal (gtestutils.c:2131)
    ==9337==    by 0x4F0E6C4: g_test_run_suite_internal (gtestutils.c:2131)
    ==9337==    by 0x4F0E847: g_test_run_suite (gtestutils.c:2184)
    ==9337==    by 0x4F0D551: g_test_run (gtestutils.c:1488)
    ==9337==    by 0x4516AD: testing_thread (egg-testing.c:142)
    ==9337==    by 0x4F112F4: g_thread_proxy (gthread.c:764)
    ==9337==    by 0x3B7AE07F34: start_thread (pthread_create.c:309)
    ==9337==    by 0x3B7AAF4C3C: clone (clone.S:111)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 pkcs11/xdg-store/gkm-xdg-trust.c | 1 +
 1 file changed, 1 insertion(+)

commit 37c493c086f1721d6dea77bac462e60dc23096df
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-09-22

    xdg: Remove wrong unref in gkm_xdg_trust_replace_assertion
    
    Callers of lookup_or_create_assertion_key() don't own a reference
    on the returned GBytes so it should not be unref'fed before exiting
    gkm_xdg_trust_replace_assertion.
    This solves the following errors from valgrind when running test-xdg-trust
    
    ==15477==
    ==15477== Thread 2 testing:
    ==15477== Invalid read of size 4
    ==15477==    at 0x4EB6B75: g_bytes_unref (gbytes.c:306)
    ==15477==    by 0x4EC2692: g_datalist_clear (gdataset.c:273)
    ==15477==    by 0x4C284A3: g_object_finalize (gobject.c:1033)
    ==15477==    by 0x42B35E: gkm_object_finalize (gkm-object.c:448)
    ==15477==    by 0x414134: gkm_assertion_finalize (gkm-assertion.c:134)
    ==15477==    by 0x4C2D256: g_object_unref (gobject.c:3170)
    ==15477==    by 0x43B9C7: gkm_util_dispose_unref (gkm-util.c:137)
    ==15477==    by 0x4ECEBD1: g_hash_table_remove_all_nodes (ghash.c:503)
    ==15477==    by 0x4ECFC02: g_hash_table_remove_all (ghash.c:1371)
    ==15477==    by 0x431DBB: gkm_session_dispose (gkm-session.c:409)
    ==15477==    by 0x4C2D131: g_object_unref (gobject.c:3133)
    ==15477==    by 0x425391: apartment_free (gkm-module.c:241)
    ==15477==    by 0x4ECEBD1: g_hash_table_remove_all_nodes (ghash.c:503)
    ==15477==    by 0x4ECFC02: g_hash_table_remove_all (ghash.c:1371)
    ==15477==    by 0x4267F9: gkm_module_dispose (gkm-module.c:633)
    ==15477==    by 0x4107D3: gkm_xdg_module_dispose (gkm-xdg-module.c:553)
    ==15477==    by 0x4C28648: g_object_run_dispose (gobject.c:1076)
    ==15477==    by 0x40CCDD: gkm_C_Finalize (gkm-module-ep.h:102)
    ==15477==    by 0x40C7F0: mock_xdg_module_leave_and_finalize (mock-xdg-module.c:151)
    ==15477==    by 0x408585: teardown (test-xdg-trust.c:138)
    ==15477==    by 0x4F0E2FE: test_case_run (gtestutils.c:2069)
    ==15477==    by 0x4F0E602: g_test_run_suite_internal (gtestutils.c:2120)
    ==15477==    by 0x4F0E6C4: g_test_run_suite_internal (gtestutils.c:2131)
    ==15477==    by 0x4F0E6C4: g_test_run_suite_internal (gtestutils.c:2131)
    ==15477==    by 0x4F0E847: g_test_run_suite (gtestutils.c:2184)
    ==15477==    by 0x4F0D551: g_test_run (gtestutils.c:1488)
    ==15477==    by 0x4516B9: testing_thread (egg-testing.c:142)
    ==15477==    by 0x4F112F4: g_thread_proxy (gthread.c:764)
    ==15477==    by 0x3B7AE07F34: start_thread (pthread_create.c:309)
    ==15477==    by 0x3B7AAF4C3C: clone (clone.S:111)
    ==15477==  Address 0x52b6100 is 16 bytes inside a block of size 40 free'd
    ==15477==    at 0x4A07577: free (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==15477==    by 0x4EEAF5F: g_free (gmem.c:190)
    ==15477==    by 0x4F03C59: g_slice_free1 (gslice.c:1112)
    ==15477==    by 0x4EB6BB8: g_bytes_unref (gbytes.c:310)
    ==15477==    by 0x4ECEBB3: g_hash_table_remove_all_nodes (ghash.c:500)
    ==15477==    by 0x4ECFC02: g_hash_table_remove_all (ghash.c:1371)
    ==15477==    by 0x4ECF7C4: g_hash_table_destroy (ghash.c:1067)
    ==15477==    by 0x4127E9: gkm_xdg_trust_finalize (gkm-xdg-trust.c:706)
    ==15477==    by 0x4C2D256: g_object_unref (gobject.c:3170)
    ==15477==    by 0x43B9C7: gkm_util_dispose_unref (gkm-util.c:137)
    ==15477==    by 0x4ECEBD1: g_hash_table_remove_all_nodes (ghash.c:503)
    ==15477==    by 0x4ECFC02: g_hash_table_remove_all (ghash.c:1371)
    ==15477==    by 0x431DBB: gkm_session_dispose (gkm-session.c:409)
    ==15477==    by 0x4C2D131: g_object_unref (gobject.c:3133)
    ==15477==    by 0x425391: apartment_free (gkm-module.c:241)
    ==15477==    by 0x4ECEBD1: g_hash_table_remove_all_nodes (ghash.c:503)
    ==15477==    by 0x4ECFC02: g_hash_table_remove_all (ghash.c:1371)
    ==15477==    by 0x4267F9: gkm_module_dispose (gkm-module.c:633)
    ==15477==    by 0x4107D3: gkm_xdg_module_dispose (gkm-xdg-module.c:553)
    ==15477==    by 0x4C28648: g_object_run_dispose (gobject.c:1076)
    ==15477==    by 0x40CCDD: gkm_C_Finalize (gkm-module-ep.h:102)
    ==15477==    by 0x40C7F0: mock_xdg_module_leave_and_finalize (mock-xdg-module.c:151)
    ==15477==    by 0x408585: teardown (test-xdg-trust.c:138)
    ==15477==    by 0x4F0E2FE: test_case_run (gtestutils.c:2069)
    ==15477==    by 0x4F0E602: g_test_run_suite_internal (gtestutils.c:2120)
    ==15477==    by 0x4F0E6C4: g_test_run_suite_internal (gtestutils.c:2131)
    ==15477==    by 0x4F0E6C4: g_test_run_suite_internal (gtestutils.c:2131)
    ==15477==    by 0x4F0E847: g_test_run_suite (gtestutils.c:2184)
    ==15477==    by 0x4F0D551: g_test_run (gtestutils.c:1488)
    ==15477==    by 0x4516B9: testing_thread (egg-testing.c:142)
    ==15477==    by 0x4F112F4: g_thread_proxy (gthread.c:764)
    ==15477==    by 0x3B7AE07F34: start_thread (pthread_create.c:309)
    ==15477==    by 0x3B7AAF4C3C: clone (clone.S:111)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 pkcs11/xdg-store/gkm-xdg-trust.c | 1 -
 1 file changed, 1 deletion(-)

commit f2e759970c1a3a42378528a15166221715493288
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-09-21

    test-xdg-trust: Fix GChecksum leaks
    
    'md' is created using g_checksum_new() so it must be destroyed
    with g_checksum_free() after use.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 pkcs11/gkm/gkm-attributes.c       | 1 +
 pkcs11/xdg-store/test-xdg-trust.c | 1 +
 2 files changed, 2 insertions(+)

commit a88f4fcf255495ee575b4b7b94574c3ca0b66ca1
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-09-21

    Unref GkmXdgTrust::bytes in finalize()
    
    This will cause leaks otherwise, for example in test-xdg-module.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 pkcs11/xdg-store/gkm-xdg-trust.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 621a86e8b1b14a387cf1dd895005007570c3d2c3
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-09-21

    test-xdg-module: Fix memory leak
    
    Memory from g_file_get_contents() was never freed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 pkcs11/xdg-store/test-xdg-module.c | 1 +
 1 file changed, 1 insertion(+)

commit bbb96835cc4120d6c9f0d7bf272f6eb386a07468
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-09-21

    xdg: Don't leak ref in lookup_or_create_assertion_key()
    
    When lookup_or_create_assertion_key() creates a new assertion key,
    it own a reference on the GBytes created by create_assertion_key()
    and it will then take an extra ref on it when associating it with a
    GkmAssertion instance.
    
    This will cause a leak of the memory returned by create_assertion_key()
    as one of these references will never be dropped.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 pkcs11/xdg-store/gkm-xdg-trust.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bc17247fdd1fa843560ecebb4f20a10460df0d63
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-09-21

    Fix leak in gkm_mock_C_SetPIN()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 pkcs11/gkm/gkm-mock.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 670fe30c2dfe7accc738c8def6c1ccf047c944b6
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-10-01

    gkm-xdg-assertion: Fix leak in factory_create_assertion()
    
    'purpose' and 'peer' were allocated through gkm_attributes_find_string()
    and must thus be freed after use.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 pkcs11/xdg-store/gkm-xdg-assertion.c | 2 ++
 1 file changed, 2 insertions(+)

commit ca2b73954d497ea36b94b547649a08dd85ec38e1
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-10-01

    Fix leak in mock_secret_C_CreateObject
    
    'template' is created with gkm_template_new() so it must be freed
    using gkm_template_free().
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 pkcs11/wrap-layer/mock-secret-store.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 165f0e3210e32538c847be91896736c17a1f6ad6
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-10-01

    gkm-secret-textual: Fix leak in generate_attribute()
    
    The GList returned by gkm_secret_fields_get_names() must be
    freed with g_list_free after use as this is created using
    g_hash_table_get_keys().
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 pkcs11/secret-store/gkm-secret-textual.c | 1 +
 1 file changed, 1 insertion(+)

commit 750047bc77edc730e76fc536ce17151b52ae22da
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-10-01

    gkm-secret-search: Fix leak in factory_create_search()
    
    gkm_attribute_get_string() returns a newly allocated string which must
    be freed when no longer useful.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 pkcs11/secret-store/gkm-secret-search.c | 1 +
 1 file changed, 1 insertion(+)

commit a1984261cb2aabf20d2014a987e2adfbfbae7fc1
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-10-01

    gkm-gnome2-storage: Unref GkmGnome2Storage::login in dispose()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 pkcs11/gnome2-store/gkm-gnome2-storage.c | 4 ++++
 1 file changed, 4 insertions(+)

commit bf96feaff541668ead5438ee074c4318165a3962
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-10-01

    secret-store/test*: Don't leak secret data memory
    
    Both test-secret-binary and test-secret-textual call
    g_file_get_contents() but never free the returned data, causing a memory
    leak.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 pkcs11/secret-store/test-secret-binary.c  | 1 +
 pkcs11/secret-store/test-secret-textual.c | 1 +
 2 files changed, 2 insertions(+)

commit 9421bf589095380286bed90bca67f6ae2746ce0b
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-10-01

    test-import: Don't leak args.pReserved
    
    It's allocated with g_strdup_printf and must thus be freed after use.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 pkcs11/gnome2-store/test-import.c | 1 +
 1 file changed, 1 insertion(+)

commit c2870de15ba639b6a02916a89be07274c2b5895b
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-10-01

    egg-hkdf: Fix gcry_md_ht_t leak in egg_hkdf_perform
    
    The 'md2' gcry_md_ht_t variable is opened with gcry_md_open() in that
    method but is never closed, which causes a leak.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 egg/egg-hkdf.c | 1 +
 1 file changed, 1 insertion(+)

commit 1581f4a33e350de62cf98bec0530934dcf2a0272
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-10-01

    egg-asn1x: Fix memory leak in egg_asn1x_set_any_raw()
    
    In error cases, the Atlv variable 'tlv' which was created in this
    function is not going to be used, so we must free it before returning.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 egg/egg-asn1x.c | 1 +
 1 file changed, 1 insertion(+)

commit 17b429de6d2d911fcfac3fbc042aa5579a3a4535
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-10-01

    test-sexp: Fix 2 leaks
    
    gcry_sexp_t objects created with gkm_sexp_parse_key() must be freed with
    gcry_sexp_release(), and gcry_mpi_t objects created with
    gkm_sexp_extract_mpi() must be freed with gcry_mpi_release() when no
    longer used.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 pkcs11/gkm/test-sexp.c | 2 ++
 1 file changed, 2 insertions(+)

commit 33793e57c557830cda36af68376f5dfd2130c073
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-10-01

    test-secret: Don't leak new secrets in test_equal()
    
    Secrets created with gkm_secret_new* must be unref'fed when no longer
    used.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 pkcs11/gkm/test-secret.c | 3 +++
 1 file changed, 3 insertions(+)

commit 75c1fb8b8e3eb0df794bd80ed883fdc16a865664
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-10-01

    test-pam: Fix GError leak in error case
    
    When g_file_get_contents() fails and sets an error, it must be freed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 pam/test-pam.c | 1 +
 1 file changed, 1 insertion(+)

commit dbc6af0ea986a4840e6a8a06d632435332c6d2a4
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-10-01

    test-padding: Don't leak egg_padding_pkcs1_pad_02 return value
    
    egg_padding_pkcs1_pad_02 returns newly allocated data which must be
    g_free'ed after use.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 egg/test-padding.c | 1 +
 1 file changed, 1 insertion(+)

commit 610a177931675a08a13681d6741a1d18baaa92ee
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-10-01

    test-asn1: Don't leak 'asn' in test_create_quark()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 egg/test-asn1.c | 1 +
 1 file changed, 1 insertion(+)

commit 1e18f347a1a3444b3fc7126af087d0c90a791e57
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-10-01

    test-startup: Use g_strfreev to free GStrv variable
    
    gkd_test_launch_daemon returns a "transfer full" GStrv, so it must be
    freed with g_strfreev after use.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 daemon/test-startup.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6c2d07a4faea639ed2b2bcf1815fdb5cbfa4945e
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-09-17

    gkm-gnome2-file: Free keys to 'entries' hash tables
    
    The keys to the 'publics' and 'privates' hash tables are strdup'ed
    strings, but these strings are never freed. This commit adds a free
    function for hash table keys to the g_hash_table_new_full call.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 pkcs11/gnome2-store/gkm-gnome2-file.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0fc832aa65e2d125459c9fb43c4d3ba4697270d6
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-09-17

    test-data-der: Fix various memory leaks
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 pkcs11/gkm/test-data-der.c | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 298d910cfe2e468ad0005646e8a00b5fc8116e10
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-09-17

    test-data-asn1: Fix memory leaks in test_asn1_integers
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 pkcs11/gkm/test-data-asn1.c | 3 +++
 1 file changed, 3 insertions(+)

commit c5083ba0216b15e8f9ed842b7097e7fa6c60c25b
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-09-17

    gkm-data-asn1: Unref buffer we got from egg_asn1x_get_integer_as_raw()
    
    Otherwise we will be leaking a reference to that buffer, and it will
    never get destroyed. This showed up as a memory leaked in test-data-der.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 pkcs11/gkm/gkm-data-asn1.c | 1 +
 1 file changed, 1 insertion(+)

commit 326a94543c5cc6c44d3fd9e1b7fd6eb11a2ea998
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-09-17

    egg/test-dn: Don't leak GBytes created in test_dn_value()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 egg/test-dn.c | 1 +
 1 file changed, 1 insertion(+)

commit 8ea8329cc09e263d9628e791e0f5a464bde63413
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-09-17

    egg-cleanup: Don't leak 'cleanup' on unregister
    
    When unregistering a cleanup instance, the memory allocated for the cleanup
    was not freed causing a memory leak.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 egg/egg-cleanup.c | 1 +
 1 file changed, 1 insertion(+)

commit 9af2db3f41e713c02e36dc71f0d6295db7d9e408
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-09-17

    test-dbus-items: Fix memory leak
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 daemon/dbus/test-dbus-items.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 0c9c4a549e770e89e51d5f39995fdfc8c1af71ec
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-09-15

    Free GkmSecretItem::schema in ::finalize()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 pkcs11/secret-store/gkm-secret-item.c | 3 +++
 1 file changed, 3 insertions(+)

commit 04129e8d2c1cb8a0f5d6944d4bb7fa45f7171a2a
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-09-15

    gkm-gnome2-file: Fix leaks in create_cipher()
    
    'key' and 'iv' were allocated before calling
    egg_symkey_generate_simple() but this function allocates the memory
    needed for the 'key' and 'iv' return value, so the memory which was
    allocated in create_cipher() is lost and leaked.
    This also uses egg_secure_memory_free() to free 'key' memory as
    egg_symkey_generate_simple() allocates it with egg_secure_alloc().
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 pkcs11/gnome2-store/gkm-gnome2-file.c | 11 ++---------
 1 file changed, 2 insertions(+), 9 deletions(-)

commit 5a98866f4b7c89451c95e8d559e8f2021c5e1456
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-09-15

    gkm-gnome2-file: Fix leak in validate_buffer()
    
    'check' is allocated in this function but never freed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 pkcs11/gnome2-store/gkm-gnome2-file.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 24ff22e04c86885aa4f7f877d612c94e2e2d8f6d
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-09-15

    Unref GkmCredential::secret in ::dispose
    
    This fixes a memory leak.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 pkcs11/gkm/gkm-credential.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 9bfe73731316389a9975fd440992afa914070467
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-10-14

    ssh-agent: Fix leak in op_request_identities
    
    The object returned by gck_enumerator_next() must be unref'ed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 daemon/ssh-agent/gkd-ssh-agent-ops.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit f81fa15dcbbc3a7ce3e8be9a229e13a0678a606b
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-10-01

    ssh-agent: Fix leak in op_v1_request_identities
    
    The object returned by gck_enumerator_next() must be unref'ed
    as this method is "transfer full".
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 daemon/ssh-agent/gkd-ssh-agent-ops.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit d177a8b5353f3156ab504f39c20753d6786e5e4d
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-09-15

    ssh-agent: Fix leak in search_keys_like_attributes()
    
    gck_enumerator_next() return value must be unref'fed as it's transfer
    full.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 daemon/ssh-agent/gkd-ssh-agent-ops.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 04b9de9fd806598bb49e6b9d49d2697156f6f39d
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   2014-10-01

    ssh-agent: Fix leak in remove_by_public_key()
    
    gck_attributes_find_string() returns a newly allocated string, so it
    must be g_free'ed after use.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738508

 daemon/ssh-agent/gkd-ssh-agent-ops.c | 1 +
 1 file changed, 1 insertion(+)

commit 32900996ac1d913bbae6e378a0a974d207d81c8e
Author: Stef Walter <stefw@gnome.org>
Date:   2014-09-23

    Release version 3.14.0

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit f094c832805dac7cc4456b431c522b34258dd844
Author: tomsod-m@ya.ru <tomsod-m@ya.ru>
Date:   2014-09-19

    tool: Remove residual GTK+ usage
    
    https://bugzilla.gnome.org/show_bug.cgi?id=736973

 tool/gkr-tool.c | 3 ---
 1 file changed, 3 deletions(-)

commit b95868c7f8c6489ac328a9970c62515244a2faa2
Author: Pawan Chitrakar <chautari@gmail.com>
Date:   2014-09-22

    Updated Nepali translation

 po/ne.po | 613 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 324 insertions(+), 289 deletions(-)

commit 45bb5bebf422a83137f8b69c9e726c3bdaf021c5
Author: Stef Walter <stefw@redhat.com>
Date:   2014-09-13

    egg: Fix libgcrypt initialization for libgcrypt older than 1.6
    
    A header was missing

 egg/egg-libgcrypt.c | 1 +
 1 file changed, 1 insertion(+)

commit 8c9c1a8fcadff500bc39f71acb411763e7afbe3f
Author: Stef Walter <stefw@redhat.com>
Date:   2014-08-30

    egg: Move file tracker code to egg/ directory
    
    So that it can be used in other parts of gnome-keyring.

 .gitignore                              |   2 +-
 egg/Makefile.am                         |   6 +
 egg/egg-file-tracker.c                  | 303 ++++++++++++++++++++++++++++++++
 egg/egg-file-tracker.h                  |  59 +++++++
 egg/test-file-tracker.c                 | 251 ++++++++++++++++++++++++++
 pkcs11/gkm/Makefile.am                  |   6 -
 pkcs11/gkm/gkm-file-tracker.c           | 303 --------------------------------
 pkcs11/gkm/gkm-file-tracker.h           |  61 -------
 pkcs11/gkm/test-file-tracker.c          | 245 --------------------------
 pkcs11/secret-store/gkm-secret-module.c |  17 +-
 pkcs11/ssh-store/gkm-ssh-module.c       |  17 +-
 pkcs11/xdg-store/gkm-xdg-module.c       |  16 +-
 12 files changed, 651 insertions(+), 635 deletions(-)

commit 1dedc7c174c65f9e1680e19b53c0f44295bd03c5
Author: Stef Walter <stefw@gnome.org>
Date:   2014-09-09

    Release version 3.13.91

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit ef1fb4e8bc25c88f75a5576178086a4ef76dc87b
Author: Stef Walter <stefw@gnome.org>
Date:   2014-09-09

    configure: Use subdir-objects automake option
    
    In order to shut up automake 1.14

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7e75a62e846551c19b9c875f7b237a07ee3b93e1
Author: Stef Walter <stefw@gnome.org>
Date:   2014-09-09

    build: Fix tap-driver to respect tests that skip completely

 build/tap-driver | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit ee0fc2dfbb4ee80221acabccec3409d25487d35e
Author: Stef Walter <stefw@gnome.org>
Date:   2014-09-09

    gkm: Fix test for libgcrypt 1.6+ version

 pkcs11/gkm/test-data-asn1.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit fa25db485279f5bc99a202db2ebeff00819a097f
Author: Stef Walter <stefw@gnome.org>
Date:   2014-09-09

    egg: Accomodate thread-safe libgcrypt 1.6+
    
    libcrypt no longer supports setting our own threading callbacks,
    and is thread-safe if we call gcry_check_version() before creating
    threads.
    
    Unfortunately we can't guarantee that we call gcry_check_version()
    early enough, we try our best. Most of the callers of Gcr either
    don't use libgcrypt, or also initialize it appropriately themselves.
    
    Bump libgcrypt dependency to 1.4.5+, and have earlier versions use
    the native pthread implementation of locking.

 egg/egg-libgcrypt.c | 45 ++++++++-------------------------------------
 1 file changed, 8 insertions(+), 37 deletions(-)

commit 2440aac3bc29890e07ce9a4260b0c6ad8d7bc037
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   2014-09-08

    l10n: Update Japanese translation

 po/ja.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 49cce3da0e76ddd677e0f92a1d09ad65e9ebd1bb
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   2014-09-08

    l10n: Update Japanese translation
    
    Merge the latest pot.

 po/ja.po | 222 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 111 insertions(+), 111 deletions(-)

commit febfe504f96f12c7a0e8c6a7484ee28fb6c84b9f
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   2014-09-04

    gkr-pam-module: Don't use password to determine whether this is a login
    
    NULL or empty passwords are also valid passwords, so add a separate flag
    to determine whether to pass --login.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=736085

 pam/gkr-pam-module.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 3f98e6cb4c0cdf86460bdfe9930bacea007d7bab
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:   2014-08-29

    Updated Russian translation

 po/ru.po | 139 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 67 insertions(+), 72 deletions(-)

commit 368b4cfb8bebf791363be4ee318452546abce605
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   2014-08-13

    Updated Greek translation

 po/el.po | 236 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 119 insertions(+), 117 deletions(-)

commit d5cffa1503b9513231e626b79ae7ca117f8e6f95
Author: Stef Walter <stefw@redhat.com>
Date:   2014-07-28

    pam: Don't use geteuid() to get uid for authenticated user
    
    Instead we use the 'struct passwd' that we looked up earlier.
    
    This causes issues when the PAM stack is not running as the user
    but as root or someone else.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=733418

 pam/gkr-pam-client.c | 28 ++++++++++++++++------------
 1 file changed, 16 insertions(+), 12 deletions(-)

commit 1b1f475c81d598e3d4b5c033b98d1ee2ffae2605
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   2014-07-31

    doap: add <programming-language>

 gnome-keyring.doap | 1 +
 1 file changed, 1 insertion(+)

commit b04fec11310498714bc3a93e243510692d3597ae
Author: Olav Vitters <olav@vitters.nl>
Date:   2014-07-30

    doap category core

 gnome-keyring.doap | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 804eab1f3653f655f14a626eddfd3a6bac3a4049
Author: Johannes Löthberg <johannes@kyriasis.com>
Date:   2014-05-18

    autogen.sh: Change CVS to Git in error message
    
    GNOME has migrated to Git, so the error message should no longer refer
    to the GNOME CVS.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=730340

 autogen.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit be70f66ccb20c2f09ed176b27027eaf7024f58c8
Author: Stef Walter <stefw@gnome.org>
Date:   2014-05-13

    Release version 3.12.2

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 9f50ef3050a4924ae95742bcd4de73342c5f2fcc
Author: Stef Walter <stefw@gnome.org>
Date:   2014-05-13

    Fix build when configure is called with --disable-doc

 Makefile.am  | 5 ++++-
 configure.ac | 1 +
 2 files changed, 5 insertions(+), 1 deletion(-)

commit d4303bd6e8a10b5449f489d402d5353390022b85
Author: Stef Walter <stefw@gnome.org>
Date:   2014-05-13

    Remove useless output from configure status

 configure.ac | 1 -
 1 file changed, 1 deletion(-)

commit 1fdc7a48650cedc15921a878fae557f9aa4e6c08
Author: Stef Walter <stefw@gnome.org>
Date:   2014-05-13

    Revert "Revert "Add docs/ directory back into Makefile""
    
    This reverts commit b324fe2d976512b7705beca57ff9a62630cc6c83.

 Makefile.am      |  1 +
 docs/Makefile.am | 34 +++++++++++++++++++---------------
 2 files changed, 20 insertions(+), 15 deletions(-)

commit b324fe2d976512b7705beca57ff9a62630cc6c83
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   2014-05-01

    Revert "Add docs/ directory back into Makefile"
    
    This reverts commit 8ac66bf0d2befdef3b8c96ef147e4e60fa7df0f7.
    
    This broke the build. Probably srcdir != builddir troubles.

 Makefile.am      |  1 -
 docs/Makefile.am | 18 ++++++++----------
 2 files changed, 8 insertions(+), 11 deletions(-)

commit 8ac66bf0d2befdef3b8c96ef147e4e60fa7df0f7
Author: Stef Walter <stefw@gnome.org>
Date:   2014-05-01

    Add docs/ directory back into Makefile
    
    https://bugzilla.gnome.org/show_bug.cgi?id=727010

 Makefile.am      |  1 +
 docs/Makefile.am | 18 ++++++++++--------
 2 files changed, 11 insertions(+), 8 deletions(-)

commit fba0600503cca64666e90aaccdfe35603631bce3
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   2014-04-04

    doap: update URLs

 README             | 6 +++---
 gnome-keyring.doap | 6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 4e795c98ccc79080f92bf19f2f813c4a0d420b18
Author: Stef Walter <stefw@redhat.com>
Date:   2014-03-23

    Release version 3.12.0

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit dfb55f4ad2554127db5610b151c507613ed82b38
Author: Stef Walter <stefw@redhat.com>
Date:   2014-03-23

    build: Use /usr/bin/env to find python
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726909

 build/tap-driver  | 2 +-
 build/tap-gtester | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 431939fcf6a2e81ab0b41db6d15a0316a97e1dfa
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-19

    gkm: A testing reliability fix

 pkcs11/gkm/test-timer.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6fa69d9629f3b95b958a39ec2fc80f52292dab8f
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-19

    Makefile.am: Fixes for building with/without optional components
    
    Make build with --disable-pam work again. And enforce that we have
    all the optional components when doing a 'make distcheck'

 Makefile.am | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit a19d736e4176b5215b611dfe5fa29c34fa582fc1
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-16

    Release version 3.11.92

 NEWS         | 18 ++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 19 insertions(+), 1 deletion(-)

commit 808d1890ca287102ab44d7418f64bd9591991445
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-14

    pam: Fix issue with changed password not unlocking keyring
    
    If a user (needs to) change their password while authenticating (via
    GDM for example), and pam_gnome_keyring is configured to start the
    daemon from the session PAM stage, then we were failing to pass the
    changed password to our session handler.
    
    Fix this issue so that this workflow works.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726196

 pam/gkr-pam-module.c | 46 +++++++++++++++++++++++++++++++---------------
 pam/test-pam.c       | 45 +++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 76 insertions(+), 15 deletions(-)

commit deae9b5b34d35acc62cd045dcf187e40b8c46200
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-14

    pam: Pass XDG_RUNTIME_DIR to new process
    
    If XDG_RUNTIME_DIR is not in the PAM envlist, but *is* in the
    process environment, then steal it from there similar to how
    we handle DISPLAY.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726196

 pam/gkr-pam-module.c | 8 +++++++-
 pam/test-pam.c       | 9 +++++++++
 2 files changed, 16 insertions(+), 1 deletion(-)

commit ce8b568934fcb621f7ffaef18d55f0218d7b76d2
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-13

    pam: Allow unlock_keyring() to be called with a NULL password
    
    This happens when doing auto-login. The various side effects
    of unlock_keyring (including setting *need_daemon) are valuable
    even in the cases where password is NULL.
    
    Add a test that checks that the daemon starts as expected when
    the user did not authenticate.
    
    http://bugzilla.gnome.org/show_bug.cgi?id=726245

 pam/gkr-pam-module.c |  1 -
 pam/test-pam.c       | 30 ++++++++++++++++++++++++++++++
 2 files changed, 30 insertions(+), 1 deletion(-)

commit d1c549afe6319fe8e4b1c00a253a85b31441d6dd
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-13

    pam: Export a pam_sm_close_session() function entry point
    
    Some PAM callers want this even though we don't do anything
    interesting in here.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726245

 pam/gkr-pam-module.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 61cc045d145e2211a5d4993b9f1f29f548a0177e
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-14

    daemon: Provide caller syncronization for quitting the daemon
    
    Quit control messages are a bit strange because the daemon will quit
    shortly afterwards.  There are three syncronization issues here.
    
    1. We need the response to be written right away, because if
       we wait for the main loop it might not be written.
    2. Callers may want to wait for the daemon to exit, so keep the
       socket open until we do.
    3. Prevent additional connections on the control socket.

 daemon/control/gkd-control-client.c |  5 +++++
 daemon/control/gkd-control-server.c | 42 +++++++++++++++++++++++++------------
 daemon/control/gkd-control.h        |  3 +++
 daemon/gkd-main.c                   |  2 ++
 pam/gkr-pam-client.c                | 33 +++++++++++++++++++++++------
 5 files changed, 66 insertions(+), 19 deletions(-)

commit 90a3ae6656960b36a1d2277f336222bd49d5eece
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-06

    daemon: Stop exposing a GNOME_KEYRING_PID variable
    
    We exit with the DBus session bus. Remove this clutter from the
    environment.  PAM module no longer cares about the lifetime of
    the deamon, except in one case: where it started the daemon in
    order to change a password and the auto_start argument wasn't set.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=725801

 daemon/gkd-main.c    |  16 ++++----
 daemon/gkd-util.c    |   1 -
 pam/gkr-pam-client.c |   4 +-
 pam/gkr-pam-module.c | 101 ++++++++++++---------------------------------------
 4 files changed, 34 insertions(+), 88 deletions(-)

commit 2ca51a0aef5b1bc41f2e71d2b65edc8478dab69d
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-06

    daemon: Stop exporting the $GNOME_KEYRING_CONTROL env variable
    
    In cases where we're using $XDG_RUNTIME_DIR to create a predictable
    control socket directory, stop setting the $GNOME_KEYRING_CONTROL
    environment variable.
    
    Note that we don't use the $XDG_RUNTIME_DIR fallback. This is because
    two of our clients don't link in GLib, both the pam and pkcs11
    modules. Getting involved in the whole tree of fallback possibilities
    for how to resolve $XDG_RUNTIME_DIR is not something I'm interested
    in duplicating.
    
    So instead what we do is if $XDG_RUNTIME_DIR is not set, we fall back
    to using the old $GNOME_KEYRING_CONTROL environment variable.
    
    We use the GLib logic when looking for XDG_RUNTIME_DIR. The variable
    is considered present even when empty.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=725801

 daemon/control/gkd-control-codes.h |   3 +-
 daemon/gkd-main.c                  |  10 +++
 daemon/gkd-util.c                  |   8 +-
 daemon/test-shutdown.c             |  14 +--
 daemon/test-startup.c              |  41 ++++++++-
 pam/gkr-pam-client.c               |  95 +++++++++++++-------
 pam/gkr-pam-module.c               | 173 +++++++++++++------------------------
 pam/test-pam.c                     |  32 +++----
 pkcs11/rpc-layer/gkm-rpc-module.c  |  11 +++
 pkcs11/rpc-layer/test-initialize.c |  42 ++++++++-
 10 files changed, 252 insertions(+), 177 deletions(-)

commit 275a696131e41ea4be3d3ddf6690b8bcd0fe0105
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-06

    daemon: Use $XDG_RUNTIME_DIR to create keyring socket directory
    
    We create a predictable location under $XDG_RUNTIME_DIR. GNOME does
    not support multiple GUI sessions per user, so using a predictable
    directory works well for us.
    
    If someone somewhere still wants an alternate location use the
    --control-directory argument.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=725801

 daemon/gkd-util.c     | 84 ++++++++++++++++++++++++++++++++-------------------
 daemon/test-startup.c | 34 +++++++++++++++++++++
 2 files changed, 87 insertions(+), 31 deletions(-)

commit 43e71fef72da611bf6f806c3769a19e1c92c50bd
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-06

    pam: Fix starting the daemon to change password
    
    This was broken and would cause the daemon to fail internally.
    The daemon wasn't being initialized due to the --login argument.

 pam/gkr-pam-module.c | 29 +++++++++++++++++++----------
 1 file changed, 19 insertions(+), 10 deletions(-)

commit 02d7fd262a5bff089925029cae85c3586a850986
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-06

    pam: Add some tests for the PAM module
    
    These require you to install some pam configs into /etc/pam.d. You
    can do it with the following commands:
    
    $ make enable-pam-tests
    $ make disable-pam-tests

 HACKING                                       |   6 +
 Makefile.am                                   |   2 +
 pam/Makefile.am                               |  54 +++
 pam/fixtures/gnome-keyring-test-auth-start    |   8 +
 pam/fixtures/gnome-keyring-test-no-start      |   8 +
 pam/fixtures/gnome-keyring-test-session-start |   8 +
 pam/fixtures/login.keyring                    | Bin 0 -> 180 bytes
 pam/mock-pam.c                                | 125 +++++++
 pam/test-pam.c                                | 518 ++++++++++++++++++++++++++
 9 files changed, 729 insertions(+)

commit 86bd8c5a8eb9b0bd299645b5d2eaa6dd043b355f
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-06

    daemon: Don't log debug messages to syslog
    
    https://bugzilla.gnome.org/show_bug.cgi?id=711537

 daemon/gkd-main.c | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit f63d9c0972b821fa48f357e391e6ca2e00a400a1
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-06

    egg: Add egg_tests_copy_scratch_file() method for fixture files

 egg/egg-testing.c | 8 ++++----
 egg/egg-testing.h | 3 +++
 2 files changed, 7 insertions(+), 4 deletions(-)

commit 924b7704010b2a61d93640b63b5089176c026fbf
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-06

    daemon: Don't initialize in an idle handler, this is racy
    
    This races with things connecting over the control socket and
    trying to initialize the daemon

 daemon/gkd-main.c | 37 ++++++++++++++++---------------------
 1 file changed, 16 insertions(+), 21 deletions(-)

commit 8272724a3970cd3e8f5d32dd5e640c0119596fb0
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-06

    daemon: During testing write aliases to right directory

 daemon/dbus/gkd-secret-service.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit cad5ed78f44e8546df2c824aa7b3b5e660a32d61
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-06

    daemon: More indicative preconditions when startup ordering goes bad

 daemon/dbus/gkd-dbus-secrets.c | 6 +++++-
 daemon/login/gkd-login.c       | 8 +++++++-
 2 files changed, 12 insertions(+), 2 deletions(-)

commit 7941abe62bf7a0f26b92095d930e7872a970e948
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-06

    rpc-layer: Add tests of initializing with/without daemon

 pkcs11/rpc-layer/Makefile.am       |  21 +++++-
 pkcs11/rpc-layer/test-initialize.c | 140 +++++++++++++++++++++++++++++++++++++
 2 files changed, 160 insertions(+), 1 deletion(-)

commit 5a8275348a250824491ccf559f9192a1abb38fc3
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-06

    daemon: Use GLib unix signal handling
    
    Rather than our own home rolled version.

 daemon/control/gkd-control-server.c |  15 ++++-
 daemon/gkd-main.c                   | 113 +++++++-----------------------------
 daemon/test-shutdown.c              |  32 ++++++++++
 3 files changed, 67 insertions(+), 93 deletions(-)

commit 636113849f970af6819ef599d207419c4881f8fb
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-06

    daemon: Exit gnome-keyring-daemon when the DBus connection closes
    
    We don't do this via the standard mechanism, as it means that libdbus
    just calls _exit() (not even exit()) when the connection goes away.
    
    This can lead to inconsistent state. Shutdown should be orderly.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=708765

 daemon/Makefile.am     |   7 ++-
 daemon/dbus/gkd-dbus.c |  10 ++++-
 daemon/gkd-main.c      |   4 +-
 daemon/test-shutdown.c | 115 +++++++++++++++++++++++++++++++++++++++++++++++++
 egg/egg-dbus.c         |  21 +++++++--
 egg/egg-dbus.h         |   4 +-
 6 files changed, 152 insertions(+), 9 deletions(-)

commit 3debf372273293ebb247a00a4e70c5ab7a399c13
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-06

    daemon: Add a test of the control directory and environment variables
    
    Combine some code for starting a test daemon into a new internal
    utility functions.

 daemon/Makefile.am         |  32 ++++++++
 daemon/dbus/Makefile.am    |   1 +
 daemon/dbus/test-service.c |  33 ++------
 daemon/gkd-test.c          | 103 ++++++++++++++++++++++++
 daemon/gkd-test.h          |  31 +++++++
 daemon/test-startup.c      | 195 +++++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 369 insertions(+), 26 deletions(-)

commit a909e7a5b0cf1f02d498ff6475aad4173409c3b0
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-06

    HACKING: Update with description of how to run tests

 HACKING | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit a2ebd3ca4f7569baeeac0b917a057e0392d15412
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-06

    egg: Support nested directories in egg_tests_remove_scratch_directory()
    
    Call 'rm' to cleanup the directory instead of removing files ourselves.
    We want to use nested directories in some tests.

 egg/egg-testing.c | 24 ++++++++----------------
 1 file changed, 8 insertions(+), 16 deletions(-)

commit 0e3cf35b6d5b899897367d6db637b3294dd5bf7d
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-06

    daemon: When in foreground mode, close stdout when done initializing
    
    This indicates to the caller both that it's the end of the environment
    variables, and also provides a synchronization point where tests can
    wait for the daemon.

 daemon/gkd-main.c | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit c7fc0421ece00e684f5932a6285c122a917bf610
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-06

    egg: Remove egg_mkdtemp() functions and use g_mkdtemp() instead

 configure.ac      |   2 -
 daemon/gkd-util.c |   3 +-
 egg/Makefile.am   |   2 -
 egg/egg-mkdtemp.c | 196 ------------------------------------------------------
 egg/egg-mkdtemp.h |  27 --------
 egg/egg-testing.c |   3 +-
 egg/egg-timegm.c  |   2 -
 egg/egg-timegm.h  |   2 -
 8 files changed, 2 insertions(+), 235 deletions(-)

commit 6a603979122abd1279e5e6b930a2f61b28f806e8
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-06

    Makefile.am: Remove coverage files when doing 'make clean'

 Makefile.am | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 6210ba499e0df2341a1660c35d6c9c2c74611c8b
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-05

    tap-gtester: Set the HARNESS_ACTIVE environment variable
    
    This allows tests to detect whether they're running under a harness
    or not.
    
    In addition handle the way GTests skips better.

 build/tap-gtester | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit b545c0a41f9b2b95680e79d6637aa298a3f6cfb0
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-05

    configure.ac: Drop required automake to 1.12 or later
    
    build.gnome.org doesn't have automake 1.13 yet and I guess
    others may not either.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ed727e39f52069176ca0325d8f51f3f4e7e2cc3e
Author: Stef Walter <stefw@gnome.org>
Date:   2013-10-15

    daemon: Add new --unlock option to prompt for login password
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710187

 daemon/gkd-main.c             | 18 ++++++++++++++++--
 docs/gnome-keyring-daemon.xml | 11 ++++++++++-
 2 files changed, 26 insertions(+), 3 deletions(-)

commit 533044c5ef208543b00e5f56635dcaae1b93d31b
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-05

    Makefile.am: Use parallel tests for 'make check'
    
    Also build in a 'make check-memory' and related functionality
    which drives valgrind.

 .gitignore                      |  11 +-
 Makefile.am                     |  75 +++----
 build/gcr.supp                  |  14 ++
 build/gcrypt.supp               |  39 ++++
 build/glib.supp                 | 419 +++++++++++++++++++++++++++++++++++++++
 build/glibc.supp                |  13 ++
 build/p11-kit.supp              |   6 +
 build/pixman.supp               |   6 +
 build/pthread.supp              |   7 +
 build/tap-driver                | 357 ++++++++++++++++++++++++++++++++++
 build/tap-gtester               | 176 +++++++++++++++++
 build/unknown.supp              | 420 ++++++++++++++++++++++++++++++++++++++++
 configure.ac                    |   2 +-
 daemon/dbus/Makefile.am         |   5 +-
 egg/Makefile.am                 |   5 +-
 egg/egg-asn1x.c                 |   8 +-
 pkcs11/gkm/Makefile.am          |   5 +-
 pkcs11/gnome2-store/Makefile.am |   5 +-
 pkcs11/secret-store/Makefile.am |   5 +-
 pkcs11/ssh-store/Makefile.am    |   8 +-
 pkcs11/wrap-layer/Makefile.am   |   5 +-
 pkcs11/xdg-store/Makefile.am    |   8 +-
 22 files changed, 1546 insertions(+), 53 deletions(-)

commit 4f0b8a25630d6555cf0d91b849273e0e24a174ad
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-05

    Makefile.am: Don't do 'make distcheck' with silent make rules

 Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 51a455ef499543dd8f72890be6795da9d2c4037d
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-05

    configure.ac: Put various autofoo litter in build/ an build/m4
    
    Coverage also goes to build/coverage instead of testing/

 .gitignore          | 40 +++++++++++++++++++++-------------------
 CVSVERSION          |  0
 build/m4/.gitignore |  1 +
 configure.ac        |  2 ++
 testing/.gitignore  |  2 --
 testing/Makefile.am |  4 ----
 6 files changed, 24 insertions(+), 25 deletions(-)

commit 0b751a90927f0f9768cd587fe8cab5e72a74517f
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-04

    Makefile.am: Use a single non-recursive Makefile
    
    This allows all the code to be built in parallel, and only
    rebuilding stuff that's changed when developing. Much quicker.
    
    In the meantime disable the p11-tests checks, which
    were very rarely used. We'll need to migrate them to TAP.

 Makefile.am                                   | 168 +++++-
 Makefile.decl                                 |  60 --
 configure.ac                                  |  44 +-
 daemon/Makefile.am                            |  99 ++--
 daemon/control/Makefile.am                    |  70 +--
 daemon/control/frob-control-change.c          |   2 +-
 daemon/control/frob-control-init.c            |   2 +-
 daemon/control/frob-control-quit.c            |   2 +-
 daemon/control/frob-control-unlock.c          |   2 +-
 daemon/control/gkd-control-server.c           |   6 +-
 daemon/dbus/Makefile.am                       | 130 +++--
 daemon/dbus/gkd-dbus-environment.c            |   4 +-
 daemon/dbus/gkd-dbus-session.c                |   3 +-
 daemon/dbus/gkd-dbus.c                        |   2 +-
 daemon/dbus/gkd-secret-unlock.c               |   2 +-
 daemon/dbus/test-dbus-items.c                 | 198 +++++++
 daemon/dbus/test-dbus-lock.c                  | 133 +++++
 daemon/dbus/test-dbus-search.c                | 135 +++++
 daemon/dbus/test-dbus-signals.c               | 782 ++++++++++++++++++++++++++
 daemon/dbus/test-dbus-util.c                  |  53 ++
 daemon/dbus/test-secret-items.c               | 200 -------
 daemon/dbus/test-secret-lock.c                | 133 -----
 daemon/dbus/test-secret-search.c              | 137 -----
 daemon/dbus/test-secret-signals.c             | 782 --------------------------
 daemon/dbus/test-secret-util.c                |  53 --
 daemon/dbus/test-service.c                    |   8 +-
 daemon/gnome-keyring-gpg.desktop.in.in        |   2 +-
 daemon/gnome-keyring-pkcs11.desktop.in.in     |   2 +-
 daemon/gnome-keyring-secrets.desktop.in.in    |   2 +-
 daemon/gnome-keyring-ssh.desktop.in.in        |   2 +-
 daemon/gpg-agent/Makefile.am                  |  29 +-
 daemon/login/Makefile.am                      |  23 +-
 daemon/org.freedesktop.secrets.service.in     |   2 +-
 daemon/org.gnome.keyring.service.in           |   2 +-
 daemon/ssh-agent/Makefile.am                  |  31 +-
 egg/Makefile.am                               | 163 +++---
 egg/egg-mkdtemp.c                             |   1 +
 egg/egg-mkdtemp.h                             |   1 +
 egg/egg-timegm.c                              |   1 +
 egg/egg-timegm.h                              |   1 +
 egg/test-asn1.c                               |   2 +-
 egg/test-asn1x.c                              |  14 +-
 egg/test-dn.c                                 |   2 +-
 egg/test-openssl.c                            |   2 +-
 egg/test-spawn.c                              |  10 +-
 pam/Makefile.am                               |  25 +-
 pkcs11/Makefile.am                            |  19 +-
 pkcs11/gkm/Makefile.am                        | 251 +++++----
 pkcs11/gkm/mock-module.c                      |   2 +-
 pkcs11/gkm/test-certificate.c                 |   2 +-
 pkcs11/gkm/test-data-asn1.c                   |   2 +-
 pkcs11/gkm/test-data-der.c                    |  12 +-
 pkcs11/gkm/test-object.c                      |   2 +-
 pkcs11/gnome2-store/Makefile.am               | 115 ++--
 pkcs11/gnome2-store/gkm-gnome2-file.c         |   3 +-
 pkcs11/gnome2-store/test-gnome2-file.c        |   4 +-
 pkcs11/gnome2-store/test-gnome2-private-key.c |   2 +-
 pkcs11/gnome2-store/test-gnome2-storage.c     |   6 +-
 pkcs11/gnome2-store/test-import.c             |   4 +-
 pkcs11/rpc-layer/Makefile.am                  |  57 +-
 pkcs11/secret-store/Makefile.am               | 117 ++--
 pkcs11/secret-store/mock-secret-module.c      |   4 +-
 pkcs11/secret-store/test-secret-binary.c      |  16 +-
 pkcs11/secret-store/test-secret-collection.c  |  12 +-
 pkcs11/secret-store/test-secret-schema.c      |   2 +-
 pkcs11/secret-store/test-secret-textual.c     |  10 +-
 pkcs11/ssh-store/Makefile.am                  |  96 ++--
 pkcs11/ssh-store/test-private-key.c           |   8 +-
 pkcs11/ssh-store/test-ssh-openssh.c           |  12 +-
 pkcs11/wrap-layer/Makefile.am                 |  72 ++-
 pkcs11/xdg-store/Makefile.am                  | 101 ++--
 pkcs11/xdg-store/mock-xdg-module.c            |   4 +-
 pkcs11/xdg-store/test-xdg-module.c            |   2 +-
 pkcs11/xdg-store/test-xdg-trust.c             |   2 +-
 po/POTFILES.skip                              |   9 +-
 schema/Makefile.am                            |  16 +-
 tool/Makefile.am                              |  34 +-
 77 files changed, 2244 insertions(+), 2281 deletions(-)

commit 9300894079d184a1362e8f80ae695ede6d7e9e75
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-04

    configure.ac: Modernize the autoconf/automake invocation

 configure.ac | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit 50e0feec5d80263ba2c65d005290a3e9837905f4
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-04

    Makefile.am: Move tests into same directories as tested code
    
    This allows for a cleaner build tree, and will provide benefits
    when moving to a single Makefile.

 configure.ac                                       |    9 -
 daemon/control/Makefile.am                         |   52 +-
 daemon/control/frob-control-change.c               |   31 +
 daemon/control/frob-control-init.c                 |   31 +
 daemon/control/frob-control-quit.c                 |   26 +
 daemon/control/frob-control-unlock.c               |   25 +
 daemon/control/tests/.gitignore                    |    4 -
 daemon/control/tests/Makefile.am                   |   55 -
 daemon/control/tests/frob-control-change.c         |   31 -
 daemon/control/tests/frob-control-init.c           |   31 -
 daemon/control/tests/frob-control-quit.c           |   26 -
 daemon/control/tests/frob-control-unlock.c         |   25 -
 daemon/dbus/Makefile.am                            |   40 +-
 daemon/dbus/fixtures/test.keyring                  |  Bin 0 -> 180 bytes
 daemon/dbus/test-secret-items.c                    |  200 ++
 daemon/dbus/test-secret-lock.c                     |  133 +
 daemon/dbus/test-secret-search.c                   |  137 +
 daemon/dbus/test-secret-signals.c                  |  782 +++++
 daemon/dbus/test-secret-util.c                     |   53 +
 daemon/dbus/test-service.c                         |  185 +
 daemon/dbus/test-service.h                         |   47 +
 daemon/dbus/tests/Makefile.am                      |   44 -
 daemon/dbus/tests/files/test.keyring               |  Bin 180 -> 0 bytes
 daemon/dbus/tests/test-secret-items.c              |  200 --
 daemon/dbus/tests/test-secret-lock.c               |  133 -
 daemon/dbus/tests/test-secret-search.c             |  137 -
 daemon/dbus/tests/test-secret-signals.c            |  782 -----
 daemon/dbus/tests/test-secret-util.c               |   53 -
 daemon/dbus/tests/test-service.c                   |  185 -
 daemon/dbus/tests/test-service.h                   |   47 -
 egg/Makefile.am                                    |   58 +-
 egg/fixtures/dh-params.pem                         |    5 +
 egg/fixtures/echo-script.sh                        |   12 +
 egg/fixtures/pem-rsa-enc.key                       |   18 +
 egg/fixtures/test-certificate-1.der                |  Bin 0 -> 813 bytes
 egg/fixtures/test-personalname-invalid.der         |    1 +
 egg/fixtures/test-pkcs12-1.der                     |  Bin 0 -> 2824 bytes
 egg/fixtures/test-pkcs7-1.der                      |  Bin 0 -> 1002 bytes
 egg/fixtures/test-pkcs7-2.der                      |  Bin 0 -> 1002 bytes
 egg/fixtures/test-pkcs8-1.der                      |  Bin 0 -> 335 bytes
 egg/fixtures/test-rsakey-1.der                     |  Bin 0 -> 609 bytes
 egg/test-armor.c                                   |  159 +
 egg/test-asn1.c                                    | 2559 ++++++++++++++
 egg/test-asn1x.c                                   |  200 ++
 egg/test-cleanup.c                                 |  167 +
 egg/test-dh.c                                      |  208 ++
 egg/test-dn.c                                      |  232 ++
 egg/test-hex.c                                     |  123 +
 egg/test-hkdf.c                                    |  344 ++
 egg/test-oid.c                                     |   53 +
 egg/test-openssl.c                                 |  223 ++
 egg/test-padding.c                                 |  221 ++
 egg/test-secmem.c                                  |  269 ++
 egg/test-spawn.c                                   |  291 ++
 egg/test-symkey.c                                  |  668 ++++
 egg/test.asn                                       |  102 +
 egg/test.asn.h                                     |   87 +
 egg/tests/.gitignore                               |    1 -
 egg/tests/Makefile.am                              |   54 -
 egg/tests/files/dh-params.pem                      |    5 -
 egg/tests/files/echo-script.sh                     |   12 -
 egg/tests/files/pem-rsa-enc.key                    |   18 -
 egg/tests/files/test-certificate-1.der             |  Bin 813 -> 0 bytes
 egg/tests/files/test-personalname-invalid.der      |    1 -
 egg/tests/files/test-pkcs12-1.der                  |  Bin 2824 -> 0 bytes
 egg/tests/files/test-pkcs7-1.der                   |  Bin 1002 -> 0 bytes
 egg/tests/files/test-pkcs7-2.der                   |  Bin 1002 -> 0 bytes
 egg/tests/files/test-pkcs8-1.der                   |  Bin 335 -> 0 bytes
 egg/tests/files/test-rsakey-1.der                  |  Bin 609 -> 0 bytes
 egg/tests/test-armor.c                             |  159 -
 egg/tests/test-asn1.c                              | 2559 --------------
 egg/tests/test-asn1x.c                             |  200 --
 egg/tests/test-cleanup.c                           |  167 -
 egg/tests/test-dh.c                                |  208 --
 egg/tests/test-dn.c                                |  232 --
 egg/tests/test-hex.c                               |  123 -
 egg/tests/test-hkdf.c                              |  344 --
 egg/tests/test-oid.c                               |   53 -
 egg/tests/test-openssl.c                           |  223 --
 egg/tests/test-padding.c                           |  221 --
 egg/tests/test-secmem.c                            |  269 --
 egg/tests/test-spawn.c                             |  291 --
 egg/tests/test-symkey.c                            |  668 ----
 egg/tests/test.asn                                 |  102 -
 egg/tests/test.asn.h                               |   87 -
 pkcs11/gkm/Makefile.am                             |   73 +-
 pkcs11/gkm/asn1-def-test.h                         |   17 +
 pkcs11/gkm/fixtures/ca-certificates.crt            | 3601 ++++++++++++++++++++
 pkcs11/gkm/fixtures/der-key-PBE-MD5-DES.p8         |  Bin 0 -> 677 bytes
 pkcs11/gkm/fixtures/der-key-PBE-SHA1-3DES.p8       |  Bin 0 -> 678 bytes
 pkcs11/gkm/fixtures/der-key-PBE-SHA1-DES.p8        |  Bin 0 -> 677 bytes
 pkcs11/gkm/fixtures/der-key-PBE-SHA1-RC2-40.p8     |  Bin 0 -> 678 bytes
 pkcs11/gkm/fixtures/der-key-PBE-SHA1-RC4-128.p8    |  Bin 0 -> 673 bytes
 pkcs11/gkm/fixtures/der-key-dsa.p8                 |  Bin 0 -> 335 bytes
 pkcs11/gkm/fixtures/der-key-encrypted-pkcs5.p8     |  Bin 0 -> 677 bytes
 pkcs11/gkm/fixtures/der-key-v2-des.p8              |  Bin 0 -> 711 bytes
 pkcs11/gkm/fixtures/der-key-v2-des3.p8             |  Bin 0 -> 714 bytes
 pkcs11/gkm/fixtures/der-key.p8                     |  Bin 0 -> 635 bytes
 pkcs11/gkm/fixtures/pem-rsa-enc.key                |   18 +
 pkcs11/gkm/fixtures/test-certificate-1.der         |  Bin 0 -> 813 bytes
 pkcs11/gkm/fixtures/test-certificate-2.der         |  Bin 0 -> 1346 bytes
 pkcs11/gkm/mock-locked-object.c                    |   90 +
 pkcs11/gkm/mock-locked-object.h                    |   51 +
 pkcs11/gkm/mock-module.c                           |  125 +
 pkcs11/gkm/mock-module.h                           |   44 +
 pkcs11/gkm/test-attributes.c                       |  914 +++++
 pkcs11/gkm/test-certificate.c                      |  206 ++
 pkcs11/gkm/test-credential.c                       |  376 ++
 pkcs11/gkm/test-data-asn1.c                        |  116 +
 pkcs11/gkm/test-data-der.c                         |  613 ++++
 pkcs11/gkm/test-file-tracker.c                     |  245 ++
 pkcs11/gkm/test-memory-store.c                     |  483 +++
 pkcs11/gkm/test-object.c                           |  306 ++
 pkcs11/gkm/test-secret.c                           |  207 ++
 pkcs11/gkm/test-sexp.c                             |  155 +
 pkcs11/gkm/test-store.c                            |  103 +
 pkcs11/gkm/test-timer.c                            |  176 +
 pkcs11/gkm/test-transaction.c                      |  557 +++
 pkcs11/gkm/test.asn                                |   16 +
 pkcs11/gkm/test.asn.h                              |   17 +
 pkcs11/gkm/tests/.gitignore                        |    2 -
 pkcs11/gkm/tests/Makefile.am                       |   79 -
 pkcs11/gkm/tests/files/ca-certificates.crt         | 3601 --------------------
 pkcs11/gkm/tests/files/der-key-PBE-MD5-DES.p8      |  Bin 677 -> 0 bytes
 pkcs11/gkm/tests/files/der-key-PBE-SHA1-3DES.p8    |  Bin 678 -> 0 bytes
 pkcs11/gkm/tests/files/der-key-PBE-SHA1-DES.p8     |  Bin 677 -> 0 bytes
 pkcs11/gkm/tests/files/der-key-PBE-SHA1-RC2-40.p8  |  Bin 678 -> 0 bytes
 pkcs11/gkm/tests/files/der-key-PBE-SHA1-RC4-128.p8 |  Bin 673 -> 0 bytes
 pkcs11/gkm/tests/files/der-key-dsa.p8              |  Bin 335 -> 0 bytes
 pkcs11/gkm/tests/files/der-key-encrypted-pkcs5.p8  |  Bin 677 -> 0 bytes
 pkcs11/gkm/tests/files/der-key-v2-des.p8           |  Bin 711 -> 0 bytes
 pkcs11/gkm/tests/files/der-key-v2-des3.p8          |  Bin 714 -> 0 bytes
 pkcs11/gkm/tests/files/der-key.p8                  |  Bin 635 -> 0 bytes
 pkcs11/gkm/tests/files/pem-rsa-enc.key             |   18 -
 pkcs11/gkm/tests/files/test-certificate-1.der      |  Bin 813 -> 0 bytes
 pkcs11/gkm/tests/files/test-certificate-2.der      |  Bin 1346 -> 0 bytes
 pkcs11/gkm/tests/mock-locked-object.c              |   90 -
 pkcs11/gkm/tests/mock-locked-object.h              |   51 -
 pkcs11/gkm/tests/mock-module.c                     |  125 -
 pkcs11/gkm/tests/mock-module.h                     |   44 -
 pkcs11/gkm/tests/test-attributes.c                 |  914 -----
 pkcs11/gkm/tests/test-certificate.c                |  206 --
 pkcs11/gkm/tests/test-credential.c                 |  376 --
 pkcs11/gkm/tests/test-data-asn1.c                  |  116 -
 pkcs11/gkm/tests/test-data-der.c                   |  613 ----
 pkcs11/gkm/tests/test-file-tracker.c               |  245 --
 pkcs11/gkm/tests/test-memory-store.c               |  483 ---
 pkcs11/gkm/tests/test-object.c                     |  306 --
 pkcs11/gkm/tests/test-secret.c                     |  207 --
 pkcs11/gkm/tests/test-sexp.c                       |  155 -
 pkcs11/gkm/tests/test-store.c                      |  103 -
 pkcs11/gkm/tests/test-timer.c                      |  176 -
 pkcs11/gkm/tests/test-transaction.c                |  557 ---
 pkcs11/gkm/tests/test.asn                          |   16 -
 pkcs11/gkm/tests/test.asn.h                        |   17 -
 pkcs11/gnome2-store/Makefile.am                    |   59 +-
 pkcs11/gnome2-store/check-gnome2-module.c          |   69 +
 pkcs11/gnome2-store/fixtures/.gitempty             |    0
 .../fixtures/Thawte_Personal_Premium_CA.cer        |  Bin 0 -> 813 bytes
 .../gnome2-store/fixtures/data-file-private.store  |  Bin 0 -> 494 bytes
 .../gnome2-store/fixtures/data-file-public.store   |  Bin 0 -> 216 bytes
 pkcs11/gnome2-store/fixtures/der-key-v2-des3.p8    |  Bin 0 -> 714 bytes
 pkcs11/gnome2-store/fixtures/personal.p12          |  Bin 0 -> 3396 bytes
 pkcs11/gnome2-store/fixtures/test-certificate.cer  |  Bin 0 -> 1857 bytes
 pkcs11/gnome2-store/fixtures/user.keystore         |  Bin 0 -> 226 bytes
 pkcs11/gnome2-store/frob-gnome2-file.c             |   99 +
 pkcs11/gnome2-store/mock-gnome2-module.c           |  110 +
 pkcs11/gnome2-store/mock-gnome2-module.h           |   42 +
 pkcs11/gnome2-store/p11-tests.conf.in              |    2 +
 pkcs11/gnome2-store/test-gnome2-file.c             |  643 ++++
 pkcs11/gnome2-store/test-gnome2-private-key.c      |  264 ++
 pkcs11/gnome2-store/test-gnome2-storage.c          |  490 +++
 pkcs11/gnome2-store/test-import.c                  |  185 +
 pkcs11/gnome2-store/tests/.gitignore               |    1 -
 pkcs11/gnome2-store/tests/Makefile.am              |   66 -
 pkcs11/gnome2-store/tests/check-gnome2-module.c    |   69 -
 pkcs11/gnome2-store/tests/files/.gitempty          |    0
 .../tests/files/Thawte_Personal_Premium_CA.cer     |  Bin 813 -> 0 bytes
 .../tests/files/data-file-private.store            |  Bin 494 -> 0 bytes
 .../tests/files/data-file-public.store             |  Bin 216 -> 0 bytes
 pkcs11/gnome2-store/tests/files/der-key-v2-des3.p8 |  Bin 714 -> 0 bytes
 pkcs11/gnome2-store/tests/files/personal.p12       |  Bin 3396 -> 0 bytes
 .../gnome2-store/tests/files/test-certificate.cer  |  Bin 1857 -> 0 bytes
 pkcs11/gnome2-store/tests/files/user.keystore      |  Bin 226 -> 0 bytes
 pkcs11/gnome2-store/tests/frob-gnome2-file.c       |   99 -
 pkcs11/gnome2-store/tests/mock-gnome2-module.c     |  110 -
 pkcs11/gnome2-store/tests/mock-gnome2-module.h     |   42 -
 pkcs11/gnome2-store/tests/p11-tests.conf.in        |    2 -
 pkcs11/gnome2-store/tests/test-gnome2-file.c       |  643 ----
 .../gnome2-store/tests/test-gnome2-private-key.c   |  264 --
 pkcs11/gnome2-store/tests/test-gnome2-storage.c    |  490 ---
 pkcs11/gnome2-store/tests/test-import.c            |  185 -
 pkcs11/secret-store/Makefile.am                    |   42 +-
 pkcs11/secret-store/dump-keyring0-format.c         |  963 ++++++
 .../secret-store/fixtures/created-on-rhel.keyring  |  Bin 0 -> 105 bytes
 .../fixtures/created-on-solaris-opencsw.keyring    |  Bin 0 -> 105 bytes
 .../fixtures/encrypted-with-schema.keyring         |  Bin 0 -> 404 bytes
 pkcs11/secret-store/fixtures/encrypted.keyring     |  Bin 0 -> 733 bytes
 .../secret-store/fixtures/plain-bad-number.keyring |   23 +
 .../fixtures/plain-with-schema.keyring             |   23 +
 pkcs11/secret-store/fixtures/plain.keyring         |   55 +
 pkcs11/secret-store/fixtures/schema1.keyring       |  Bin 0 -> 769 bytes
 pkcs11/secret-store/fixtures/schema2.keyring       |  Bin 0 -> 1005 bytes
 pkcs11/secret-store/mock-secret-module.c           |  278 ++
 pkcs11/secret-store/mock-secret-module.h           |   50 +
 pkcs11/secret-store/test-secret-binary.c           |  266 ++
 pkcs11/secret-store/test-secret-collection.c       |  599 ++++
 pkcs11/secret-store/test-secret-compat.c           |  129 +
 pkcs11/secret-store/test-secret-data.c             |  246 ++
 pkcs11/secret-store/test-secret-fields.c           |  510 +++
 pkcs11/secret-store/test-secret-item.c             |  483 +++
 pkcs11/secret-store/test-secret-object.c           |  309 ++
 pkcs11/secret-store/test-secret-schema.c           |  241 ++
 pkcs11/secret-store/test-secret-search.c           |  454 +++
 pkcs11/secret-store/test-secret-textual.c          |  229 ++
 pkcs11/secret-store/tests/Makefile.am              |   48 -
 pkcs11/secret-store/tests/dump-keyring0-format.c   |  963 ------
 .../tests/files/created-on-rhel.keyring            |  Bin 105 -> 0 bytes
 .../tests/files/created-on-solaris-opencsw.keyring |  Bin 105 -> 0 bytes
 .../tests/files/encrypted-with-schema.keyring      |  Bin 404 -> 0 bytes
 pkcs11/secret-store/tests/files/encrypted.keyring  |  Bin 733 -> 0 bytes
 .../tests/files/plain-bad-number.keyring           |   23 -
 .../tests/files/plain-with-schema.keyring          |   23 -
 pkcs11/secret-store/tests/files/plain.keyring      |   55 -
 pkcs11/secret-store/tests/files/schema1.keyring    |  Bin 769 -> 0 bytes
 pkcs11/secret-store/tests/files/schema2.keyring    |  Bin 1005 -> 0 bytes
 pkcs11/secret-store/tests/mock-secret-module.c     |  278 --
 pkcs11/secret-store/tests/mock-secret-module.h     |   50 -
 pkcs11/secret-store/tests/test-secret-binary.c     |  266 --
 pkcs11/secret-store/tests/test-secret-collection.c |  599 ----
 pkcs11/secret-store/tests/test-secret-compat.c     |  129 -
 pkcs11/secret-store/tests/test-secret-data.c       |  246 --
 pkcs11/secret-store/tests/test-secret-fields.c     |  510 ---
 pkcs11/secret-store/tests/test-secret-item.c       |  483 ---
 pkcs11/secret-store/tests/test-secret-object.c     |  309 --
 pkcs11/secret-store/tests/test-secret-schema.c     |  241 --
 pkcs11/secret-store/tests/test-secret-search.c     |  454 ---
 pkcs11/secret-store/tests/test-secret-textual.c    |  229 --
 pkcs11/ssh-store/Makefile.am                       |   52 +-
 pkcs11/ssh-store/check-ssh-module.c                |   69 +
 pkcs11/ssh-store/fixtures/id_dsa_encrypted         |   15 +
 pkcs11/ssh-store/fixtures/id_dsa_encrypted.pub     |    1 +
 pkcs11/ssh-store/fixtures/id_dsa_plain             |   12 +
 pkcs11/ssh-store/fixtures/id_dsa_plain.pub         |    1 +
 pkcs11/ssh-store/fixtures/id_dsa_test.pub          |    7 +
 pkcs11/ssh-store/fixtures/id_rsa_encrypted         |   30 +
 pkcs11/ssh-store/fixtures/id_rsa_encrypted.pub     |    1 +
 pkcs11/ssh-store/fixtures/id_rsa_plain             |   27 +
 pkcs11/ssh-store/fixtures/id_rsa_plain.pub         |    1 +
 pkcs11/ssh-store/fixtures/id_rsa_test.pub          |    1 +
 pkcs11/ssh-store/mock-ssh-module.c                 |  109 +
 pkcs11/ssh-store/mock-ssh-module.h                 |   42 +
 pkcs11/ssh-store/p11-tests.conf.in                 |    3 +
 pkcs11/ssh-store/test-private-key.c                |  139 +
 pkcs11/ssh-store/test-ssh-openssh.c                |  138 +
 pkcs11/ssh-store/tests/Makefile.am                 |   58 -
 pkcs11/ssh-store/tests/check-ssh-module.c          |   69 -
 pkcs11/ssh-store/tests/files/id_dsa_encrypted      |   15 -
 pkcs11/ssh-store/tests/files/id_dsa_encrypted.pub  |    1 -
 pkcs11/ssh-store/tests/files/id_dsa_plain          |   12 -
 pkcs11/ssh-store/tests/files/id_dsa_plain.pub      |    1 -
 pkcs11/ssh-store/tests/files/id_dsa_test.pub       |    7 -
 pkcs11/ssh-store/tests/files/id_rsa_encrypted      |   30 -
 pkcs11/ssh-store/tests/files/id_rsa_encrypted.pub  |    1 -
 pkcs11/ssh-store/tests/files/id_rsa_plain          |   27 -
 pkcs11/ssh-store/tests/files/id_rsa_plain.pub      |    1 -
 pkcs11/ssh-store/tests/files/id_rsa_test.pub       |    1 -
 pkcs11/ssh-store/tests/mock-ssh-module.c           |  109 -
 pkcs11/ssh-store/tests/mock-ssh-module.h           |   42 -
 pkcs11/ssh-store/tests/p11-tests.conf.in           |    3 -
 pkcs11/ssh-store/tests/test-private-key.c          |  139 -
 pkcs11/ssh-store/tests/test-ssh-openssh.c          |  138 -
 pkcs11/wrap-layer/Makefile.am                      |   34 +-
 pkcs11/wrap-layer/mock-secret-store.c              |  285 ++
 pkcs11/wrap-layer/test-create-credential.c         |  181 +
 pkcs11/wrap-layer/test-init-pin.c                  |  115 +
 pkcs11/wrap-layer/test-login-auto.c                |  260 ++
 pkcs11/wrap-layer/test-login-hints.c               |   65 +
 pkcs11/wrap-layer/test-login-keyring.c             |  347 ++
 pkcs11/wrap-layer/test-login-specific.c            |  162 +
 pkcs11/wrap-layer/test-login-user.c                |  179 +
 pkcs11/wrap-layer/test-set-pin.c                   |  116 +
 pkcs11/wrap-layer/tests/Makefile.am                |   42 -
 pkcs11/wrap-layer/tests/mock-secret-store.c        |  285 --
 pkcs11/wrap-layer/tests/test-create-credential.c   |  181 -
 pkcs11/wrap-layer/tests/test-init-pin.c            |  115 -
 pkcs11/wrap-layer/tests/test-login-auto.c          |  260 --
 pkcs11/wrap-layer/tests/test-login-hints.c         |   65 -
 pkcs11/wrap-layer/tests/test-login-keyring.c       |  347 --
 pkcs11/wrap-layer/tests/test-login-specific.c      |  162 -
 pkcs11/wrap-layer/tests/test-login-user.c          |  179 -
 pkcs11/wrap-layer/tests/test-set-pin.c             |  116 -
 pkcs11/xdg-store/Makefile.am                       |   53 +-
 pkcs11/xdg-store/check-xdg-module.c                |   69 +
 pkcs11/xdg-store/dump-trust-file.c                 |  197 ++
 pkcs11/xdg-store/fixtures/test-certificate-1.cer   |  Bin 0 -> 813 bytes
 pkcs11/xdg-store/fixtures/test-certificate-2.cer   |  Bin 0 -> 813 bytes
 pkcs11/xdg-store/fixtures/test-refer-1.trust       |  Bin 0 -> 241 bytes
 pkcs11/xdg-store/frob-trust-file.c                 |  248 ++
 pkcs11/xdg-store/mock-xdg-module.c                 |  195 ++
 pkcs11/xdg-store/mock-xdg-module.h                 |   50 +
 pkcs11/xdg-store/p11-tests.conf                    |    2 +
 pkcs11/xdg-store/test-xdg-module.c                 |  285 ++
 pkcs11/xdg-store/test-xdg-trust.c                  |  880 +++++
 pkcs11/xdg-store/tests/Makefile.am                 |   54 -
 pkcs11/xdg-store/tests/check-xdg-module.c          |   69 -
 pkcs11/xdg-store/tests/dump-trust-file.c           |  197 --
 .../xdg-store/tests/files/test-certificate-1.cer   |  Bin 813 -> 0 bytes
 .../xdg-store/tests/files/test-certificate-2.cer   |  Bin 813 -> 0 bytes
 pkcs11/xdg-store/tests/files/test-refer-1.trust    |  Bin 241 -> 0 bytes
 pkcs11/xdg-store/tests/frob-trust-file.c           |  248 --
 pkcs11/xdg-store/tests/mock-xdg-module.c           |  195 --
 pkcs11/xdg-store/tests/mock-xdg-module.h           |   50 -
 pkcs11/xdg-store/tests/p11-tests.conf              |    2 -
 pkcs11/xdg-store/tests/test-xdg-module.c           |  285 --
 pkcs11/xdg-store/tests/test-xdg-trust.c            |  880 -----
 316 files changed, 27466 insertions(+), 27541 deletions(-)

commit beea17679b71bdcb5363bc5844f1ed826d4424be
Author: Shankar Prasad <prasad.mvs@gmail.com>
Date:   2014-02-05

    updated kn.po

 po/kn.po | 69 ++++++++++++++++++----------------------------------------------
 1 file changed, 19 insertions(+), 50 deletions(-)

commit 44ee25a1c17acab10c26f01520a15e1efdec600d
Author: GunChleoc <fios@foramnagaidhlig.net>
Date:   2014-01-22

    Added Scottish Gaelic translation

 po/LINGUAS |   3 +-
 po/gd.po   | 533 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 535 insertions(+), 1 deletion(-)

commit bdaf2fc4485c180ab6f66d965a6323fbe2f0fd5c
Author: Stef Walter <stefw@gnome.org>
Date:   2014-01-08

    Remove old FSF license from header files
    
    And refresh the COPYING and COPYING.LIB files
    
    https://bugzilla.gnome.org/show_bug.cgi?id=721549

 COPYING                                            |  41 ++--
 COPYING.LIB                                        | 217 +++++++++++----------
 daemon/control/gkd-control-client.c                |   5 +-
 daemon/control/gkd-control-codes.h                 |   5 +-
 daemon/control/gkd-control-server.c                |   5 +-
 daemon/control/gkd-control.h                       |   5 +-
 daemon/dbus/gkd-dbus-environment.c                 |   3 +-
 daemon/dbus/gkd-dbus-private.h                     |   3 +-
 daemon/dbus/gkd-dbus-secrets.c                     |   3 +-
 daemon/dbus/gkd-dbus-session.c                     |   3 +-
 daemon/dbus/gkd-dbus-util.c                        |   3 +-
 daemon/dbus/gkd-dbus-util.h                        |   3 +-
 daemon/dbus/gkd-dbus.c                             |   3 +-
 daemon/dbus/gkd-dbus.h                             |   3 +-
 daemon/dbus/gkd-secret-change.c                    |   5 +-
 daemon/dbus/gkd-secret-change.h                    |   5 +-
 daemon/dbus/gkd-secret-create.c                    |   5 +-
 daemon/dbus/gkd-secret-create.h                    |   5 +-
 daemon/dbus/gkd-secret-dispatch.c                  |   5 +-
 daemon/dbus/gkd-secret-dispatch.h                  |   5 +-
 daemon/dbus/gkd-secret-error.c                     |   5 +-
 daemon/dbus/gkd-secret-error.h                     |   5 +-
 daemon/dbus/gkd-secret-exchange.c                  |   5 +-
 daemon/dbus/gkd-secret-exchange.h                  |   5 +-
 daemon/dbus/gkd-secret-introspect.c                |   5 +-
 daemon/dbus/gkd-secret-introspect.h                |   5 +-
 daemon/dbus/gkd-secret-lock.c                      |   5 +-
 daemon/dbus/gkd-secret-lock.h                      |   5 +-
 daemon/dbus/gkd-secret-objects.c                   |   5 +-
 daemon/dbus/gkd-secret-objects.h                   |   5 +-
 daemon/dbus/gkd-secret-prompt.c                    |   5 +-
 daemon/dbus/gkd-secret-prompt.h                    |   5 +-
 daemon/dbus/gkd-secret-property.c                  |   5 +-
 daemon/dbus/gkd-secret-property.h                  |   5 +-
 daemon/dbus/gkd-secret-secret.c                    |   5 +-
 daemon/dbus/gkd-secret-secret.h                    |   5 +-
 daemon/dbus/gkd-secret-service.c                   |   5 +-
 daemon/dbus/gkd-secret-service.h                   |   5 +-
 daemon/dbus/gkd-secret-session.c                   |   5 +-
 daemon/dbus/gkd-secret-session.h                   |   5 +-
 daemon/dbus/gkd-secret-types.h                     |   5 +-
 daemon/dbus/gkd-secret-unlock.c                    |   5 +-
 daemon/dbus/gkd-secret-unlock.h                    |   5 +-
 daemon/dbus/gkd-secret-util.c                      |   5 +-
 daemon/dbus/gkd-secret-util.h                      |   5 +-
 daemon/dbus/tests/test-secret-items.c              |   3 +-
 daemon/dbus/tests/test-secret-lock.c               |   3 +-
 daemon/dbus/tests/test-secret-search.c             |   3 +-
 daemon/dbus/tests/test-secret-signals.c            |   3 +-
 daemon/dbus/tests/test-secret-util.c               |   3 +-
 daemon/dbus/tests/test-service.c                   |   3 +-
 daemon/dbus/tests/test-service.h                   |   3 +-
 daemon/gkd-capability.c                            |   5 +-
 daemon/gkd-capability.h                            |   5 +-
 daemon/gkd-glue.c                                  |   5 +-
 daemon/gkd-glue.h                                  |   5 +-
 daemon/gkd-main.h                                  |   5 +-
 daemon/gkd-pkcs11.c                                |   5 +-
 daemon/gkd-pkcs11.h                                |   5 +-
 daemon/gkd-util.c                                  |   3 +-
 daemon/gkd-util.h                                  |   3 +-
 daemon/gpg-agent/gkd-gpg-agent-ops.c               |   5 +-
 daemon/gpg-agent/gkd-gpg-agent-private.h           |   5 +-
 daemon/gpg-agent/gkd-gpg-agent-standalone.c        |   5 +-
 daemon/gpg-agent/gkd-gpg-agent.c                   |   5 +-
 daemon/gpg-agent/gkd-gpg-agent.h                   |   5 +-
 daemon/login/gkd-login.c                           |   5 +-
 daemon/login/gkd-login.h                           |   5 +-
 egg/egg-armor.c                                    |   3 +-
 egg/egg-armor.h                                    |   3 +-
 egg/egg-asn1-defs.c                                |   3 +-
 egg/egg-asn1-defs.h                                |   3 +-
 egg/egg-asn1x.c                                    |   5 +-
 egg/egg-asn1x.h                                    |   3 +-
 egg/egg-buffer.c                                   |   3 +-
 egg/egg-buffer.h                                   |   3 +-
 egg/egg-byte-array.c                               |   5 +-
 egg/egg-byte-array.h                               |   5 +-
 egg/egg-cleanup.c                                  |   3 +-
 egg/egg-cleanup.h                                  |   3 +-
 egg/egg-dbus.c                                     |   3 +-
 egg/egg-dbus.h                                     |   3 +-
 egg/egg-dh.c                                       |   5 +-
 egg/egg-dh.h                                       |   5 +-
 egg/egg-dn.c                                       |   3 +-
 egg/egg-dn.h                                       |   3 +-
 egg/egg-error.h                                    |   5 +-
 egg/egg-hkdf.c                                     |   5 +-
 egg/egg-hkdf.h                                     |   5 +-
 egg/egg-libgcrypt.c                                |   5 +-
 egg/egg-libgcrypt.h                                |   5 +-
 egg/egg-mkdtemp.c                                  |   3 +-
 egg/egg-mkdtemp.h                                  |   3 +-
 egg/egg-oid.c                                      |   3 +-
 egg/egg-oid.h                                      |   3 +-
 egg/egg-openssl.c                                  |   3 +-
 egg/egg-openssl.h                                  |   3 +-
 egg/egg-padding.c                                  |   5 +-
 egg/egg-padding.h                                  |   5 +-
 egg/egg-secure-memory.c                            |   3 +-
 egg/egg-secure-memory.h                            |   3 +-
 egg/egg-spawn.c                                    |   5 +-
 egg/egg-symkey.c                                   |   5 +-
 egg/egg-symkey.h                                   |   5 +-
 egg/egg-testing.c                                  |   5 +-
 egg/egg-testing.h                                  |   5 +-
 egg/egg-timegm.c                                   |   3 +-
 egg/egg-timegm.h                                   |   3 +-
 egg/tests/test-armor.c                             |   3 +-
 egg/tests/test-asn1.c                              |   3 +-
 egg/tests/test-asn1x.c                             |   3 +-
 egg/tests/test-cleanup.c                           |   3 +-
 egg/tests/test-dh.c                                |   3 +-
 egg/tests/test-dn.c                                |   3 +-
 egg/tests/test-hex.c                               |   3 +-
 egg/tests/test-hkdf.c                              |   3 +-
 egg/tests/test-oid.c                               |   3 +-
 egg/tests/test-openssl.c                           |   3 +-
 egg/tests/test-padding.c                           |   3 +-
 egg/tests/test-secmem.c                            |   3 +-
 egg/tests/test-spawn.c                             |   3 +-
 egg/tests/test-symkey.c                            |   3 +-
 pam/gkr-pam-client.c                               |   3 +-
 pam/gkr-pam-module.c                               |   3 +-
 pam/gkr-pam-stubs.c                                |   3 +-
 pam/gkr-pam.h                                      |   3 +-
 pkcs11/gkm/gkm-aes-key.c                           |   5 +-
 pkcs11/gkm/gkm-aes-key.h                           |   5 +-
 pkcs11/gkm/gkm-aes-mechanism.c                     |   5 +-
 pkcs11/gkm/gkm-aes-mechanism.h                     |   5 +-
 pkcs11/gkm/gkm-assertion.c                         |   5 +-
 pkcs11/gkm/gkm-assertion.h                         |   5 +-
 pkcs11/gkm/gkm-attributes.c                        |   5 +-
 pkcs11/gkm/gkm-attributes.h                        |   5 +-
 pkcs11/gkm/gkm-certificate-key.c                   |   5 +-
 pkcs11/gkm/gkm-certificate-key.h                   |   5 +-
 pkcs11/gkm/gkm-certificate.c                       |   5 +-
 pkcs11/gkm/gkm-certificate.h                       |   5 +-
 pkcs11/gkm/gkm-credential.c                        |   5 +-
 pkcs11/gkm/gkm-credential.h                        |   5 +-
 pkcs11/gkm/gkm-crypto.c                            |   5 +-
 pkcs11/gkm/gkm-crypto.h                            |   5 +-
 pkcs11/gkm/gkm-data-asn1.c                         |   3 +-
 pkcs11/gkm/gkm-data-asn1.h                         |   3 +-
 pkcs11/gkm/gkm-data-der.c                          |   3 +-
 pkcs11/gkm/gkm-data-der.h                          |   3 +-
 pkcs11/gkm/gkm-dh-key.c                            |   5 +-
 pkcs11/gkm/gkm-dh-key.h                            |   5 +-
 pkcs11/gkm/gkm-dh-mechanism.c                      |   5 +-
 pkcs11/gkm/gkm-dh-mechanism.h                      |   5 +-
 pkcs11/gkm/gkm-dh-private-key.c                    |   5 +-
 pkcs11/gkm/gkm-dh-private-key.h                    |   5 +-
 pkcs11/gkm/gkm-dh-public-key.c                     |   5 +-
 pkcs11/gkm/gkm-dh-public-key.h                     |   5 +-
 pkcs11/gkm/gkm-dsa-mechanism.c                     |   5 +-
 pkcs11/gkm/gkm-dsa-mechanism.h                     |   5 +-
 pkcs11/gkm/gkm-factory.c                           |   5 +-
 pkcs11/gkm/gkm-factory.h                           |   5 +-
 pkcs11/gkm/gkm-file-tracker.c                      |   3 +-
 pkcs11/gkm/gkm-file-tracker.h                      |   3 +-
 pkcs11/gkm/gkm-generic-key.c                       |   5 +-
 pkcs11/gkm/gkm-generic-key.h                       |   5 +-
 pkcs11/gkm/gkm-hkdf-mechanism.c                    |   5 +-
 pkcs11/gkm/gkm-hkdf-mechanism.h                    |   5 +-
 pkcs11/gkm/gkm-log.c                               |   5 +-
 pkcs11/gkm/gkm-log.h                               |   5 +-
 pkcs11/gkm/gkm-manager.c                           |   5 +-
 pkcs11/gkm/gkm-manager.h                           |   5 +-
 pkcs11/gkm/gkm-memory-store.c                      |   5 +-
 pkcs11/gkm/gkm-memory-store.h                      |   5 +-
 pkcs11/gkm/gkm-mock.c                              |   5 +-
 pkcs11/gkm/gkm-mock.h                              |   5 +-
 pkcs11/gkm/gkm-module-ep.h                         |   5 +-
 pkcs11/gkm/gkm-module.c                            |   5 +-
 pkcs11/gkm/gkm-module.h                            |   5 +-
 pkcs11/gkm/gkm-null-key.c                          |   5 +-
 pkcs11/gkm/gkm-null-key.h                          |   5 +-
 pkcs11/gkm/gkm-null-mechanism.c                    |   5 +-
 pkcs11/gkm/gkm-null-mechanism.h                    |   5 +-
 pkcs11/gkm/gkm-object.c                            |   5 +-
 pkcs11/gkm/gkm-object.h                            |   5 +-
 pkcs11/gkm/gkm-oids.h                              |   5 +-
 pkcs11/gkm/gkm-private-xsa-key.c                   |   5 +-
 pkcs11/gkm/gkm-private-xsa-key.h                   |   5 +-
 pkcs11/gkm/gkm-public-xsa-key.c                    |   5 +-
 pkcs11/gkm/gkm-public-xsa-key.h                    |   5 +-
 pkcs11/gkm/gkm-rsa-mechanism.c                     |   5 +-
 pkcs11/gkm/gkm-rsa-mechanism.h                     |   5 +-
 pkcs11/gkm/gkm-secret-key.c                        |   5 +-
 pkcs11/gkm/gkm-secret-key.h                        |   5 +-
 pkcs11/gkm/gkm-secret.c                            |   5 +-
 pkcs11/gkm/gkm-secret.h                            |   5 +-
 pkcs11/gkm/gkm-serializable.c                      |   5 +-
 pkcs11/gkm/gkm-serializable.h                      |   5 +-
 pkcs11/gkm/gkm-session.c                           |   5 +-
 pkcs11/gkm/gkm-session.h                           |   5 +-
 pkcs11/gkm/gkm-sexp-key.c                          |   5 +-
 pkcs11/gkm/gkm-sexp-key.h                          |   5 +-
 pkcs11/gkm/gkm-sexp.c                              |   5 +-
 pkcs11/gkm/gkm-sexp.h                              |   5 +-
 pkcs11/gkm/gkm-store.c                             |   5 +-
 pkcs11/gkm/gkm-store.h                             |   5 +-
 pkcs11/gkm/gkm-test.c                              |   5 +-
 pkcs11/gkm/gkm-test.h                              |   5 +-
 pkcs11/gkm/gkm-timer.c                             |   5 +-
 pkcs11/gkm/gkm-timer.h                             |   5 +-
 pkcs11/gkm/gkm-transaction.c                       |   5 +-
 pkcs11/gkm/gkm-transaction.h                       |   5 +-
 pkcs11/gkm/gkm-trust.c                             |   5 +-
 pkcs11/gkm/gkm-trust.h                             |   5 +-
 pkcs11/gkm/gkm-types.h                             |   5 +-
 pkcs11/gkm/gkm-util.c                              |  10 +-
 pkcs11/gkm/gkm-util.h                              |   5 +-
 pkcs11/gkm/tests/mock-locked-object.c              |   5 +-
 pkcs11/gkm/tests/mock-locked-object.h              |   5 +-
 pkcs11/gkm/tests/mock-module.c                     |   3 +-
 pkcs11/gkm/tests/mock-module.h                     |   3 +-
 pkcs11/gkm/tests/test-attributes.c                 |   3 +-
 pkcs11/gkm/tests/test-certificate.c                |   3 +-
 pkcs11/gkm/tests/test-credential.c                 |   3 +-
 pkcs11/gkm/tests/test-data-asn1.c                  |   3 +-
 pkcs11/gkm/tests/test-data-der.c                   |   3 +-
 pkcs11/gkm/tests/test-file-tracker.c               |   3 +-
 pkcs11/gkm/tests/test-memory-store.c               |   3 +-
 pkcs11/gkm/tests/test-object.c                     |   3 +-
 pkcs11/gkm/tests/test-secret.c                     |   3 +-
 pkcs11/gkm/tests/test-sexp.c                       |   3 +-
 pkcs11/gkm/tests/test-store.c                      |   3 +-
 pkcs11/gkm/tests/test-timer.c                      |   3 +-
 pkcs11/gkm/tests/test-transaction.c                |   3 +-
 pkcs11/gnome2-store/gkm-gnome2-file.c              |   5 +-
 pkcs11/gnome2-store/gkm-gnome2-file.h              |   5 +-
 pkcs11/gnome2-store/gkm-gnome2-module.c            |   5 +-
 pkcs11/gnome2-store/gkm-gnome2-module.h            |   5 +-
 pkcs11/gnome2-store/gkm-gnome2-private-key.c       |   5 +-
 pkcs11/gnome2-store/gkm-gnome2-private-key.h       |   5 +-
 pkcs11/gnome2-store/gkm-gnome2-public-key.c        |   5 +-
 pkcs11/gnome2-store/gkm-gnome2-public-key.h        |   5 +-
 pkcs11/gnome2-store/gkm-gnome2-standalone.c        |   3 +-
 pkcs11/gnome2-store/gkm-gnome2-storage.c           |   5 +-
 pkcs11/gnome2-store/gkm-gnome2-storage.h           |   5 +-
 pkcs11/gnome2-store/gkm-gnome2-store.h             |   5 +-
 pkcs11/gnome2-store/tests/check-gnome2-module.c    |   3 +-
 pkcs11/gnome2-store/tests/frob-gnome2-file.c       |   3 +-
 pkcs11/gnome2-store/tests/mock-gnome2-module.c     |   3 +-
 pkcs11/gnome2-store/tests/mock-gnome2-module.h     |   3 +-
 pkcs11/gnome2-store/tests/test-gnome2-file.c       |   3 +-
 .../gnome2-store/tests/test-gnome2-private-key.c   |   3 +-
 pkcs11/gnome2-store/tests/test-gnome2-storage.c    |   3 +-
 pkcs11/gnome2-store/tests/test-import.c            |   3 +-
 pkcs11/pkcs11i.h                                   |   3 +-
 pkcs11/rpc-layer/gkm-rpc-daemon-standalone.c       |   3 +-
 pkcs11/rpc-layer/gkm-rpc-dispatch.c                |   3 +-
 pkcs11/rpc-layer/gkm-rpc-message.c                 |   3 +-
 pkcs11/rpc-layer/gkm-rpc-module.c                  |   3 +-
 pkcs11/rpc-layer/gkm-rpc-private.h                 |   3 +-
 pkcs11/rpc-layer/gkm-rpc-util.c                    |   3 +-
 pkcs11/secret-store/gkm-secret-binary.h            |   5 +-
 pkcs11/secret-store/gkm-secret-collection.c        |   5 +-
 pkcs11/secret-store/gkm-secret-collection.h        |   5 +-
 pkcs11/secret-store/gkm-secret-compat.c            |   5 +-
 pkcs11/secret-store/gkm-secret-compat.h            |   5 +-
 pkcs11/secret-store/gkm-secret-data.c              |   5 +-
 pkcs11/secret-store/gkm-secret-data.h              |   5 +-
 pkcs11/secret-store/gkm-secret-fields.c            |   5 +-
 pkcs11/secret-store/gkm-secret-fields.h            |   5 +-
 pkcs11/secret-store/gkm-secret-item.c              |   5 +-
 pkcs11/secret-store/gkm-secret-item.h              |   5 +-
 pkcs11/secret-store/gkm-secret-module.c            |   5 +-
 pkcs11/secret-store/gkm-secret-module.h            |   5 +-
 pkcs11/secret-store/gkm-secret-object.c            |   5 +-
 pkcs11/secret-store/gkm-secret-object.h            |   5 +-
 pkcs11/secret-store/gkm-secret-search.c            |   5 +-
 pkcs11/secret-store/gkm-secret-search.h            |   5 +-
 pkcs11/secret-store/gkm-secret-standalone.c        |   3 +-
 pkcs11/secret-store/gkm-secret-store.h             |   5 +-
 pkcs11/secret-store/gkm-secret-textual.c           |   3 +-
 pkcs11/secret-store/gkm-secret-textual.h           |   5 +-
 pkcs11/secret-store/gkm-secret-types.h             |   5 +-
 pkcs11/secret-store/tests/mock-secret-module.c     |   3 +-
 pkcs11/secret-store/tests/mock-secret-module.h     |   3 +-
 pkcs11/secret-store/tests/test-secret-binary.c     |   3 +-
 pkcs11/secret-store/tests/test-secret-collection.c |   3 +-
 pkcs11/secret-store/tests/test-secret-compat.c     |   3 +-
 pkcs11/secret-store/tests/test-secret-data.c       |   3 +-
 pkcs11/secret-store/tests/test-secret-fields.c     |   3 +-
 pkcs11/secret-store/tests/test-secret-item.c       |   3 +-
 pkcs11/secret-store/tests/test-secret-object.c     |   3 +-
 pkcs11/secret-store/tests/test-secret-schema.c     |   3 +-
 pkcs11/secret-store/tests/test-secret-search.c     |   3 +-
 pkcs11/secret-store/tests/test-secret-textual.c    |   3 +-
 pkcs11/ssh-store/gkm-ssh-module.c                  |   5 +-
 pkcs11/ssh-store/gkm-ssh-module.h                  |   5 +-
 pkcs11/ssh-store/gkm-ssh-private-key.c             |   5 +-
 pkcs11/ssh-store/gkm-ssh-private-key.h             |   5 +-
 pkcs11/ssh-store/gkm-ssh-public-key.c              |   5 +-
 pkcs11/ssh-store/gkm-ssh-public-key.h              |   5 +-
 pkcs11/ssh-store/gkm-ssh-standalone.c              |   3 +-
 pkcs11/ssh-store/gkm-ssh-store.h                   |   5 +-
 pkcs11/ssh-store/tests/check-ssh-module.c          |   3 +-
 pkcs11/ssh-store/tests/mock-ssh-module.c           |   3 +-
 pkcs11/ssh-store/tests/mock-ssh-module.h           |   3 +-
 pkcs11/ssh-store/tests/test-private-key.c          |   3 +-
 pkcs11/ssh-store/tests/test-ssh-openssh.c          |   3 +-
 pkcs11/template/gkm-xxx.c                          |   5 +-
 pkcs11/template/gkm-xxx.h                          |   5 +-
 pkcs11/template/gkm-zzz.c                          |   5 +-
 pkcs11/template/gkm-zzz.h                          |   5 +-
 pkcs11/wrap-layer/gkm-wrap-layer.c                 |   5 +-
 pkcs11/wrap-layer/gkm-wrap-layer.h                 |   5 +-
 pkcs11/wrap-layer/gkm-wrap-login.c                 |   5 +-
 pkcs11/wrap-layer/gkm-wrap-login.h                 |   5 +-
 pkcs11/wrap-layer/gkm-wrap-prompt.c                |   5 +-
 pkcs11/wrap-layer/gkm-wrap-prompt.h                |   5 +-
 pkcs11/wrap-layer/tests/mock-secret-store.c        |   5 +-
 pkcs11/wrap-layer/tests/test-create-credential.c   |   5 +-
 pkcs11/wrap-layer/tests/test-init-pin.c            |   5 +-
 pkcs11/wrap-layer/tests/test-login-auto.c          |   5 +-
 pkcs11/wrap-layer/tests/test-login-hints.c         |   5 +-
 pkcs11/wrap-layer/tests/test-login-keyring.c       |   5 +-
 pkcs11/wrap-layer/tests/test-login-specific.c      |   5 +-
 pkcs11/wrap-layer/tests/test-login-user.c          |   5 +-
 pkcs11/wrap-layer/tests/test-set-pin.c             |   5 +-
 pkcs11/xdg-store/gkm-xdg-asn1-defs.c               |   3 +-
 pkcs11/xdg-store/gkm-xdg-asn1-defs.h               |   3 +-
 pkcs11/xdg-store/gkm-xdg-assertion.c               |   5 +-
 pkcs11/xdg-store/gkm-xdg-assertion.h               |   5 +-
 pkcs11/xdg-store/gkm-xdg-module.c                  |   5 +-
 pkcs11/xdg-store/gkm-xdg-module.h                  |   5 +-
 pkcs11/xdg-store/gkm-xdg-standalone.c              |   3 +-
 pkcs11/xdg-store/gkm-xdg-store.h                   |   5 +-
 pkcs11/xdg-store/gkm-xdg-trust.c                   |   5 +-
 pkcs11/xdg-store/gkm-xdg-trust.h                   |   5 +-
 pkcs11/xdg-store/tests/check-xdg-module.c          |   3 +-
 pkcs11/xdg-store/tests/dump-trust-file.c           |   5 +-
 pkcs11/xdg-store/tests/frob-trust-file.c           |   5 +-
 pkcs11/xdg-store/tests/mock-xdg-module.c           |   3 +-
 pkcs11/xdg-store/tests/mock-xdg-module.h           |   3 +-
 pkcs11/xdg-store/tests/test-xdg-module.c           |   3 +-
 pkcs11/xdg-store/tests/test-xdg-trust.c            |   3 +-
 tool/gkr-tool-import.c                             |   3 +-
 tool/gkr-tool-trust.c                              |   3 +-
 tool/gkr-tool-version.c                            |   3 +-
 tool/gkr-tool.c                                    |   3 +-
 tool/gkr-tool.h                                    |   3 +-
 345 files changed, 699 insertions(+), 1023 deletions(-)

commit 9bda57a2b02e8cd8c55cea4dc88a9849ae86f859
Author: Stef Walter <stefw@gnome.org>
Date:   2013-12-02

    egg: Move away from deprecated g_test_trap_fork()
    
    Bump glib dependency to 2.38.x

 configure.ac          |  4 ++--
 egg/tests/test-asn1.c | 20 ++++++++++++--------
 2 files changed, 14 insertions(+), 10 deletions(-)

commit 111cbac349a159126719f6a25597375ccbb9a086
Author: Stef Walter <stefw@gnome.org>
Date:   2013-12-02

    configure: Be more explicit about gnome-keyring dependencies

 configure.ac | 48 ++++++++++++++++++++++++++++--------------------
 1 file changed, 28 insertions(+), 20 deletions(-)

commit aecc860794082bd50d41152e8e65bb58f52db5ee
Author: Matthias Clasen <mclasen@redhat.com>
Date:   2013-11-06

    Add an alias man page for gnome-keyring-3
    
    Signed-off-by: Stef Walter <stefw@redhat.com>
     - Distribute gnome-keyring-3.1
    
    https://bugzilla.gnome.org/show_bug.cgi?id=711581

 INSTALL                | 235 +++++++++++++++++++++++++++++++++++++++----------
 docs/Makefile.am       |  14 ++-
 docs/gnome-keyring-3.1 |   1 +
 3 files changed, 199 insertions(+), 51 deletions(-)

commit 03a2caea1f0873fec1081eb28c427b40fb16155e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   2013-11-06

    Add a man page for the gnome-keyring tool
    
    Signed-off-by: Stef Walter <stefw@redhat.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=711581

 docs/Makefile.am       |  3 +-
 docs/gnome-keyring.xml | 95 ++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 97 insertions(+), 1 deletion(-)

commit c7d0a8da52fc279e11b6cc28c8c402e9abc4f83b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   2013-11-06

    Some man page updates for gnome-keyring-daemon
    
    https://bugzilla.gnome.org/show_bug.cgi?id=711581

 docs/gnome-keyring-daemon.xml | 31 +++++++++++++++++++------------
 1 file changed, 19 insertions(+), 12 deletions(-)

commit 27b81b609b5ab0831e475a537566457122a83d67
Author: Colin Walters <walters@verbum.org>
Date:   2013-10-24

    pam: de-duplicate log message text and comment
    
    I was reading the source to this for other reasons, just a drive by...
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710827

 pam/gkr-pam-module.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 19fe1ca0aa34e3a9e46a94ca58dfd972d8ca14b8
Author: Stef Walter <stefw@gnome.org>
Date:   2013-10-17

    Release version 3.10.1

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit d231d9c50dd0be1beb8d1d9293005d49cc90e7f8
Author: Stef Walter <stefw@gnome.org>
Date:   2013-10-15

    daemon: Add gnome-keyring-daemon manual page

 .gitignore                    |   1 +
 Makefile.am                   |  17 ++++-
 configure.ac                  |  38 ++++++++--
 daemon/gkd-main.c             |   2 +-
 docs/Makefile.am              |  27 ++++++-
 docs/gnome-keyring-daemon.xml | 160 ++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 234 insertions(+), 11 deletions(-)

commit 2ec2e06691b0e99815b9a13a8682eda90d3ffaf9
Author: Stef Walter <stefw@gnome.org>
Date:   2013-10-15

    daemon: Add new line at the end of startup messages

 daemon/gkd-main.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 0a82e3357c9fd17479d2a614dc64594b3349d138
Author: Antoine Jacoutot <ajacoutot@gnome.org>
Date:   2013-08-20

    buffer_get_time: use time_t as last argument
    
    ctime and mtime are time_t values.
    However, buffer_get_time() takes glong as its last argument.
    This is problematic because depending on the operating system and arch,
    time_t can be different.
    For e.g. on OpenBSD it is both long long for 32-bit and 64-bit
    architectures while on Linux, it is long for 32-bit.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706405

 pkcs11/secret-store/gkm-secret-binary.c          | 2 +-
 pkcs11/secret-store/tests/dump-keyring0-format.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit fa8a3f8ce52483345d540c0bdda0ed099fb8e137
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   2013-09-26

    [l10n]Updated Turkish translation

 po/tr.po | 216 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 115 insertions(+), 101 deletions(-)

commit 0c462fd1db180f46201b07d1562871a2d1d39845
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   2013-09-24

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 172 ++++++++++++++++++++++++++++++------------------------------
 po/zh_TW.po | 170 +++++++++++++++++++++++++++++------------------------------
 2 files changed, 171 insertions(+), 171 deletions(-)

commit 3f7f6f9b34998624248f705b85622851cc4a589c
Author: Stef Walter <stefw@gnome.org>
Date:   2013-09-23

    Release version 3.10.0

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 5c2a67ee425b12fb5b141d145c7bf0a36042257b
Author: Lars Seipel <ls@slrz.net>
Date:   2013-09-19

    daemon: Fix lapse where the login password is read in pointer-sized chunks
    
    https://bugzilla.gnome.org/show_bug.cgi?id=708483

 daemon/gkd-main.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d9d3b4922c5a210a9e82bc099505c1952c555826
Author: Stef Walter <stefw@gnome.org>
Date:   2013-08-26

    Release version 3.9.90

 Makefile.am  | 3 ++-
 NEWS         | 4 ++++
 configure.ac | 2 +-
 3 files changed, 7 insertions(+), 2 deletions(-)

commit b8ad18fd3c49f744c4f744eae241c18f8fb8a953
Author: Stef Walter <stefw@gnome.org>
Date:   2013-08-17

    daemon: Fix running gnome-keyring-daemon under test harness

 daemon/dbus/tests/test-service.c | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

commit 1533e463d4263d3b4ec65750fb2f2ac7203edf73
Author: Stef Walter <stefw@gnome.org>
Date:   2013-08-15

    More reliable means of checking if object was finalized
    
    Don't try to use G_IS_OBJECT() to see if an object was finalized
    as this segfaults in corner cases, even with our crafty check
    for a pointer within our memory space.

 pkcs11/gnome2-store/tests/test-gnome2-storage.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 99b6f5aa5bf2d216fa4ad47a94cde21f87f1af38
Author: Stef Walter <stefw@gnome.org>
Date:   2013-06-18

    daemon: Fix running tests without installed gnome-keyring
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702367

 .gitignore                       | 2 ++
 daemon/dbus/tests/test-service.c | 9 ++++++++-
 schema/Makefile.am               | 8 ++++++++
 3 files changed, 18 insertions(+), 1 deletion(-)

commit 8b3f300761edbb1ef9fcf434ccc3150ca3a1eef9
Author: Martin Olsson <martin@minimum.se>
Date:   2013-06-13

    Fixed typo in string. Fixes bug #697502

 daemon/control/gkd-control-client.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 769e917fc0b330d5d19f93c050870f7bc6d5555a
Author: Stef Walter <stefw@gnome.org>
Date:   2013-04-30

    Release version 3.9.1

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit b570ac71b7e037abbb7b14d246d5a37f0afd6ba8
Author: Stef Walter <stefw@gnome.org>
Date:   2013-04-27

    Fix implementation of LockService dbus method
    
    This prevented gnome_keyring_lock_all() in libgnome-keyring from
    working as expected.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=690466

 daemon/dbus/gkd-secret-lock.c        |  50 +++++++++++++
 daemon/dbus/gkd-secret-lock.h        |   3 +
 daemon/dbus/gkd-secret-service.c     |  12 +++-
 daemon/dbus/gkd-secret-unlock.c      |   1 +
 daemon/dbus/tests/Makefile.am        |   3 +-
 daemon/dbus/tests/test-secret-lock.c | 134 +++++++++++++++++++++++++++++++++++
 6 files changed, 201 insertions(+), 2 deletions(-)

commit 6f955eeed2728f0d8cf6dc7adb4265a8725d7d50
Author: Wouter Bolsterlee <uws@xs4all.nl>
Date:   2013-04-19

    Updated Dutch translation

 po/nl.po | 370 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 231 insertions(+), 139 deletions(-)

commit 0281ae4118690abe8631c601c8719b2a7a82a305
Author: Stef Walter <stefw@gnome.org>
Date:   2013-04-19

    egg-asn1x: Update from gcr for recent changes in libtasn1

 .gitignore                   |    1 -
 Makefile.decl                |    9 +-
 configure.ac                 |   11 -
 egg/Makefile.am              |   24 +-
 egg/egg-asn1x.c              |  194 ++++++--
 egg/egg-asn1x.h              |   12 +-
 egg/pk.asn.h                 |   71 +++
 egg/pkix.asn.h               | 1110 ++++++++++++++++++++++++++++++++++++++++++
 egg/tests/Makefile.am        |   17 +-
 egg/tests/test.asn.h         |   87 ++++
 pkcs11/gkm/tests/Makefile.am |   17 +-
 pkcs11/gkm/tests/test.asn.h  |   17 +
 pkcs11/xdg-store/Makefile.am |   18 +-
 pkcs11/xdg-store/xdg.asn.h   |   40 ++
 14 files changed, 1529 insertions(+), 99 deletions(-)

commit 87d5307b91d733dac7277c28f4b760d4f90a5a4a
Author: Stef Walter <stefw@gnome.org>
Date:   2012-12-22

    Update for deprecations in GLib
    
     * Use GMutex insteod of GStaticMutex
     * Don't use g_thread_supported

 egg/egg-libgcrypt.c            |   3 +-
 egg/egg-secure-memory.h        |   6 +-
 pkcs11/gkm/gkm-module-ep.h     | 268 ++++++++++++++++++++---------------------
 pkcs11/gkm/gkm-timer.c         |  31 +++--
 pkcs11/gkm/tests/mock-module.c |   4 +-
 5 files changed, 155 insertions(+), 157 deletions(-)

commit 4c0b5cd06cf4606c6faec96d68a82a4fb5639347
Author: Stef Walter <stefw@gnome.org>
Date:   2013-04-15

    Release version 3.8.1

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 1c2bd7a1538ac93cd45295685a16760745e4b09c
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   2013-03-26

    Updated Basque language

 po/eu.po | 181 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 98 insertions(+), 83 deletions(-)

commit 4508d21b83e24524ba47274e42d492e1e32ccf62
Author: Stef Walter <stefw@gnome.org>
Date:   2013-03-25

    Release version 3.8.0

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit af928b13a8c723030a5a04ea69ab6709207317b3
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:   2013-03-23

    Finnish translation update by Jiri Grönroos

 po/fi.po | 136 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 68 insertions(+), 68 deletions(-)

commit 30efec14ae8fe114e715535cb3e436b2c373ee47
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:   2013-03-19

    [l10n] Added Tadjik translation

 po/LINGUAS |   1 +
 po/tg.po   | 547 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 548 insertions(+)

commit 0a3a344e33c69c3148eec88c01d0075424fd6ac6
Author: Shankar Prasad <svenkate@redhat.com>
Date:   2013-03-18

    Updated kn translations

 po/kn.po | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit b487f03a5edbfb5150b061d521c2a8b3636cdac5
Author: Shankar Prasad <svenkate@redhat.com>
Date:   2013-03-18

    Updated kn translations

 po/kn.po | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 2ce9891defcab2e01f76367d550322cbe8c595b0
Author: Stef Walter <stefw@gnome.org>
Date:   2013-03-18

    Release version 3.7.92

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 7caefe384b52ade8f918543ca6c4146ded7fc9e6
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   2013-03-17

    Converted Portuguese translation to New Spelling (Novo AO)

 po/pt.po | 186 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 93 insertions(+), 93 deletions(-)

commit 2e45a1dc4ad7f6e6bed5b357af3a520d56796875
Author: Stef Walter <stefw@gnome.org>
Date:   2013-03-06

    pkcs11: More fixes for libtasn1 3.1 and later
    
     * We really should be doing this diferrently. However
       for now just fix the build

 pkcs11/gkm/tests/test-data-asn1.c    | 1 +
 pkcs11/xdg-store/gkm-xdg-asn1-defs.c | 1 +
 2 files changed, 2 insertions(+)

commit 76a3c391004ca1a91afdd704aa0e944ec334e3f4
Author: Stef Walter <stefw@gnome.org>
Date:   2013-03-06

    Remove last few references of roots-store

 .gitignore             |   2 -
 HACKING                |   3 -
 docs/gnome-keyring.svg | 171 +++++++++++++++++++++++++++----------------------
 3 files changed, 95 insertions(+), 81 deletions(-)

commit 5b8eb09d3af21d6a0bf8daf962d65db42a75fecc
Author: Dmitry Shachnev <mitya57@ubuntu.com>
Date:   2013-03-10

    Update introspection to match the new SearchItems behavior
    
    This makes the introspection match the new behavior of Collection's
    SearchItems method, introduced in ddb87ccad91a6ee0.
    
    http://bugzilla.gnome.org/show_bug.cgi?id=695115

 daemon/dbus/gkd-secret-introspect.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit bc6fba2082c7558d8c5559306064a675426eac7d
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   2013-03-07

    Updated Slovenian translation

 po/sl.po | 123 ++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 78 insertions(+), 45 deletions(-)

commit c90a1cca64b2cf0da8e4b38baa905434beff5e72
Author: Stef Walter <stefw@gnome.org>
Date:   2013-03-05

    secret-store: Update the Created and Modified properties correctly
    
     * Set the Modified property before committing transactions
     * Set the Created property when items and collections are created
     * Add tests for this functionality
    
    https://bugzilla.gnome.org/show_bug.cgi?id=695052

 daemon/dbus/tests/Makefile.am                  |   1 +
 daemon/dbus/tests/test-secret-items.c          | 201 +++++++++++++++++++++++++
 pkcs11/secret-store/gkm-secret-collection.c    |   2 +
 pkcs11/secret-store/gkm-secret-item.c          |   8 +-
 pkcs11/secret-store/gkm-secret-object.c        |  52 ++++++-
 pkcs11/secret-store/gkm-secret-object.h        |   5 +-
 pkcs11/secret-store/tests/test-secret-object.c |   8 +-
 7 files changed, 266 insertions(+), 11 deletions(-)

commit 527da9c6f6af487d4eb4142c160a88d6f6fff815
Author: Stef Walter <stefw@gnome.org>
Date:   2013-03-05

    dbus: Refactor out testing code for starting gnome-keyring-daemon
    
    This is going to be used by many later tests
    
    https://bugzilla.gnome.org/show_bug.cgi?id=695052

 daemon/dbus/tests/Makefile.am           |   7 ++
 daemon/dbus/tests/test-secret-search.c  | 143 ++-----------------------
 daemon/dbus/tests/test-secret-signals.c | 183 +++++---------------------------
 daemon/dbus/tests/test-service.c        | 181 +++++++++++++++++++++++++++++++
 daemon/dbus/tests/test-service.h        |  48 +++++++++
 5 files changed, 269 insertions(+), 293 deletions(-)

commit 23802d3a4d42f900cd6f0e482cce9424b013a6e6
Author: Stef Walter <stefw@gnome.org>
Date:   2013-03-04

    Release version 3.7.91

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 7afaae43f205c059163c3670169af302f1ba6de3
Author: Stef Walter <stefw@gnome.org>
Date:   2013-03-04

    pkcs11: Remove the roots-store now provided by p11-kit
    
    This module is replaced by the p11-kit-trust module installed
    with p11-kit 0.16 and later.

 configure.ac                                       |   48 -
 daemon/Makefile.am                                 |    1 -
 daemon/gkd-pkcs11.c                                |    6 -
 pkcs11/Makefile.am                                 |    1 -
 pkcs11/roots-store/Makefile.am                     |   52 -
 pkcs11/roots-store/gkm-roots-certificate.c         |  200 --
 pkcs11/roots-store/gkm-roots-certificate.h         |   54 -
 pkcs11/roots-store/gkm-roots-module.c              |  408 ----
 pkcs11/roots-store/gkm-roots-module.h              |   45 -
 pkcs11/roots-store/gkm-roots-standalone.c          |   68 -
 pkcs11/roots-store/gkm-roots-store.h               |   29 -
 pkcs11/roots-store/gkm-roots-trust.c               |  426 ----
 pkcs11/roots-store/gkm-roots-trust.h               |   60 -
 pkcs11/roots-store/tests/Makefile.am               |   45 -
 pkcs11/roots-store/tests/check-roots-module.c      |   70 -
 .../tests/files/RSA_Root_Certificate_1.pem         |   19 -
 .../tests/files/RSA_Security_1024_v3.pem           |   16 -
 .../tests/files/RSA_Security_2048_v3.pem           |   22 -
 .../tests/files/Thawte_Personal_Basic_CA.pem       |   20 -
 .../tests/files/Thawte_Personal_Freemail_CA.pem    |   21 -
 .../tests/files/Thawte_Personal_Premium_CA.pem     |   21 -
 .../tests/files/Thawte_Premium_Server_CA.pem       |   21 -
 .../roots-store/tests/files/Thawte_Server_CA.pem   |   20 -
 .../tests/files/Thawte_Time_Stamping_CA.pem        |   18 -
 pkcs11/roots-store/tests/files/ca-certificates.crt | 2560 --------------------
 pkcs11/roots-store/tests/files/cacert.org.pem      |   41 -
 pkcs11/roots-store/tests/files/der-certificate.crt |  Bin 747 -> 0 bytes
 pkcs11/roots-store/tests/p11-tests.conf.in         |    2 -
 28 files changed, 4294 deletions(-)

commit ddb87ccad91a6ee0591439b40cbf199123a394c7
Author: Stef Walter <stefw@gnome.org>
Date:   2013-03-04

    dbus: Only return one object path list from Collection.SearchItems()
    
    In the Secret Service dbus interface the SearchItems method
    of the Collection interface only returns one list of object
    paths, unlike SearchItems on the Service interface which
    splits its return values by locked and unlocked items.
    
    Add tests to verify this behavior.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=695115

 .gitignore                             |   5 +-
 daemon/dbus/gkd-secret-objects.c       |  38 +++--
 daemon/dbus/gkd-secret-objects.h       |   3 +-
 daemon/dbus/gkd-secret-service.c       |   2 +-
 daemon/dbus/tests/Makefile.am          |   1 +
 daemon/dbus/tests/test-secret-search.c | 263 +++++++++++++++++++++++++++++++++
 6 files changed, 293 insertions(+), 19 deletions(-)

commit 510d9d599a8cb8d92ed0c777870290f50c267254
Author: Sebastian Keller <sebastian-keller@gmx.de>
Date:   2013-02-18

    Fix build with libtasn1 >= 3.1

 egg/egg-asn1-defs.c     | 1 +
 egg/tests/test-asn1.c   | 1 +
 egg/tests/test-symkey.c | 1 +
 3 files changed, 3 insertions(+)

commit ef5f6ed04f31eaa14fa0c5712694bd4b34b76e53
Author: Stef Walter <stefw@gnome.org>
Date:   2013-02-15

    dbus: Don't reverse the order of items returned from SearchItems()
    
    Applications expect the latest item to be returned first. We sort
    the items carefully. Fix regression which reverses them.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=693884

 daemon/dbus/gkd-secret-objects.c | 3 +++
 1 file changed, 3 insertions(+)

commit 4702ee7dea13945d845d13a7e5b334089e368ba8
Author: Stef Walter <stefw@gnome.org>
Date:   2013-02-04

    Release version 3.7.5

 NEWS         | 7 +++++++
 configure.ac | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 146aa76dac2e3c6e6ee2fa275d202f02e40d8dd2
Author: Nuno Araujo <nuno.araujo@russo79.com>
Date:   2013-01-16

    Fix the build with automake 1.13
    
    In Automake 1.13, the long-deprecated macro AM_CONFIG_HEADER (deprecated
    since 2002) has been removed in favour of AC_CONFIG_HEADERS.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692112

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2dc8383622c331c8aa1ebaa6c0d889f3affd467d
Author: Stef Walter <stefw@gnome.org>
Date:   2013-01-22

    Make the dump-keyring0-format work with only external deps

 pkcs11/secret-store/tests/dump-keyring0-format.c | 411 ++++++++++++++++++++---
 1 file changed, 356 insertions(+), 55 deletions(-)

commit d5ab31f1727ad33bf52a33238cd48eb029540dae
Author: Alexander Shopov <ash@kambanaria.org>
Date:   2013-01-15

    Updated Bulgarian translation

 po/bg.po | 150 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 75 insertions(+), 75 deletions(-)

commit 01c201f7e7191d51b3c0ed45c397553a47f74fd9
Author: Gheyret Kenji <gheyret@gmail.com>
Date:   2013-01-13

    Updated Uyghur translation
    
    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

 po/ug.po | 620 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 585 insertions(+), 35 deletions(-)

commit 1a1f7e1b5d317aa5826289711fb105887b4ec510
Author: Gheyret Kenji <gheyret@gmail.com>
Date:   2013-01-13

    Updated Uyghur translation
    
    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

 po/ug.po | 543 ++++-----------------------------------------------------------
 1 file changed, 35 insertions(+), 508 deletions(-)

commit 583d9cccdbd5fbd32c7faa67be7722002c6665b3
Author: Stef Walter <stefw@gnome.org>
Date:   2013-01-11

    egg-armor: Handle mismatched but not truncated suffix line
    
     * Discovered by Gustavo Luiz Duarte <gustavold@linux.vnet.ibm.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=691500

 egg/egg-armor.c        | 2 +-
 egg/tests/test-armor.c | 5 +++++
 2 files changed, 6 insertions(+), 1 deletion(-)

commit d8f77ed5610858874b751ba104a44484a0468299
Author: Stef Walter <stefw@gnome.org>
Date:   2013-01-10

    egg-armor: Fix memrchr() call with negative string length
    
     * Initial patch by Gustavo Luiz Duarte <gustavold@linux.vnet.ibm.com>
     * The cause of this bug was reusing argument variables for other
       purposes in parsing functions when that didn't really make sense,
       so fix this as well.
     * Add tests that catch this issue.
    
    See https://bugzilla.redhat.com/show_bug.cgi?id=893162
    
    https://bugzilla.gnome.org/show_bug.cgi?id=691500

 .gitignore             |   1 +
 egg/egg-armor.c        |  30 +++++-----
 egg/tests/Makefile.am  |   1 +
 egg/tests/test-armor.c | 155 +++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 174 insertions(+), 13 deletions(-)

commit b2b8f58c94d16834d7e6acc4a097c0c1d302bcd0
Author: Dmitry Shachnev <mitya57@ubuntu.com>
Date:   2012-12-27

    dbus: Set correct type for Collection's "Locked" property.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=690765

 daemon/dbus/gkd-secret-introspect.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8468c70393a600493629beaf491e0866dd19be28
Author: Stef Walter <stefw@gnome.org>
Date:   2012-12-27

    Don't warn if the GNOME session manager is not available
    
     * When running in other desktop environments don't complain if
       the GNOME session manager isn't running.

 daemon/dbus/gkd-dbus-environment.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 918f3132b5a2f2218a4fc9d3dbb6b2a177a8ead6
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   2012-12-17

    Updated Slovenian translation

 po/sl.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 9de6603bc221cfff1d5752051a439743d1382cd3
Author: ManojKumar Giri <mgiri@redhat.com>
Date:   2012-12-05

    Updated Odia Translation with FUEL implementation.

 po/or.po | 485 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 283 insertions(+), 202 deletions(-)

commit ce9b83e7f4d701061279479df18a97b48569d997
Author: Shankar Prasad <svenkate@redhat.com>
Date:   2012-11-27

    Updated kn translation

 po/kn.po | 302 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 142 insertions(+), 160 deletions(-)

commit 12c4c56345b6d51c2b59947c2a86fcbddad61659
Author: Stef Walter <stefw@gnome.org>
Date:   2012-11-21

    Release version 3.7.2

 NEWS         | 9 +++++++++
 configure.ac | 2 +-
 2 files changed, 10 insertions(+), 1 deletion(-)

commit 6f7ee2da70cf39b7e8ef2f2482a77b88fa60ed53
Author: Stef Walter <stefw@gnome.org>
Date:   2012-11-07

    egg-asn1x: More complete coverage for ASN.1 tests
    
     * Remove or change code that doesn't get executed in normal
       operation.
     * Fix a few bugs discovered during the testing.

 egg/egg-asn1x.c                               |  139 ++-
 egg/tests/Makefile.am                         |   18 +-
 egg/tests/files/test-personalname-1.der       |    1 -
 egg/tests/files/test-personalname-invalid.der |    1 +
 egg/tests/test-asn1.c                         | 1237 +++++++++++++++++++++++--
 egg/tests/test-asn1x.c                        |   58 +-
 egg/tests/test-symkey.c                       |    4 +-
 egg/tests/test.asn                            |   34 +-
 pkcs11/gkm/gkm-data-der.c                     |    9 +-
 pkcs11/gkm/tests/test-data-der.c              |    4 +-
 pkcs11/xdg-store/tests/dump-trust-file.c      |   11 +-
 pkcs11/xdg-store/tests/frob-trust-file.c      |    3 +-
 12 files changed, 1326 insertions(+), 193 deletions(-)

commit 0023ffdf3fa02785ec1982b851a372f138297452
Author: Stef Walter <stefw@gnome.org>
Date:   2012-11-07

    egg-asn1x: Fix corner case where long DER length overflows
    
     * Better detection of the case where TLV length overflows
       the size of an int.

 egg/egg-asn1x.c | 34 +++++++++++++++++++++++-----------
 1 file changed, 23 insertions(+), 11 deletions(-)

commit e078e8a79015176158c195e3016578d4b030a0e4
Author: Stef Walter <stefw@gnome.org>
Date:   2012-11-07

    egg-symkey: Complete tests for recent ASN.1 API changes
    
    Since the ASN.1 API changed, we need to make sure things still work.
    Add tests to ensure this. In addition rework code which is (or should
    be) currently unreachable.

 egg/egg-symkey.c        |  37 +++--
 egg/tests/test-symkey.c | 425 ++++++++++++++++++++++++++++++++++++++++++++++++
 egg/tests/test.asn      |   2 +
 3 files changed, 446 insertions(+), 18 deletions(-)

commit 46e5c1ee631146bddd7f8309ffcc05c4aa8a757f
Author: Stef Walter <stefw@gnome.org>
Date:   2012-11-05

    egg-asn1x: Fix crash when parsing invalid DER files
    
     * When parsing invalid DER files and more than one sub-TLV is
       encountered we would do a NULL dereference.
     * Catch this condition and test for it.

 egg/egg-asn1x.c       |  8 ++++++++
 egg/tests/test-asn1.c | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

commit f7d5a800efa856a27ca16378d6bbe9fcb42e501a
Author: Stef Walter <stefw@gnome.org>
Date:   2012-10-27

    Bring in fixed ASN.1 parser from gcr library

 egg/egg-asn1x.c                          | 3146 ++++++++++++++++--------------
 egg/egg-asn1x.h                          |   60 +-
 egg/egg-dn.c                             |   50 +-
 egg/egg-dn.h                             |    4 +-
 egg/egg-symkey.c                         |   82 +-
 egg/egg-symkey.h                         |   12 +-
 egg/tests/test-asn1.c                    |   93 +-
 egg/tests/test-asn1x.c                   |  140 +-
 egg/tests/test-dn.c                      |   19 +-
 egg/tests/test.asn                       |    3 +-
 pkcs11/gkm/gkm-certificate.c             |    4 +-
 pkcs11/gkm/gkm-data-asn1.c               |    2 +-
 pkcs11/gkm/gkm-data-der.c                |   48 +-
 pkcs11/gkm/tests/test-data-der.c         |    4 +-
 pkcs11/xdg-store/gkm-xdg-trust.c         |    8 +-
 pkcs11/xdg-store/tests/frob-trust-file.c |    8 +-
 16 files changed, 1935 insertions(+), 1748 deletions(-)

commit a901798e025389f3c4414406b6144687f85aa552
Author: Stef Walter <stefw@gnome.org>
Date:   2012-11-07

    egg-hex: Use a full string as the hex delimiter
    
    So that we can better print out escape encodings in our test data.

 egg/egg-hex.c                         | 29 ++++++++++++++++++-----------
 egg/egg-hex.h                         |  4 ++--
 egg/tests/test-hex.c                  |  8 ++++----
 pkcs11/gnome2-store/gkm-gnome2-file.c |  2 +-
 4 files changed, 25 insertions(+), 18 deletions(-)

commit 6beae07105e368a529db85b227f60fa4b60bb397
Author: Stef Walter <stefw@gnome.org>
Date:   2012-11-07

    egg-hex: Bring over hex changes from gcr and libsecret

 egg/egg-hex.c        | 28 +++++++++++++++-------------
 egg/egg-hex.h        | 22 ++++++++++++----------
 egg/tests/test-hex.c |  8 +++++++-
 3 files changed, 34 insertions(+), 24 deletions(-)

commit ac2df1e5a7862fa9a9b838406472e2c75b8575b3
Author: Stef Walter <stefw@gnome.org>
Date:   2012-11-09

    dbus: Handle empty secrets correctly
    
     * Don't assume an error occurred when retrieving an empty
       secret from the store.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=687979

 daemon/dbus/gkd-secret-session.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 370694b36f1ed6f26554ccc740da3b3e92aafded
Author: Rex Dieter <rdieter@fedoraproject.org>
Date:   2012-08-17

    only print debug message if no pkcs11 socket
    
    This is to handle the case of running gnome-keyring in environments
    not matching GNOME;Unity and avoid needless
    WARNING: couldn't connect to: /tmp/keyring-SqfLpI/pkcs11
    type errors
    
    https://bugzilla.gnome.org/show_bug.cgi?id=665961

 pkcs11/rpc-layer/gkm-rpc-module.c | 18 ++++++++++++++++--
 1 file changed, 16 insertions(+), 2 deletions(-)

commit 3ad60838447f5badd11d98447f13ad8e78786242
Author: Stef Walter <stefw@gnome.org>
Date:   2012-10-27

    Merge secure memory changes from libsecret

 egg/egg-secure-memory.c | 366 +++++++++++++++++++++++++-----------------------
 egg/egg-secure-memory.h |  33 +++--
 egg/tests/test-secmem.c |  19 +--
 3 files changed, 224 insertions(+), 194 deletions(-)

commit 3156ac7c5e20e7fd2cb7096d6401165fb033ee78
Author: Xi Wang <xi.wang@gmail.com>
Date:   2012-10-22

    Fix incorrect loop condition in egg_hkdf_perform()
    
    This does not cause a change in behavior (as evidenced by tests,
    at least on linux when built with gcc) but is more correct code,
    and less likely to be miscompiled.
    
    The condition (i < 256) in the following loop is always false since i
    is of type guchar, which is at most 255.
    
    	guchar i;
    	...
    	for (i = 1; i < 256; ++i) { ... }
    
    This patch changes i to a larger type gint.
    
    Also in the loop we have:
    
    	gcry_md_write (md2, &i, 1);
    
    change it to use gcry_md_putc().

 egg/egg-hkdf.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 90f9513a7c52c97e646c7b703a07d1e94e5e7ae7
Author: Stef Walter <stefw@gnome.org>
Date:   2012-10-22

    Release version 3.7.1

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 0184447d6a6930e7fab1b6f3df97e89b81809c7e
Author: Stef Walter <stefw@gnome.org>
Date:   2012-10-22

    Fix for deprecations in glib 2.35.0
    
     * g_type_init() was deprecated

 daemon/dbus/tests/test-secret-signals.c             | 2 ++
 daemon/gkd-main.c                                   | 2 ++
 daemon/gpg-agent/gkd-gpg-agent-standalone.c         | 2 ++
 daemon/ssh-agent/gkd-ssh-agent-standalone.c         | 2 ++
 pkcs11/gkm/tests/test-attributes.c                  | 2 ++
 pkcs11/gkm/tests/test-certificate.c                 | 2 ++
 pkcs11/gkm/tests/test-credential.c                  | 2 ++
 pkcs11/gkm/tests/test-data-asn1.c                   | 2 ++
 pkcs11/gkm/tests/test-data-der.c                    | 2 ++
 pkcs11/gkm/tests/test-file-tracker.c                | 2 ++
 pkcs11/gkm/tests/test-memory-store.c                | 2 ++
 pkcs11/gkm/tests/test-object.c                      | 2 ++
 pkcs11/gkm/tests/test-secret.c                      | 2 ++
 pkcs11/gkm/tests/test-sexp.c                        | 2 ++
 pkcs11/gkm/tests/test-store.c                       | 2 ++
 pkcs11/gkm/tests/test-timer.c                       | 2 ++
 pkcs11/gkm/tests/test-transaction.c                 | 2 ++
 pkcs11/gnome2-store/gkm-gnome2-standalone.c         | 2 ++
 pkcs11/gnome2-store/tests/check-gnome2-module.c     | 2 ++
 pkcs11/gnome2-store/tests/frob-gnome2-file.c        | 2 ++
 pkcs11/gnome2-store/tests/test-gnome2-file.c        | 2 ++
 pkcs11/gnome2-store/tests/test-gnome2-private-key.c | 2 ++
 pkcs11/gnome2-store/tests/test-gnome2-storage.c     | 2 ++
 pkcs11/gnome2-store/tests/test-import.c             | 2 ++
 pkcs11/roots-store/gkm-roots-standalone.c           | 2 ++
 pkcs11/roots-store/tests/check-roots-module.c       | 2 ++
 pkcs11/secret-store/gkm-secret-standalone.c         | 2 ++
 pkcs11/secret-store/tests/test-secret-binary.c      | 2 ++
 pkcs11/secret-store/tests/test-secret-collection.c  | 2 ++
 pkcs11/secret-store/tests/test-secret-data.c        | 2 ++
 pkcs11/secret-store/tests/test-secret-fields.c      | 2 ++
 pkcs11/secret-store/tests/test-secret-item.c        | 2 ++
 pkcs11/secret-store/tests/test-secret-object.c      | 2 ++
 pkcs11/secret-store/tests/test-secret-schema.c      | 2 ++
 pkcs11/secret-store/tests/test-secret-search.c      | 2 ++
 pkcs11/secret-store/tests/test-secret-textual.c     | 2 ++
 pkcs11/ssh-store/gkm-ssh-standalone.c               | 2 ++
 pkcs11/ssh-store/tests/check-ssh-module.c           | 2 ++
 pkcs11/ssh-store/tests/test-private-key.c           | 2 ++
 pkcs11/ssh-store/tests/test-ssh-openssh.c           | 2 ++
 pkcs11/wrap-layer/tests/test-create-credential.c    | 2 ++
 pkcs11/wrap-layer/tests/test-init-pin.c             | 2 ++
 pkcs11/wrap-layer/tests/test-login-auto.c           | 2 ++
 pkcs11/wrap-layer/tests/test-login-hints.c          | 2 ++
 pkcs11/wrap-layer/tests/test-login-keyring.c        | 2 ++
 pkcs11/wrap-layer/tests/test-login-specific.c       | 2 ++
 pkcs11/wrap-layer/tests/test-login-user.c           | 2 ++
 pkcs11/wrap-layer/tests/test-set-pin.c              | 2 ++
 pkcs11/xdg-store/gkm-xdg-standalone.c               | 2 ++
 pkcs11/xdg-store/tests/check-xdg-module.c           | 2 ++
 pkcs11/xdg-store/tests/test-xdg-module.c            | 2 ++
 pkcs11/xdg-store/tests/test-xdg-trust.c             | 2 ++
 tool/gkr-tool.c                                     | 4 +++-
 53 files changed, 107 insertions(+), 1 deletion(-)

commit 051d70fc3e95da1f67015c57b3d2358f23c2de26
Author: Stef Walter <stefw@gnome.org>
Date:   2012-10-22

    Remove libdbus version related ifdef
    
     * Just require dbus 1.1.1 or later.

 configure.ac   | 10 +---------
 egg/egg-dbus.c | 11 -----------
 2 files changed, 1 insertion(+), 20 deletions(-)

commit 408f6ee72fc08697003c1aa811b1657f5c673878
Author: Stef Walter <stefw@gnome.org>
Date:   2012-10-12

    Remove dependency on gtk+
    
     * We depend on gcr which has a dependency on gtk+ but we don't need
       to depend on it expcilitly.
     * Remove unused egg-secure-buffer.[ch] code.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=686035

 configure.ac                     |   5 -
 daemon/control/tests/Makefile.am |   2 -
 egg/Makefile.am                  |   9 --
 egg/egg-entry-buffer.c           | 200 ---------------------------------------
 egg/egg-entry-buffer.h           |  59 ------------
 tool/Makefile.am                 |   1 -
 6 files changed, 276 deletions(-)

commit fe3781f822251b047d1456d0af435d3536b104c5
Author: Stef Walter <stefw@gnome.org>
Date:   2012-10-15

    Release version 3.6.1

 NEWS         | 8 ++++++++
 configure.ac | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 2454e2d4f53472b502abcac8bab9ded03f269d62
Author: Stef Walter <stefw@gnome.org>
Date:   2012-10-13

    dbus: Don't leave unlocked keyring as consequence of changing password
    
     * When changing the keyring for a password, we left the credential
       for the new password set for the keyring. This means that the
       keyring could be unlocked at that point. Clear it correctly.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=686085

 daemon/dbus/gkd-secret-change.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit a77a12b190ccdb3004992789fbd9e18fd4417595
Author: Stef Walter <stefw@gnome.org>
Date:   2012-10-13

    dbus: Clear prompt warning when prompting for new password
    
     * When user enters original password incorrectly, and tries again
       when prompting for the new password the warning wasn't cleared
       from the prompt.
     * Clear warning prompt correctly.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=686084

 daemon/dbus/gkd-secret-change.c | 1 +
 1 file changed, 1 insertion(+)

commit c9bb11a65ad66e948b3384ad9e22a224381d36e4
Author: Stef Walter <stefw@gnome.org>
Date:   2012-10-13

    dbus: Fix regression in password changing
    
     * We didn't unlock the keyring correctly with the old password,
       because we deleted the credential object before trying to set
       the new credential.
     * Also fix several leaks in the password change prompt object.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=686083

 daemon/dbus/gkd-secret-change.c | 32 ++++++++++++++++++++++++--------
 1 file changed, 24 insertions(+), 8 deletions(-)

commit e356da9f2dc4c93c8512248de5f3f750e36f2a83
Author: Sayak Sarkar <sayak.bugsmith@gmail.com>
Date:   2012-10-15

    Updated Bengali India Translations

 po/bn_IN.po | 458 ++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 258 insertions(+), 200 deletions(-)

commit 741c7bafea48c8856c3e9d531e0bc8ce5c4c353a
Author: Marián Čavojský <cavo+gnomel10n@cavo.sk>
Date:   2012-10-14

    Updated slovak translation

 po/sk.po | 428 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 237 insertions(+), 191 deletions(-)

commit 820a52ad8da13f85c9378494bd6c2e8d5c2281f3
Author: Shankar Prasad <svenkate@redhat.com>
Date:   2012-10-14

    Updated Kannada Translations

 po/kn.po | 403 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 244 insertions(+), 159 deletions(-)

commit b7648ca3864cf8d952468bae299806b0fcda5442
Author: Stef Walter <stefw@gnome.org>
Date:   2012-10-12

    secret-store: Set the schema name correctly on loaded items
    
     * When we loaded items from the keyring we didn't set the schema
       correctly.
     * This causes any searches for the item that include a schema
       in the search parameters to fail.
     * Also caused problems storing items, when it was expected that
       the item would replace any already stored. This uses a search
       internally.
     * Fix and add a test for this case, both for encrypted and
       plaintext keyring files.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681727

 pkcs11/secret-store/gkm-secret-binary.c            |   9 +++++---
 pkcs11/secret-store/gkm-secret-textual.c           |  15 +++++++++++---
 .../tests/files/encrypted-with-schema.keyring      | Bin 0 -> 404 bytes
 .../tests/files/plain-with-schema.keyring          |  23 +++++++++++++++++++++
 pkcs11/secret-store/tests/test-secret-binary.c     |  21 +++++++++++++++++++
 pkcs11/secret-store/tests/test-secret-textual.c    |  23 +++++++++++++++++++++
 6 files changed, 85 insertions(+), 6 deletions(-)

commit 34467afa89c1eabf16bf65b89f35b62cc61bf9d9
Author: Anish A <aneesh.nl@gmail.com>
Date:   2012-10-05

    Revert "Updated Malayalam translation"
    
    This reverts commit 788dd331e53c10eac637d9dddcd2f60f780ea8ac.
    I comitted a mistake

 po/ml.po | 270 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 130 insertions(+), 140 deletions(-)

commit 788dd331e53c10eac637d9dddcd2f60f780ea8ac
Author: Anish A <aneesh.nl@gmail.com>
Date:   2012-10-05

    Updated Malayalam translation

 po/ml.po | 270 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 140 insertions(+), 130 deletions(-)

commit a807039bec146aed886338065f103c3044892b2b
Author: Stef Walter <stefw@gnome.org>
Date:   2012-09-21

    daemon: Call setlocale() before completing initialization
    
    A new LANG environment variable can be received during late
    initialization (from gnome-keyring-daemon --start). So call
    setlocale() so that the new environment variable can take effect.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684539

 daemon/gkd-main.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 0c71452290977332a0e86d9eb0d04b291cce2263
Author: Stef Walter <stefw@gnome.org>
Date:   2012-09-19

    rpc-layer: Fix memory leak in call state pool
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684351

 pkcs11/rpc-layer/gkm-rpc-module.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 8afb408a54a68402340dc257fea44bf1c7061b31
Author: Stef Walter <stefw@gnome.org>
Date:   2012-09-25

    Release version 3.6.0

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit c072ecddf59037fc5b89a7790059fc18502480e9
Author: Noriko Mizumoto <noriko@fedoraproject.org>
Date:   2012-09-25

    [l10n] Update Japanese translation

 po/ja.po | 264 ++++++++++++++++++++++++++++-----------------------------------
 1 file changed, 119 insertions(+), 145 deletions(-)

commit ed8ceac558d4011e766568c0a3c8e219017b060b
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   2012-09-24

    Updated Latvian translation

 po/lv.po | 307 +++++++++++++++++++++++++--------------------------------------
 1 file changed, 123 insertions(+), 184 deletions(-)

commit 835794186ec2e97bcb223e474e0906fce7364729
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   2012-09-20

    hindi update

 po/hi.po | 458 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 263 insertions(+), 195 deletions(-)

commit 1df512b0b21622a174392db9ddf963f5db5dd5cc
Author: Ani Peter <apeter@redhat.com>
Date:   2012-09-18

    Updated Malayalam file

 po/ml.po | 465 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 263 insertions(+), 202 deletions(-)

commit bbe500cf536b94117561f0df252692813029af7e
Author: Stef Walter <stefw@gnome.org>
Date:   2012-09-18

    Release version 3.5.92

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit bff6e54ba64a6ef7a69b585fa12e9168ff748615
Author: Timo Jyrinki <timo@debian.org>
Date:   2012-09-15

    Finnish translation update by Jiri Grönroos

 po/fi.po | 228 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 142 insertions(+), 86 deletions(-)

commit 8d6ccd84c7bfaae6d64b255204dfaf1390971eb8
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   2012-09-06

    Updated Thai translation.

 po/th.po | 370 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 231 insertions(+), 139 deletions(-)

commit 1ade13427b11770851a075d670697ebd69c73a88
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:   2012-09-05

    Updated Indonesian translation

 po/id.po | 358 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 204 insertions(+), 154 deletions(-)

commit 877bf1a6a8decc860eb8f850a0e81355918a0242
Author: Stef Walter <stefw@gnome.org>
Date:   2012-09-03

    Release 3.5.91

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 5208ba7611822fc911626a7ed71bf3e6b3baab6f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   2012-09-03

    Updated Polish translation

 po/pl.po | 123 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 64 insertions(+), 59 deletions(-)

commit 9fe8542e66f5cfac397ca954ce9a8a671bfdab48
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   2012-09-02

    updated Tamil translation

 po/ta.po | 139 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 77 insertions(+), 62 deletions(-)

commit 97f45d7ca195e4f5cec8a21afb35f049c5dd49bf
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   2012-09-01

    Updated Vietnamese translation

 po/vi.po | 75 ++++++++++++++++++++++++++++++----------------------------------
 1 file changed, 35 insertions(+), 40 deletions(-)

commit 19d125c45c0677367af43a942c1da6018565f39f
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   2012-09-01

    po/vi: import from Damned Lies

 po/vi.po | 1428 +++++++++++++++++++++++++++++---------------------------------
 1 file changed, 678 insertions(+), 750 deletions(-)

commit 2722c695d1f5f48ea238e1e6547096687608fab4
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   2012-08-28

    Implemented FUEL entries to Assamese translation

 po/as.po | 102 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 51 insertions(+), 51 deletions(-)

commit 4cba271bf31bb128fff80e98ca1969825e7bec60
Author: Stef Walter <stefw@gnome.org>
Date:   2012-08-20

    Release version 3.5.90

 NEWS         | 7 +++++++
 configure.ac | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit e8be3f22c196d727259e8bcb374e28885bfd4b74
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   2012-08-17

    Updated Galician translations

 po/gl.po | 142 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 72 insertions(+), 70 deletions(-)

commit 747b37bbd8fb82830524c8603f6fcf1ceae605dc
Author: Stef Walter <stefw@gnome.org>
Date:   2012-08-11

    Use the XDG directories for storing keys
    
     * If the new XDG directory doesn't exist, and the old
       ~/.gnome2/keyrings does exist, then continue to use that
     * Otherwise create the new directory in g_get_user_data_dir() as
       appropriate.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=613644

 daemon/dbus/gkd-secret-service.c        | 30 ++++++++++++++++++++++----
 pkcs11/gkm/gkm-util.c                   | 37 +++++++++++++++++++++++++++++++++
 pkcs11/gkm/gkm-util.h                   |  2 ++
 pkcs11/gnome2-store/gkm-gnome2-module.c |  7 ++++++-
 pkcs11/secret-store/gkm-secret-module.c | 11 +++++-----
 5 files changed, 77 insertions(+), 10 deletions(-)

commit 6700ef0a6aa8a43a4ba2b43b30a85206407d1264
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:   2012-08-16

    Updated Marathi Translations

 po/mr.po | 458 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 259 insertions(+), 199 deletions(-)

commit 6da2939d0b6572c445555985da3ac5da234ad4f6
Author: Stef Walter <stefw@gnome.org>
Date:   2012-08-08

    daemon: When --replace quit all running daemons
    
     * When using --replace we assume that we're supposed to replace
       all running daemons in the session, rather than just the
       first we discovered.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681449

 daemon/gkd-main.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 1cf271ccf8652fc63b6d63dfa80320b7e6e072c1
Author: Stef Walter <stefw@gnome.org>
Date:   2012-08-08

    daemon: If control directory in environment use when replacing
    
     * When replacing another daemon always prefer the control
       directory discovered through the environment. This way
       ssh and gpg work with a --replace'd gnome-keyring-daemon.
     * Previously we would use the last control directory discovered
       which meant that if gnome-keyring-daemon had crashed, and had
       later been restarted via dbus, then the control directory
       for the last daemon was used, rather than the one in the env.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681449

 daemon/gkd-main.c | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

commit 54459813dc5e5a2fe92ee404487d1e8d90da9917
Author: Stef Walter <stefw@gnome.org>
Date:   2012-08-08

    daemon: Be quiet while replacing another daemon
    
     * When doing --replace don't complain that the other daemon
       cannot be reached. It may have exited but we still want to
       use the environment it setup.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681449

 daemon/control/gkd-control-client.c      | 31 +++++++++++++++++++------------
 daemon/control/gkd-control.h             |  7 ++++++-
 daemon/control/tests/frob-control-quit.c |  2 +-
 daemon/gkd-main.c                        |  2 +-
 4 files changed, 27 insertions(+), 15 deletions(-)

commit c95d1520bcf23370afbc1933d9c67ceca82ca785
Author: Werner Koch <wk@gnupg.org>
Date:   2012-08-09

    Improve the gkm transaction tests
    
    * pkcs11/gkm/tests/test-transaction.c (test_write_file): Run test
    twice.
    (test_write_file_abort_gone, test_write_file_abort_revert): Ditto.
    (test_write_large_file): New.
    (main): Add new tests.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=657234

 pkcs11/gkm/tests/test-transaction.c | 85 +++++++++++++++++++++++++++++++++++--
 1 file changed, 82 insertions(+), 3 deletions(-)

commit 7f31eebd35a84ed4c09970edb0b8d99a6a8af6f5
Author: Werner Koch <wk@gnupg.org>
Date:   2012-08-01

    Provide fallback for file systems without working hardlinks
    
    * pkcs11/gkm/gkm-transaction.c (O_BINARY): Add fallback for Windows.
    (copy_to_temp_file): New.
    (begin_link_temporary_if_exists): Detect failure link(2) and resort to
    a copy file method.
    --
    
    See bug 657234 for a description of the problem.  The culprit is the
    CIFS implementation on EMC servers.  At least VFAT file systems should
    have the same problem, thus the patch is a general improvement.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=657234

 pkcs11/gkm/gkm-transaction.c | 146 +++++++++++++++++++++++++++++++++++++++----
 1 file changed, 135 insertions(+), 11 deletions(-)

commit dff0a6edd2c02602b24476296855b4f63f99379f
Author: raveit65 <chat-to-me@raveit.de>
Date:   2012-08-09

    Add MATE Desktop to desktop files
    
     * So that gnome-keyring starts up on the MATE desktop.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681482

 daemon/gnome-keyring-gpg.desktop.in.in     | 2 +-
 daemon/gnome-keyring-pkcs11.desktop.in.in  | 2 +-
 daemon/gnome-keyring-secrets.desktop.in.in | 2 +-
 daemon/gnome-keyring-ssh.desktop.in.in     | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 979bf3c2a3a264630eace3ba2da0db14c59a67de
Author: Stef Walter <stefw@gnome.org>
Date:   2012-08-08

    secret-store: Mark a secret item as 'used' when accessed
    
     * This makes the gpg-agent idle feature work correctly
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681081

 pkcs11/secret-store/gkm-secret-item.c | 1 +
 1 file changed, 1 insertion(+)

commit 111a1327bd55b8f81a44ac37b3af399eb0121126
Author: Stef Walter <stefw@gnome.org>
Date:   2012-08-08

    gpg-agent: Hook up the TTL cache option
    
     * So that when the gsettings gpg-cache-method is 'idle' or 'timeout'
       we use gpg-cache-ttl to control how long the passphrase is cached
       for.
     * This is a regression from 3.3.x
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681081

 daemon/gpg-agent/gkd-gpg-agent-ops.c | 40 ++++++++++++++++++++++--------------
 1 file changed, 25 insertions(+), 15 deletions(-)

commit 3de11dd0c8929a93b6f3069ef78ed484274a8e86
Author: Stef Walter <stefw@gnome.org>
Date:   2012-08-08

    schema: Update description for gpg-cache-method
    
     * Document the various method strings that can be present here
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681081

 schema/org.gnome.crypto.cache.gschema.xml | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 41b66f65d6a8c3adb055863590ef0d865587b56c
Author: Stef Walter <stefw@gnome.org>
Date:   2012-08-06

    Release version 3.5.5

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit c90753485992e99de3be4e678dc6147b0a80b41d
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-26

    tool: Initialize pkcs#11 before beginning import
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680653

 tool/gkr-tool-import.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 840517c4b7eafedb77d2aac62aa6c73a0241517f
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-24

    Rename the p11-kit module file
    
     * p11-kit now wants module configs to end in .module
    
    See: https://bugs.freedesktop.org/show_bug.cgi?id=52158

 .gitignore                               | 1 +
 configure.ac                             | 2 +-
 pkcs11/rpc-layer/Makefile.am             | 2 +-
 pkcs11/rpc-layer/gnome-keyring-module.in | 7 -------
 pkcs11/rpc-layer/gnome-keyring.module.in | 7 +++++++
 5 files changed, 10 insertions(+), 9 deletions(-)

commit 26a694b1a18a92580d211ec2d18803af0ad05d99
Author: Yclept Nemo <orbisvicis@gmail.com>
Date:   2012-07-18

    daemon: Use setsid() to become a process leader when daemonizing
    
     * Fixes corner cases where people try to use gnome-keyring-daemon
       from the console.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=679892

 daemon/gkd-main.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit f61b94d12cb84a4929e19cde812f0a1423380b6a
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-16

    Some 'make distcheck' fixes

 daemon/dbus/tests/Makefile.am           | 3 +++
 daemon/dbus/tests/test-secret-signals.c | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit b6e5033c9936ddd29e6d1fb18826f86c1fdced4e
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-16

    Release version 3.5.4
    
     * And fix various issues preventing 'make distcheck'

 NEWS                                    | 10 ++++++++++
 configure.ac                            |  2 +-
 daemon/dbus/tests/Makefile.am           |  1 +
 pkcs11/secret-store/gkm-secret-fields.c |  2 +-
 4 files changed, 13 insertions(+), 2 deletions(-)

commit 8f894d33b164dc216f53c24c5deeb8d8913f7ea0
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-16

    Match common old GnomeKeyringItemType schemas to xdg:schema attribute
    
     * Properly handle the case where no xdg:schema attribute is stored
       in the keyring, and the caller tries to search with schema names:
        - org.gnome.keyring.NetworkPassword
        - org.gnome.keyring.Note
     * This allows the above items stored by libgnome-keyring to be matched
       by libsecret.

 .gitignore                                      |   1 +
 pkcs11/secret-store/gkm-secret-fields.c         | 109 ++++++-----
 pkcs11/secret-store/gkm-secret-fields.h         |   6 +
 pkcs11/secret-store/gkm-secret-search.c         |  59 +++++-
 pkcs11/secret-store/gkm-secret-search.h         |   2 +
 pkcs11/secret-store/tests/Makefile.am           |   4 +-
 pkcs11/secret-store/tests/files/schema1.keyring | Bin 0 -> 769 bytes
 pkcs11/secret-store/tests/files/schema2.keyring | Bin 0 -> 1005 bytes
 pkcs11/secret-store/tests/test-secret-fields.c  |   4 +-
 pkcs11/secret-store/tests/test-secret-schema.c  | 240 ++++++++++++++++++++++++
 10 files changed, 369 insertions(+), 56 deletions(-)

commit 9d5c86537af8940d26a573da82cafb69640438b2
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-16

    Convert from EggBytes to GBytes
    
     * We were using EggBytes while GBytes was not yet in a stable
       glib release

 configure.ac                                       |   2 +-
 egg/Makefile.am                                    |   2 -
 egg/egg-armor.c                                    |  20 +-
 egg/egg-armor.h                                    |   8 +-
 egg/egg-asn1x.c                                    | 184 ++++-----
 egg/egg-asn1x.h                                    |  38 +-
 egg/egg-bytes.c                                    | 454 ---------------------
 egg/egg-bytes.h                                    | 102 -----
 egg/egg-dn.c                                       |  35 +-
 egg/egg-dn.h                                       |   6 +-
 egg/egg-openssl.c                                  |  13 +-
 egg/egg-openssl.h                                  |   6 +-
 egg/egg-symkey.c                                   |  64 +--
 egg/egg-symkey.h                                   |   6 +-
 egg/egg-testing.h                                  |   4 +-
 egg/tests/test-asn1.c                              | 284 ++++++-------
 egg/tests/test-asn1x.c                             |  10 +-
 egg/tests/test-dn.c                                |  30 +-
 egg/tests/test-openssl.c                           |  36 +-
 pkcs11/gkm/gkm-attributes.c                        |   5 +-
 pkcs11/gkm/gkm-attributes.h                        |   4 +-
 pkcs11/gkm/gkm-certificate.c                       |  50 +--
 pkcs11/gkm/gkm-certificate.h                       |   4 +-
 pkcs11/gkm/gkm-data-asn1.c                         |  12 +-
 pkcs11/gkm/gkm-data-der.c                          | 126 +++---
 pkcs11/gkm/gkm-data-der.h                          |  59 ++-
 pkcs11/gkm/gkm-serializable.c                      |   4 +-
 pkcs11/gkm/gkm-serializable.h                      |  10 +-
 pkcs11/gkm/tests/test-certificate.c                |  12 +-
 pkcs11/gkm/tests/test-data-asn1.c                  |  10 +-
 pkcs11/gkm/tests/test-data-der.c                   | 100 ++---
 pkcs11/gnome2-store/gkm-gnome2-private-key.c       |  16 +-
 pkcs11/gnome2-store/gkm-gnome2-public-key.c        |   6 +-
 pkcs11/gnome2-store/gkm-gnome2-storage.c           |  34 +-
 .../gnome2-store/tests/test-gnome2-private-key.c   |  13 +-
 pkcs11/gnome2-store/tests/test-gnome2-storage.c    |   6 +-
 pkcs11/roots-store/gkm-roots-module.c              |  16 +-
 pkcs11/roots-store/gkm-roots-trust.c               |   4 +-
 pkcs11/ssh-store/gkm-ssh-openssh.c                 |  24 +-
 pkcs11/ssh-store/gkm-ssh-openssh.h                 |   6 +-
 pkcs11/ssh-store/gkm-ssh-private-key.c             |  10 +-
 pkcs11/ssh-store/tests/test-ssh-openssh.c          |   6 +-
 pkcs11/xdg-store/gkm-xdg-module.c                  |  20 +-
 pkcs11/xdg-store/gkm-xdg-trust.c                   |  96 ++---
 pkcs11/xdg-store/tests/dump-trust-file.c           |  24 +-
 pkcs11/xdg-store/tests/frob-trust-file.c           |  46 +--
 46 files changed, 724 insertions(+), 1303 deletions(-)

commit d31a26df7ce8d9c084b9c66fe00458683dde9864
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-28

    gpg-agent: Encode passwords when --data was requested
    
     * Use URI encoding to return passwords when gnupg calls us with
       a --data argument.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=678771

 daemon/gpg-agent/gkd-gpg-agent-ops.c | 41 ++++++++++++++++++++++++++++++++----
 1 file changed, 37 insertions(+), 4 deletions(-)

commit 63ea3bfaa8c15406790553c5cf7348d56e30f012
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-28

    gpg-agent: Don't barf when retrieving password when not unlocked
    
     * Secret store returns CKR_USER_NOT_LOGGED_IN when password doesn't
       exist. Don't g_warning in that case

 daemon/gpg-agent/gkd-gpg-agent-ops.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 66eef08df67047f70678764a223ae4d42a9708f3
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-28

    dbus: Don't log into token if already logged in

 daemon/dbus/gkd-secret-service.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit e276b7ac8ca7ce51b117fc4e963928886664a7e5
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-27

    dbus: The Created and Modified properties are uint64
    
     * Previously we had the Created and Modified properties be
       int64 dbus properties. However the Secret Service API says
       they should be uint64.
     * libgnome-keyring was updated in the 3.3.x cycle to support
       either the old or new type.
     * libsecret expects uint64.

 daemon/dbus/gkd-secret-property.c | 39 +++++++++++++++++++++------------------
 1 file changed, 21 insertions(+), 18 deletions(-)

commit 398c356dbacb071bef5f91c5d1ed16d9083ecfb1
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-27

    dbus: Expose the 'session' and 'login' keyrings as aliases
    
     * The Secret Service API supports the concept of aliases, so
       expose the 'session' and 'login' keyrings as aliases, so
       that callers can identify which keyrings have those special
       behaviors.

 daemon/dbus/gkd-secret-service.c | 24 +++++++++++++++++++-----
 1 file changed, 19 insertions(+), 5 deletions(-)

commit 8ce8788e850357a1467e6f18ca952248888da116
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-27

    daemon: Emit secret service signals when collections/items change
    
     * Emit the Secret Service DBus API signals when collections/items
       change.
     * Also fire the PropertiesChanged signal appropriately

 .gitignore                              |   2 +
 daemon/dbus/gkd-secret-create.c         |   6 +-
 daemon/dbus/gkd-secret-objects.c        | 391 ++++++++++++--
 daemon/dbus/gkd-secret-objects.h        |  19 +
 daemon/dbus/gkd-secret-service.c        | 116 +++-
 daemon/dbus/gkd-secret-service.h        |   6 +
 daemon/dbus/gkd-secret-unlock.c         |  16 +
 daemon/dbus/tests/Makefile.am           |  13 +-
 daemon/dbus/tests/files/test.keyring    | Bin 0 -> 180 bytes
 daemon/dbus/tests/test-secret-signals.c | 916 ++++++++++++++++++++++++++++++++
 10 files changed, 1432 insertions(+), 53 deletions(-)

commit 8a1fd0725d1d5f4ab485d2203772fccb81c63364
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-27

    daemon: Perform initialization in the main loop
    
     * So that we can handle signals during initialization

 daemon/gkd-main.c | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit e31a7b095517d2f3cabf17cb15f469214c48a0a7
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-27

    egg: Add ability to run tests in a mainloop without a thread
    
     * Lets us do async stuff without the added complication of having
       another thread running the main loop.

 egg/egg-testing.c | 95 +++++++++++++++++++++++++++++++++++++++++++++++++------
 egg/egg-testing.h |  4 +++
 2 files changed, 90 insertions(+), 9 deletions(-)

commit e4f2dd1a5e37884c3eb1c93322c1b71b70daedac
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-27

    Quiet down messages during tests
    
     * Several of these are common messages, so move them to debug
       logs.

 daemon/gkd-capability.c               | 3 ++-
 pkcs11/gkm/gkm-certificate.c          | 6 ++++--
 pkcs11/roots-store/gkm-roots-module.c | 4 +++-
 pkcs11/xdg-store/gkm-xdg-module.c     | 4 +++-
 4 files changed, 12 insertions(+), 5 deletions(-)

commit 7643d9fd1ca726a2465833295df7f0504221e713
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-27

    Use GNOME_KEYRING_TEST_PROMPTER to specify prompter name
    
     * Testing code can set GNOME_KEYRING_TEST_PROMPTER environment
       variable to change the prompter that is used for various prompts.

 daemon/dbus/gkd-secret-change.c     |  4 ++++
 daemon/dbus/gkd-secret-create.c     |  4 ++++
 pkcs11/wrap-layer/gkm-wrap-prompt.c | 25 ++++++++++++++++++++-----
 pkcs11/wrap-layer/gkm-wrap-prompt.h |  2 ++
 4 files changed, 30 insertions(+), 5 deletions(-)

commit 09f5a69c00f5ef3e4928b6751ae8ebc86c3bfe2b
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-27

    egg: Add methods for creating scratch directory in tests
    
     * Add egg_tests_create_scratch_directory() and
       egg_tests_remove_scratch_directory() methods, and use
       them in tests.

 egg/Makefile.am                                 |  1 +
 egg/egg-testing.c                               | 79 +++++++++++++++++++++++++
 egg/egg-testing.h                               |  7 ++-
 pkcs11/gnome2-store/tests/test-gnome2-storage.c | 56 ++----------------
 pkcs11/gnome2-store/tests/test-import.c         | 22 +------
 pkcs11/secret-store/tests/mock-secret-module.c  | 31 ++--------
 pkcs11/xdg-store/tests/mock-xdg-module.c        | 32 +++-------
 7 files changed, 107 insertions(+), 121 deletions(-)

commit 5e031c3f81caaf5d2ae7078af60954266ffaaa36
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-26

    Remove support code for old glib versions
    
     * Remove a bunch of #ifdefs for old glib versions prior
       to 2.32.0.
     * Already bumped glib dependency in a recent commit.

 daemon/gpg-agent/gkd-gpg-agent.c    | 14 ---------
 daemon/ssh-agent/gkd-ssh-agent.c    | 14 ---------
 egg/egg-libgcrypt.c                 |  8 -----
 egg/egg-testing.c                   | 58 -------------------------------------
 pkcs11/gkm/gkm-timer.c              | 27 -----------------
 pkcs11/gkm/gkm-util.c               |  4 ---
 pkcs11/rpc-layer/gkm-rpc-dispatch.c |  4 ---
 7 files changed, 129 deletions(-)

commit 3b12a96aa41af835a651c6a62def94472346969d
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-25

    secret-store: Support the xdg:schema attribute correctly
    
     * libsecret uses that attribute to store the 'schema' describing
       the other attributes.
     * The old way of having a special 'Type' dbus argument, or
       CKA_G_SCHEMA pkcs#11 attribute is deprecated ... to be more
       inline with the Secret Service spec.

 daemon/dbus/gkd-secret-property.c              |  2 +
 pkcs11/secret-store/gkm-secret-fields.c        | 72 ++++++++++++---------
 pkcs11/secret-store/gkm-secret-fields.h        |  6 +-
 pkcs11/secret-store/gkm-secret-item.c          | 12 ++--
 pkcs11/secret-store/gkm-secret-search.c        |  4 +-
 pkcs11/secret-store/tests/test-secret-fields.c | 86 +++++++++++++++++++++++---
 6 files changed, 138 insertions(+), 44 deletions(-)

commit ade50dce2dc18c27d81e0dc5de35748dd308ae81
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-25

    Release version 3.5.3
    
     * And fix some tests

 Makefile.am                                     | 3 +++
 NEWS                                            | 7 +++++++
 configure.ac                                    | 4 ++--
 pkcs11/gnome2-store/tests/test-gnome2-storage.c | 3 +--
 4 files changed, 13 insertions(+), 4 deletions(-)

commit fb145b5e7913f645fbd9bc112c78ba8bfd37774a
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   2012-06-21

    Assamese translation reviewed

 po/as.po | 297 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 149 insertions(+), 148 deletions(-)

commit 7cbb87873a10b2adc97bcbf1e3eb4962adf6f8fc
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-19

    gnome2-store: Test the gnome2-store with the gcr importer

 pkcs11/gkm/gkm-module.c                         |   3 -
 pkcs11/gkm/gkm-module.h                         |   3 +
 pkcs11/gnome2-store/tests/Makefile.am           |   6 +-
 pkcs11/gnome2-store/tests/files/personal.p12    | Bin 0 -> 3396 bytes
 pkcs11/gnome2-store/tests/test-gnome2-storage.c |   1 +
 pkcs11/gnome2-store/tests/test-import.c         | 200 ++++++++++++++++++++++++
 6 files changed, 209 insertions(+), 4 deletions(-)

commit 45e76a5fdd139e05308817e75936d8a7dc5e0d84
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-19

    gkm: Add debug tracing for CKA_ATTRIBUTE_TYPE_INVALID
    
    To make it a bit easier to diagnose problems.

 pkcs11/gkm/gkm-assertion.c               |  6 +++++-
 pkcs11/gkm/gkm-debug.c                   |  1 +
 pkcs11/gkm/gkm-debug.h                   |  1 +
 pkcs11/gkm/gkm-dh-private-key.c          |  3 +++
 pkcs11/gkm/gkm-dh-public-key.c           |  3 +++
 pkcs11/gkm/gkm-memory-store.c            | 11 +++++++++--
 pkcs11/gkm/gkm-object.c                  |  4 ++++
 pkcs11/gkm/gkm-private-xsa-key.c         |  3 +++
 pkcs11/gkm/gkm-public-xsa-key.c          |  4 ++++
 pkcs11/gkm/gkm-secret-key.c              |  6 ++++++
 pkcs11/gkm/gkm-sexp-key.c                |  4 ++++
 pkcs11/gkm/gkm-store.c                   | 25 ++++++++++++++++++++-----
 pkcs11/gnome2-store/gkm-gnome2-storage.c |  6 +++++-
 pkcs11/ssh-store/gkm-ssh-private-key.c   |  7 ++++++-
 pkcs11/xdg-store/gkm-xdg-trust.c         | 22 ++++++++++++++++++----
 15 files changed, 92 insertions(+), 14 deletions(-)

commit 75df449520f2ca8acd38af51b0520a70b0c3b754
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-19

    gkm: Add gkm_log_xxx() functions for stringizing
    
    Move gkm_util_rv_xxx() to gkm_log_rv() and add gkm_log_attr_type()

 pkcs11/gkm/Makefile.am              |   1 +
 pkcs11/gkm/gkm-debug.h              |   2 +
 pkcs11/gkm/gkm-log.c                | 291 ++++++++++++++++++++++++++++++++++++
 pkcs11/gkm/gkm-log.h                |  33 ++++
 pkcs11/gkm/gkm-test.c               |  10 +-
 pkcs11/gkm/gkm-trust.c              |   4 +-
 pkcs11/gkm/gkm-util.c               | 120 ---------------
 pkcs11/gkm/gkm-util.h               |   4 -
 pkcs11/wrap-layer/gkm-wrap-login.c  |  11 +-
 pkcs11/wrap-layer/gkm-wrap-prompt.c |  17 ++-
 10 files changed, 349 insertions(+), 144 deletions(-)

commit 6f97ecf2773281fa2b4d38301f27d27bf6e26d0c
Merge: 425394b c53bb44
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-19

    Merge branch 'gnome-3-4'

commit c53bb448d90e290d6b208090a285d1f4070b5ce9
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-19

    gnome2-store: Ignore attributes that gcr-viewer sets
    
    We don't yet support all the attributes correctly, but try
    to not error out in gnome2-store for the ones that gcr-viewer
    sets.

 pkcs11/gkm/gkm-certificate.c                 | 6 ++++--
 pkcs11/gnome2-store/gkm-gnome2-private-key.c | 5 +++++
 pkcs11/gnome2-store/gkm-gnome2-storage.c     | 9 +++++++++
 3 files changed, 18 insertions(+), 2 deletions(-)

commit 425394b296ecb3fe67e917ce2c048e45b6fb80ab
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-19

    gkm: Fix GKM_DEBUG environment variable for G_MESSAGES_DEBUG
    
    G_MESSAGES_DEBUG is a new environment variable that glib expects
    without which no debug messages are displayed. Since we also have
    GKM_DEBUG we reconcile the two environment variables

 pkcs11/gkm/Makefile.am |  1 +
 pkcs11/gkm/gkm-debug.c | 65 ++++++++++++++++++++++++++++++++++++++++++--------
 2 files changed, 56 insertions(+), 10 deletions(-)

commit ef59eb3a8e4fa732d3dc8a40b07cb75c638d85e5
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-19

    ssh-store: Don't include built p11-tests.conf file

 pkcs11/ssh-store/tests/p11-tests.conf | 3 ---
 1 file changed, 3 deletions(-)

commit a48dbad7c177e8243b6988ca34d01422f20d3104
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-19

    xdg-store: Remove references to libtasn1.h
    
    No longer necessary, and creates a false build dependency
    on the libtasn1 headers

 pkcs11/xdg-store/gkm-xdg-trust.c         | 2 --
 pkcs11/xdg-store/tests/dump-trust-file.c | 1 -
 pkcs11/xdg-store/tests/frob-trust-file.c | 1 -
 3 files changed, 4 deletions(-)

commit 48ea8d67edcbf9d2bf3b825a334c175df2bf22b1
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-04

    daemon: Return correct introspect data for secret service

 daemon/dbus/gkd-secret-service.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5dccbe88eb94eea9934e2b7c83e818bd21be4fd2
Author: Raul Gutierrez Segales <rgs@itevenworks.net>
Date:   2012-05-13

    Use the right introspection string for Secret.Service iface
    
    We were passing the wrong data parameter to gkd_dbus_introspect_handle
    and displaying the wrong interface information in d-feet.

 daemon/dbus/gkd-secret-service.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 113a95948a072616e0caef1298997fb5bbb40282
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   2012-05-02

    Updated Slovenian translation

 po/sl.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 5281df9fceb0c0eaecaf85cde9ca26adb55c92e3
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   2012-05-02

    Updated Greek translation

 po/el.po | 383 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 233 insertions(+), 150 deletions(-)

commit b6bb4b9ca987fefa153fb73a7816316cf5bc122a
Author: Justin Lecher <jlec@gentoo.org>
Date:   2012-04-30

    Typo GMODULE -> GLIB in AC_SUBST
    
    It seems that during the code duplication the actual substition call
    wasn't changed to GMODULE.
    
    Signed-off-by: Justin Lecher <jlec@gentoo.org>

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 24b830e00c015bdeeab74491b4b0e4b66eddd97d
Author: Justin Lecher <jlec@gentoo.org>
Date:   2012-04-30

    Typo GMODULE -> GLIB in AC_SUBST
    
    It seems that during the code duplication the actual substition call
    wasn't changed to GMODULE.
    
    Signed-off-by: Justin Lecher <jlec@gentoo.org>

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1bbdac506bf39814374e3c8f964faebfe5058920
Author: Stef Walter <stefw@gnome.org>
Date:   2012-04-30

    Change password dbus method is actually on internal interface
    
     * But leave the one on the secret service interface since
       that's what libgnome-keyring erroneously uses.

 daemon/dbus/gkd-secret-service.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit addc10ba520fe44f03c309687ca9d106eeb9d662
Author: Stef Walter <stefw@gnome.org>
Date:   2012-04-16

    Bump version number

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3dbb05de1942561c142a9333cde07abc9d94da0b
Merge: 223e914 7dc9217
Author: Stef Walter <stefw@gnome.org>
Date:   2012-04-16

    Merge branch 'gnome-3-4'

commit 7dc9217979865a8520d512b81ee40d5f1c7a7dfe
Author: Stef Walter <stefw@gnome.org>
Date:   2012-04-16

    Release 3.4.1

 NEWS                                  | 8 ++++++++
 configure.ac                          | 2 +-
 pkcs11/gnome2-store/tests/Makefile.am | 2 +-
 pkcs11/roots-store/tests/Makefile.am  | 2 +-
 pkcs11/ssh-store/tests/Makefile.am    | 2 +-
 5 files changed, 12 insertions(+), 4 deletions(-)

commit b4db9be57a18a8b491e7414c5db793d732c3b9ed
Author: Yinghua Wang <wantinghard@gmail.com>
Date:   2012-04-16

    update Simplified Chinese (zh_CN) translation

 po/zh_CN.po | 405 +++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 248 insertions(+), 157 deletions(-)

commit 223e91453c0b0e3a62228a8c75233f20e70f5ea4
Author: Yinghua Wang <wantinghard@gmail.com>
Date:   2012-04-16

    update Simplified Chinese (zh_CN) translation

 po/zh_CN.po | 408 +++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 250 insertions(+), 158 deletions(-)

commit 0c13bedeee4da648b155c73235a586d148462d65
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   2012-04-11

    [l10n]Updated Catalan (Valencian) translation

 po/ca@valencia.po | 19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

commit cc06a2d51cfc0a6db02820119d80a2e8e6ce1e29
Author: Jordi Serratosa <jordis@softcatala.cat>
Date:   2012-04-11

    [l10n] Fixes on Catalan translation

 po/ca.po | 16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)

commit db5c6f8a58ea6b011932bd7fa3ce5e4eee029313
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   2012-04-11

    [l10n]Updated Catalan (Valencian) translation

 po/ca@valencia.po | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

commit a5505123c41352ef6ff77a84379aadec1226f748
Author: Jordi Serratosa <jordis@softcatala.cat>
Date:   2012-04-11

    [l10n] Fixes on Catalan translation

 po/ca.po | 16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)

commit 5c4a86255897206875d72fee0c41e657dce3e39f
Author: Stef Walter <stefw@gnome.org>
Date:   2012-03-10

    Bring over new egg'd components from gcr
    
     * Updated ASN.1, armor, bytes, openssl, etc.

 .gitignore                                         |    1 +
 Makefile.decl                                      |   26 +-
 daemon/control/tests/frob-control-change.c         |    2 +-
 daemon/control/tests/frob-control-init.c           |    2 +-
 daemon/control/tests/frob-control-quit.c           |    2 +-
 daemon/control/tests/frob-control-unlock.c         |    2 +-
 daemon/gkd-main.c                                  |    8 +-
 daemon/gpg-agent/gkd-gpg-agent-standalone.c        |    2 +-
 daemon/ssh-agent/gkd-ssh-agent-standalone.c        |    2 +-
 egg/Makefile.am                                    |   22 +-
 egg/egg-armor.c                                    |   44 +-
 egg/egg-armor.h                                    |   11 +-
 egg/egg-asn1-defs.c                                |   33 +
 egg/egg-asn1-defs.h                                |   12 +-
 egg/egg-asn1x.c                                    | 1162 +++++++++++-------
 egg/egg-asn1x.h                                    |  122 +-
 egg/egg-bytes.c                                    |  454 ++++++++
 egg/egg-bytes.h                                    |  102 ++
 egg/egg-dn.c                                       |  167 ++-
 egg/egg-dn.h                                       |   12 +-
 egg/egg-openssl.c                                  |  147 +--
 egg/egg-openssl.h                                  |   20 +-
 egg/egg-secure-memory.c                            |  184 +--
 egg/egg-secure-memory.h                            |   42 +-
 egg/egg-symkey.c                                   |  489 ++++----
 egg/egg-symkey.h                                   |   62 +-
 egg/egg-testing.h                                  |    7 +
 egg/tests/Makefile.am                              |   16 +-
 egg/tests/test-asn1.c                              |  566 +++++----
 egg/tests/test-asn1x.c                             |   21 +-
 egg/tests/test-dh.c                                |    2 +-
 egg/tests/test-dn.c                                |   66 +-
 egg/tests/test-hkdf.c                              |    2 +-
 egg/tests/test-openssl.c                           |   71 +-
 egg/tests/test-secmem.c                            |    2 +-
 egg/tests/test-symkey.c                            |    9 +-
 egg/tests/test.asn                                 |    2 +
 pam/gkr-pam-stubs.c                                |    8 +-
 pkcs11/gkm/Makefile.am                             |   14 +-
 pkcs11/gkm/gkm-attributes.c                        |    7 +
 pkcs11/gkm/gkm-attributes.h                        |    5 +
 pkcs11/gkm/gkm-certificate.c                       |  110 +-
 pkcs11/gkm/gkm-certificate.h                       |    5 +-
 pkcs11/gkm/gkm-data-asn1.c                         |   14 +-
 pkcs11/gkm/gkm-data-der.c                          |  328 +++---
 pkcs11/gkm/gkm-data-der.h                          |   69 +-
 pkcs11/gkm/gkm-serializable.c                      |   11 +-
 pkcs11/gkm/gkm-serializable.h                      |   18 +-
 pkcs11/gkm/pk.asn                                  |  103 --
 pkcs11/gkm/pkix.asn                                | 1230 --------------------
 pkcs11/gkm/tests/Makefile.am                       |   17 +-
 pkcs11/gkm/tests/mock-module.c                     |    2 +-
 pkcs11/gkm/tests/test-certificate.c                |   19 +-
 pkcs11/gkm/tests/test-data-asn1.c                  |   27 +-
 pkcs11/gkm/tests/test-data-der.c                   |  206 ++--
 pkcs11/gkm/tests/test-secret.c                     |    2 +-
 pkcs11/gkm/tests/test-sexp.c                       |    2 +-
 pkcs11/gnome2-store/gkm-gnome2-private-key.c       |   52 +-
 pkcs11/gnome2-store/gkm-gnome2-public-key.c        |   19 +-
 pkcs11/gnome2-store/gkm-gnome2-standalone.c        |    2 +-
 pkcs11/gnome2-store/gkm-gnome2-storage.c           |   52 +-
 pkcs11/gnome2-store/tests/check-gnome2-module.c    |    2 +-
 pkcs11/gnome2-store/tests/frob-gnome2-file.c       |    2 +-
 pkcs11/gnome2-store/tests/mock-gnome2-module.c     |    2 +-
 pkcs11/gnome2-store/tests/test-gnome2-file.c       |    2 +-
 .../gnome2-store/tests/test-gnome2-private-key.c   |   32 +-
 pkcs11/gnome2-store/tests/test-gnome2-storage.c    |    8 +-
 pkcs11/roots-store/gkm-roots-module.c              |   28 +-
 pkcs11/roots-store/gkm-roots-standalone.c          |    2 +-
 pkcs11/roots-store/gkm-roots-trust.c               |    9 +-
 pkcs11/roots-store/tests/check-roots-module.c      |    2 +-
 pkcs11/secret-store/gkm-secret-standalone.c        |    2 +-
 pkcs11/secret-store/tests/dump-keyring0-format.c   |    2 +-
 pkcs11/secret-store/tests/mock-secret-module.c     |    2 +-
 pkcs11/secret-store/tests/test-secret-data.c       |    2 +-
 pkcs11/ssh-store/gkm-ssh-openssh.c                 |   56 +-
 pkcs11/ssh-store/gkm-ssh-openssh.h                 |    8 +-
 pkcs11/ssh-store/gkm-ssh-private-key.c             |   30 +-
 pkcs11/ssh-store/gkm-ssh-standalone.c              |    2 +-
 pkcs11/ssh-store/tests/check-ssh-module.c          |    2 +-
 pkcs11/ssh-store/tests/mock-ssh-module.c           |    2 +-
 pkcs11/ssh-store/tests/test-ssh-openssh.c          |    9 +-
 pkcs11/wrap-layer/tests/mock-secret-store.c        |    2 +-
 pkcs11/xdg-store/Makefile.am                       |   18 +-
 pkcs11/xdg-store/gkm-xdg-asn1-defs.c               |   32 +
 pkcs11/xdg-store/gkm-xdg-asn1-defs.h               |   31 +
 pkcs11/xdg-store/gkm-xdg-module.c                  |   35 +-
 pkcs11/xdg-store/gkm-xdg-standalone.c              |    2 +-
 pkcs11/xdg-store/gkm-xdg-trust.c                   |  200 ++--
 pkcs11/xdg-store/tests/check-xdg-module.c          |    2 +-
 pkcs11/xdg-store/tests/dump-trust-file.c           |   43 +-
 pkcs11/xdg-store/tests/frob-trust-file.c           |   74 +-
 pkcs11/xdg-store/tests/mock-xdg-module.c           |    2 +-
 93 files changed, 3536 insertions(+), 3329 deletions(-)

commit 46748de8fc812dbc384e47b5910d522f57bbc79c
Author: Stef Walter <stefw@gnome.org>
Date:   2012-04-07

    pkcs11: Complete a bunch more tests
    
     * Add tests for the 'egg' merge coming up
     * Fix a few problems resulting from p11-tests tests

 .gitignore                                         |   2 +
 Makefile.decl                                      |   8 +-
 pkcs11/gkm/tests/Makefile.am                       |   5 +
 pkcs11/gkm/tests/test-certificate.c                | 208 ++++++++++++++++
 pkcs11/gnome2-store/gkm-gnome2-private-key.c       |   5 +-
 pkcs11/gnome2-store/gkm-gnome2-storage.c           |   1 +
 pkcs11/gnome2-store/tests/Makefile.am              |  24 +-
 pkcs11/gnome2-store/tests/files/der-key-v2-des3.p8 | Bin 0 -> 714 bytes
 pkcs11/gnome2-store/tests/p11-tests.conf           |   2 -
 pkcs11/gnome2-store/tests/p11-tests.conf.in        |   2 +
 .../gnome2-store/tests/test-gnome2-private-key.c   | 268 +++++++++++++++++++++
 pkcs11/gnome2-store/tests/test-gnome2-storage.c    |  21 ++
 pkcs11/roots-store/tests/Makefile.am               |  17 +-
 pkcs11/roots-store/tests/p11-tests.conf            |   2 -
 pkcs11/roots-store/tests/p11-tests.conf.in         |   2 +
 pkcs11/ssh-store/tests/Makefile.am                 |  17 +-
 pkcs11/ssh-store/tests/p11-tests.conf              |   2 +-
 pkcs11/ssh-store/tests/p11-tests.conf.in           |   3 +
 pkcs11/ssh-store/tests/test-private-key.c          |  68 ++++--
 19 files changed, 617 insertions(+), 40 deletions(-)

commit 561db8dbce88175f4814c1b7a56fc313eea8a199
Author: Stef Walter <stefw@gnome.org>
Date:   2012-04-04

    [daemon] Set 'text/plain' content type on secrets returned from daemon
    
     * All the secrets that gnome-keyring currently stores are text

 daemon/dbus/gkd-secret-secret.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 26a846048a8db3eff1543c464a422f64eea1a0e6
Author: Stef Walter <stefw@gnome.org>
Date:   2012-04-03

    Relicense egg-unix-credentials.c
    
     * These were written by me and only accidentally contained
       the initial Red Hat copyright notice.

 egg/egg-unix-credentials.c | 55 +++++++++++++++++++++++++++-------------------
 egg/egg-unix-credentials.h | 54 +++++++++++++++++++++++++++------------------
 2 files changed, 66 insertions(+), 43 deletions(-)

commit cc6e1136fb9c98f26d60afee492a60865b0b2b93
Author: Stef Walter <stefw@gnome.org>
Date:   2012-04-02

    Use correct XDG_RUNTIME_DIR when started from PAM
    
     * Accept the XDG_RUNTIME_DIR environment variable from
       the session when initializing gnome-keyring-daemon

 daemon/gkd-util.c | 1 +
 1 file changed, 1 insertion(+)

commit 987d00ac97ac0d73cd658b4bd5d4fac934edf678
Author: Stef Walter <stefw@gnome.org>
Date:   2012-03-30

    Better building of .desktop and .service files

 Makefile.decl                              | 37 ++++++++++++++++++++++++++++++
 configure.ac                               | 20 ----------------
 daemon/Makefile.am                         |  4 ++--
 daemon/gnome-keyring-gpg.desktop.in.in     |  2 +-
 daemon/gnome-keyring-pkcs11.desktop.in.in  |  2 +-
 daemon/gnome-keyring-secrets.desktop.in.in |  2 +-
 daemon/gnome-keyring-ssh.desktop.in.in     |  2 +-
 daemon/org.freedesktop.secrets.service.in  |  2 +-
 daemon/org.gnome.keyring.service.in        |  2 +-
 9 files changed, 45 insertions(+), 28 deletions(-)

commit 85a69432636c21bf3df76ef8ad98b707c75cd294
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   2012-03-26

    Updated Arabic translation

 po/ar.po | 362 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 226 insertions(+), 136 deletions(-)

commit 1224c83647ee719b3733ee03cc35d77d7e33ef56
Author: Changwoo Ryu <cwryu@debian.org>
Date:   2012-03-27

    Updated Korean translation

 po/ko.po | 120 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 67 insertions(+), 53 deletions(-)

commit e0755e97259a4288e26d6f6db801e488a6d90f77
Author: Stef Walter <stefw@gnome.org>
Date:   2012-03-26

    Release version 3.4.0

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit c1b24645d3e88925c6a8813830cd602fb8a4956b
Author: Lucas Lommer <llommer@svn.gnome.org>
Date:   2012-03-25

    Updated Czech translation

 po/cs.po | 350 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 199 insertions(+), 151 deletions(-)

commit 2eef50d0e707ed3c629e7d970111f01dfc7b5a36
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   2012-03-25

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 115 ++++++++++++++++++++++++++++++++++--------------------------
 po/zh_TW.po | 115 ++++++++++++++++++++++++++++++++++--------------------------
 2 files changed, 130 insertions(+), 100 deletions(-)

commit dee2df628c065dfa5c1ba8388b0145d7ef1504a0
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   2012-03-24

    Updated Lithuanian translation

 po/lt.po | 192 +++++++++++++++++++++++++--------------------------------------
 1 file changed, 77 insertions(+), 115 deletions(-)

commit 12607c09413f7ff4a29a6e8acdc9a39e70f0c185
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   2012-03-24

    Updated Hebrew translation.

 po/he.po | 113 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 64 insertions(+), 49 deletions(-)

commit 915232b8db899c7acf47208f3199efc269f954e6
Author: Daniel Nylander <po@danielnylander.se>
Date:   2012-03-24

    Updated Swedish translation

 po/sv.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit c0499faff0506b14919d7bbffa32b0899130c2b4
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   2012-03-24

    Uploaded Ukranian

 po/uk.po | 916 +++++++++++++++++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 771 insertions(+), 145 deletions(-)

commit 9449f6915142739a83e355ae46413424e63615c2
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   2012-03-21

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 362 ++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 232 insertions(+), 130 deletions(-)

commit 0c0cb52f4f4f1a0a3aea60449658d28053d93c7b
Author: Sasi Bhushan <sasi@swecha.net>
Date:   2012-03-20

    Updated Telugu Translation

 po/te.po | 359 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 222 insertions(+), 137 deletions(-)

commit e4dc3e38a8a71c16a78c02256b68470bafac8dcf
Author: Stef Walter <stefw@gnome.org>
Date:   2012-03-19

    Release version 3.3.92

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit e4ae418e3cc5a8087046d49429a1dbc390289088
Author: Sweta Kothari <swkothar@redhat.com>
Date:   2012-03-19

    Updated Gujarati Translations

 po/gu.po | 412 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 253 insertions(+), 159 deletions(-)

commit a6ce2ec5b8cb62e273b10962af5fec6f87d27c6c
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   2012-03-19

    Updated Danish translation

 po/da.po | 113 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 64 insertions(+), 49 deletions(-)

commit 8659ee293c9543a0ba943379a573018f9ff2cff7
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   2012-03-19

    [l10n]Updated Catalan (Valencian) translation

 po/ca@valencia.po | 365 ++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 228 insertions(+), 137 deletions(-)

commit 9156eef12f0f8a4c45b57b2f54bc9703ba50eb91
Author: Joan Duran <jodufi@gmail.com>
Date:   2012-03-19

    [l10n] Updated Catalan translation

 po/ca.po | 365 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 228 insertions(+), 137 deletions(-)

commit c0a85b1ab04407f748bde40586362e4925b5baa8
Author: Milo Casagrande <milo@ubuntu.com>
Date:   2012-03-18

    [l10n] Updated Italian translation

 po/it.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 6bf82f657684ae050d39af94169e408e94739cea
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   2012-03-17

    Updated Portuguese translation

 po/pt.po | 367 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 229 insertions(+), 138 deletions(-)

commit 7ba686114bd490547c1deaf87bb44eee4a80cd74
Author: Jordi Mallach <jordi@debian.org>
Date:   2012-03-15

    Fix copyright headers.
    
    Many files were missing “Public” in “GNU Lesser General Public License”,
    and others replaced it with “Private”, probably due to a mass replace that
    went a bit too far. Restore the correct wording in all affected places.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=672189

 egg/egg-byte-array.c               | 6 +++---
 egg/egg-byte-array.h               | 6 +++---
 egg/egg-dh.c                       | 6 +++---
 egg/egg-dh.h                       | 6 +++---
 egg/egg-error.h                    | 6 +++---
 egg/egg-hex.c                      | 4 ++--
 egg/egg-hex.h                      | 4 ++--
 egg/egg-hkdf.c                     | 6 +++---
 egg/egg-hkdf.h                     | 6 +++---
 egg/egg-padding.c                  | 6 +++---
 egg/egg-padding.h                  | 6 +++---
 egg/egg-symkey.c                   | 4 ++--
 egg/egg-symkey.h                   | 4 ++--
 egg/egg-testing.c                  | 6 +++---
 egg/egg-testing.h                  | 6 +++---
 pkcs11/gkm/gkm-aes-mechanism.c     | 6 +++---
 pkcs11/gkm/gkm-aes-mechanism.h     | 6 +++---
 pkcs11/gkm/gkm-attributes.c        | 6 +++---
 pkcs11/gkm/gkm-attributes.h        | 6 +++---
 pkcs11/gkm/gkm-certificate.c       | 6 +++---
 pkcs11/gkm/gkm-certificate.h       | 6 +++---
 pkcs11/gkm/gkm-credential.c        | 6 +++---
 pkcs11/gkm/gkm-credential.h        | 6 +++---
 pkcs11/gkm/gkm-crypto.c            | 6 +++---
 pkcs11/gkm/gkm-crypto.h            | 6 +++---
 pkcs11/gkm/gkm-dh-mechanism.c      | 6 +++---
 pkcs11/gkm/gkm-dh-mechanism.h      | 6 +++---
 pkcs11/gkm/gkm-dh-private-key.c    | 6 +++---
 pkcs11/gkm/gkm-dh-private-key.h    | 6 +++---
 pkcs11/gkm/gkm-dsa-mechanism.c     | 6 +++---
 pkcs11/gkm/gkm-dsa-mechanism.h     | 6 +++---
 pkcs11/gkm/gkm-hkdf-mechanism.c    | 6 +++---
 pkcs11/gkm/gkm-hkdf-mechanism.h    | 6 +++---
 pkcs11/gkm/gkm-manager.c           | 6 +++---
 pkcs11/gkm/gkm-manager.h           | 6 +++---
 pkcs11/gkm/gkm-mock.c              | 6 +++---
 pkcs11/gkm/gkm-module-ep.h         | 6 +++---
 pkcs11/gkm/gkm-null-mechanism.c    | 6 +++---
 pkcs11/gkm/gkm-null-mechanism.h    | 6 +++---
 pkcs11/gkm/gkm-private-xsa-key.c   | 2 +-
 pkcs11/gkm/gkm-private-xsa-key.h   | 2 +-
 pkcs11/gkm/gkm-rsa-mechanism.c     | 6 +++---
 pkcs11/gkm/gkm-rsa-mechanism.h     | 6 +++---
 pkcs11/gkm/gkm-sexp-key.c          | 6 +++---
 pkcs11/gkm/gkm-sexp-key.h          | 6 +++---
 pkcs11/gkm/gkm-sexp.c              | 6 +++---
 pkcs11/gkm/gkm-sexp.h              | 6 +++---
 pkcs11/gkm/gkm-test.c              | 6 +++---
 pkcs11/gkm/gkm-timer.c             | 6 +++---
 pkcs11/gkm/gkm-timer.h             | 6 +++---
 pkcs11/gkm/gkm-util.c              | 6 +++---
 pkcs11/gkm/gkm-util.h              | 6 +++---
 pkcs11/wrap-layer/gkm-wrap-layer.c | 6 +++---
 53 files changed, 151 insertions(+), 151 deletions(-)

commit 0b27af1d6f659124550dce6367d247037ba9ec44
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   2012-03-16

    Updated Hungarian translation

 po/hu.po | 134 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 70 insertions(+), 64 deletions(-)

commit 2940e2cffa629ed60d83f922f85839b6f3099818
Author: Milo Casagrande <milo@ubuntu.com>
Date:   2012-03-15

    [l10n] Updated Italian translation

 po/it.po | 363 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 226 insertions(+), 137 deletions(-)

commit 6b925ece9595d82c6b8dacb1ae87503e12092909
Author: William Jon McCann <jmccann@redhat.com>
Date:   2012-03-15

    Build fixes to rpc-layer Makefile

 pkcs11/rpc-layer/Makefile.am | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit bd6ef379df244fa83e6e07bf29e093ca2f990075
Author: William Jon McCann <jmccann@redhat.com>
Date:   2011-04-01

    Use runtime dir instead of tmp for sockets
    
    https://bugzilla.gnome.org/show_bug.cgi?id=646389

 daemon/gkd-util.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 023e810adb2b597d9f2fb945e768a6e10615c253
Author: A S Alam <aalam@users.sf.net>
Date:   2012-03-15

    update Punjabi Translation

 po/pa.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d79dce483e5ebe8bfc76cf19079c17c1baf4ba28
Author: A S Alam <aalam@users.sf.net>
Date:   2012-03-15

    update Punjabi Translation

 po/pa.po | 397 ++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 254 insertions(+), 143 deletions(-)

commit 78b770d227a15601aa86a49e7e4e4bdf70f1d996
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   2012-03-14

    [l10n] Updated German translation

 po/de.po | 377 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 231 insertions(+), 146 deletions(-)

commit 19d0502086cb8a570ba9997c92782e439b8ca171
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   2012-03-14

    Updated French translation

 po/fr.po | 364 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 206 insertions(+), 158 deletions(-)

commit 54d576065201704785a2f84515ae008d9f6a1379
Author: Anita Reitere <nitalynx@gmail.com>
Date:   2012-03-14

    Updated Latvian translation.

 po/lv.po | 431 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 292 insertions(+), 139 deletions(-)

commit de59c6e209e72140e13f0a8966085bbe6f0f5134
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   2012-03-13

    Updated British English translation

 po/en_GB.po | 365 +++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 228 insertions(+), 137 deletions(-)

commit ecaa6ff6afe88e59d8bd738223229a113a626ea9
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2012-03-12

    Updated Norwegian bokmål translation

 po/nb.po | 113 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 64 insertions(+), 49 deletions(-)

commit 6fbdfcd098e8311260cbf273762190775e6751c5
Author: Daniel Nylander <po@danielnylander.se>
Date:   2012-03-12

    Updated Swedish translation

 po/sv.po | 113 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 64 insertions(+), 49 deletions(-)

commit 88acf2638a78e0068163a25c9019c2d025afb4a0
Author: Timo Jyrinki <timo@debian.org>
Date:   2012-03-12

    Finnish translation update from http://l10n.laxstrom.name/wiki/Gnome_3.4 translation sprint

 po/fi.po | 379 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 190 insertions(+), 189 deletions(-)

commit ffbf2f511da3689f9c234019dade4144bc51541d
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   2012-03-12

    Assamese translation completed

 po/as.po | 152 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 77 insertions(+), 75 deletions(-)

commit 6e72a4c99434c188150a68bbb6a02d9b20bfc582
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   2012-03-11

    Updated Russian translation

 po/ru.po | 148 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 77 insertions(+), 71 deletions(-)

commit 920e0869a17a73039fb8562731d659bfe22791e0
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   2012-03-10

    Updated Serbian translation

 po/sr.po       | 148 ++++++++++++++++++++++++++++++---------------------------
 po/sr@latin.po | 148 ++++++++++++++++++++++++++++++---------------------------
 2 files changed, 154 insertions(+), 142 deletions(-)

commit bf245e9cf71aac071e6faa7a54f445880911260a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   2012-03-10

    Updated Polish translation

 po/pl.po | 341 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 194 insertions(+), 147 deletions(-)

commit 7c8b0d9bc68b688d7ecce291d9183e4c842ea585
Author: Khoem Sokhem <khoemsokhem@khmeros.info>
Date:   2012-03-10

    Add initial Khmer translation

 po/LINGUAS |   1 +
 po/km.po   | 549 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 550 insertions(+)

commit ed97d17be69c7f26f6e5c7f9d88b4db604a9970d
Author: Arash Mousavi <amousavi@src.gnome.org>
Date:   2012-03-10

    Updated Persian Translation

 po/fa.po | 1282 +++++++++++++++++++++++++++-----------------------------------
 1 file changed, 558 insertions(+), 724 deletions(-)

commit c420edb28b2b8ab2468e16b5295e5584c0cca47a
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   2012-03-09

    Updated Belarusian translation.

 po/be.po | 150 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 83 insertions(+), 67 deletions(-)

commit 1ded1b4cc7cf889790dbe195b29964238d68621d
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:   2012-03-09

    [l10n] Updated Estonian translation

 po/et.po | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

commit c8ced19b024ba6f945e678bc4abb52daf3d64a8b
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   2012-03-09

    Updated Spanish translation

 po/es.po | 150 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 78 insertions(+), 72 deletions(-)

commit a6812d0b3792d2fec8515ebb5b4c9f9c78921167
Author: Stef Walter <stefw@gnome.org>
Date:   2012-03-09

    Release 3.3.91
    
     * Fix timer test

 NEWS                          |  7 +++++++
 configure.ac                  |  2 +-
 pkcs11/gkm/tests/test-timer.c | 14 +++++++-------
 3 files changed, 15 insertions(+), 8 deletions(-)

commit 45b79b43c4ec2763ffae52f6352eb256af4fba9c
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   2012-03-08

    Updated Galician translations

 po/gl.po | 113 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 64 insertions(+), 49 deletions(-)

commit 97b5a0d2f3602e2472a0a8231439d7aade907367
Author: Stef Walter <stefw@gnome.org>
Date:   2012-03-08

    dbus: Fix changing keyring password
    
     * Fix various code paths during prompting for changing password
     * Regression due to prompting changes.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=671441

 daemon/dbus/gkd-secret-change.c | 17 +++++++++++------
 1 file changed, 11 insertions(+), 6 deletions(-)

commit eef2891d18358ef01be7420726ca91699e761df9
Author: Alexander Shopov <ash@kambanaria.org>
Date:   2012-03-08

    Updated Bulgarian translation

 po/bg.po | 158 ++++++++++++++++++++++++++-------------------------------------
 1 file changed, 64 insertions(+), 94 deletions(-)

commit 42d2fbe552c1b631b6e5d8632c1c2169abb595df
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   2012-03-08

    Updated Slovenian translation

 po/sl.po | 137 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 76 insertions(+), 61 deletions(-)

commit bf28759cad9a2c38a90c522d95b09461239e81ea
Author: Stef Walter <stefw@gnome.org>
Date:   2012-02-10

    daemon: Set button labels in prompts
    
     * Use "Unlock" for unlock prompts
    
    Related to: https://bugzilla.gnome.org/show_bug.cgi?id=652459

 daemon/dbus/gkd-secret-change.c      |  3 +++
 daemon/gpg-agent/gkd-gpg-agent-ops.c |  1 +
 pkcs11/wrap-layer/gkm-wrap-prompt.c  | 12 ++++++++++++
 3 files changed, 16 insertions(+)

commit a7e00d2953c2a36f2d239da6e18986e947eae2ac
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   2012-03-08

    Assamese translation completed

 po/as.po | 1319 +++++++++++++++++++++++++++++---------------------------------
 1 file changed, 617 insertions(+), 702 deletions(-)

commit bc23855bffff3f692f010d99d12096597103d0b8
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:   2012-03-07

    Updated Korean translation

 po/ko.po | 347 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 213 insertions(+), 134 deletions(-)

commit c42fcf0377ff925d9f641247d53830fb24388c29
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   2012-03-04

    Updated Basque language

 po/eu.po | 333 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 205 insertions(+), 128 deletions(-)

commit 7a70195df79540ace0715addb1e5dd1f7fe8f3ab
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   2012-03-03

    Updated Hungarian translation

 po/hu.po | 358 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 220 insertions(+), 138 deletions(-)

commit 07942764cf8d77d6c3e05cb1e3762e4faa54a9a2
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:   2012-03-02

    [l10n] Updated Estonian translation

 po/et.po | 319 +++++++++++++++++++++++----------------------------------------
 1 file changed, 115 insertions(+), 204 deletions(-)

commit a62ebf1e8218cdbee95d945776a9bbbd6227bfe6
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   2012-02-28

    updated Tamil translation

 po/ta.po | 336 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 206 insertions(+), 130 deletions(-)

commit afbb3bfa4b7c39a0ec16b7f3f9d2be88ce58f39d
Author: Krasimir Chonov <mk2616@abv.bg>
Date:   2012-02-27

    Updated Bulgarian translation

 po/bg.po | 349 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 214 insertions(+), 135 deletions(-)

commit f21897179b150034b7cc3c3909176351d8b6b7fb
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   2012-02-20

    Updated Danish translation

 po/da.po | 333 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 205 insertions(+), 128 deletions(-)

commit 4ca2cd612e82971ae938f3a604277308d6fcfb4c
Author: Daniel Nylander <po@danielnylander.se>
Date:   2012-02-19

    Updated Swedish translation

 po/sv.po | 378 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 211 insertions(+), 167 deletions(-)

commit a726614f8bc8b16025f89ff19e259585ec4acc25
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   2012-02-15

    Updated Serbian translation

 po/sr.po       | 378 +++++++++++++++++++++++++++++++++++----------------------
 po/sr@latin.po | 360 +++++++++++++++++++++++++++++++++---------------------
 2 files changed, 455 insertions(+), 283 deletions(-)

commit cec5188c5a4276705d719134f91fe0552579b629
Author: Stef Walter <stefw@gnome.org>
Date:   2012-02-10

    gpg-agent: Fix assertion when cancelling prompt
    
     * Assertion when cancelling a password prompt because
       of null GError. Ignore null errors

 daemon/gpg-agent/gkd-gpg-agent-ops.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit de327ab6ea69bbecf4b9ee9f3ff2c38da76817f0
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2012-02-09

    Use a single ca certificates file by default
    
     * Defaults to either /etc/pki/tls/certs/ca-bundle.crt or
       /etc/ssl/certs/ca-certificates.crt like glib-networking
     * Also like glib-networking a different file can be specified
       with --with-ca-certificates=/path/to/file
     * To disable root CA list, use --with-ca-certificates=no
     * As before a full directory of certificate files can still
       be specified with: --with-root-certs=/etc/ssl/certs

 configure.ac                          | 55 +++++++++++++++++-----------
 daemon/gkd-pkcs11.c                   |  2 -
 pkcs11/roots-store/gkm-roots-module.c | 69 +++++++++++++++++++++++++----------
 3 files changed, 84 insertions(+), 42 deletions(-)

commit a1482b540e0418d6e5cf1d1399fe20674f4c990b
Author: Stef Walter <stefw@gnome.org>
Date:   2012-02-04

    Release 3.3.5

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit bf4d66bcdf58cd94f9b66c793ecf3283bcfca439
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   2012-01-30

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 306 ++++++++++++++++++++++++++++++++---------------------------
 po/zh_TW.po | 308 +++++++++++++++++++++++++++++++++---------------------------
 2 files changed, 336 insertions(+), 278 deletions(-)

commit 7a53d0d83d3f1a7b90d57ae808195d705034c3a0
Author: Stef Walter <stefw@gnome.org>
Date:   2012-01-27

    Fix the introspect data for SearchItems()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=668757

 daemon/dbus/gkd-secret-introspect.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 0f9d18b97d850c48f574f82667db4b3c232bbd75
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2012-01-25

    Updated Norwegian bokmål translation

 po/nb.po | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit ebc8c68500f4a038e737a23623cafabecdd47926
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   2012-01-21

    Updated Slovenian translation

 po/sl.po | 256 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 142 insertions(+), 114 deletions(-)

commit b080a2d397732650b67e0790bccd950423a6b89f
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2012-01-18

    daemon: Fix regression when an invalid password used to unlock
    
     * Fix regression which emitted an warning when an invalid password
       used to unlock a keyring.

 daemon/dbus/gkd-secret-error.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 1951da8e0de972ae5e506e5c5bdf86168347978e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2012-01-16

    Release version 3.3.4

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 94e3161cd6af567f74d9b02fc89ee3e6a48b587f
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   2012-01-15

    Updated Galician translations

 po/gl.po | 298 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 166 insertions(+), 132 deletions(-)

commit c87d3f8d87c202940d970fd5ad2f279cf81e4d4d
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   2012-01-14

    Updated Lithuanian translation

 po/lt.po | 393 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 218 insertions(+), 175 deletions(-)

commit 007f3d57667c2c2f274c7566d9f056a6044c5995
Author: Ryan Lortie <desrt@desrt.ca>
Date:   2012-01-08

    gnome2-store: fix srcdir != builddir jhbuilds
    
    https://bugzilla.gnome.org/show_bug.cgi?id=667574

 pkcs11/gnome2-store/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit cf254e353b686c2ce11b492c0b4677e444a9f8f5
Author: Jovan Naumovski <jovan3.14@gmail.com>
Date:   2012-01-08

    Updated Macedonian translation.

 po/mk.po | 504 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 260 insertions(+), 244 deletions(-)

commit cf12a2a959b83a006ac1aeb009f4ae3a38af3c50
Author: Hideki Yamane <henrich@debian.org>
Date:   2012-01-07

    Updated Japanese translation

 po/ja.po | 396 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 236 insertions(+), 160 deletions(-)

commit 2172abeaf617d543a08e378b9a8c50bf931004d5
Author: Stas Solovey <whats_up@tut.by>
Date:   2012-01-05

    Updated Russian translation

 po/ru.po | 392 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 220 insertions(+), 172 deletions(-)

commit 33e9e01fd19fc7cca7932290f044e99ba4c124ca
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:   2011-12-31

    [l10n]Updated Turkish translation

 po/tr.po | 348 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 212 insertions(+), 136 deletions(-)

commit 3d7e33de800a4b2ba583ffa6d5d1ebf96af9f270
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   2011-12-30

    Updated Hebrew translation.

 po/he.po | 248 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 139 insertions(+), 109 deletions(-)

commit f68b5eca6603a7779cadf96bc927be3c914fc332
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   2011-12-23

    Updated Belarusian translation.

 po/be.po | 307 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 171 insertions(+), 136 deletions(-)

commit 19f484a6a57a5b06e86a6a395e739259f2382808
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-22

    daemon: Update for changes in gck
    
     * Remove the gck_builder_add_owned function

 configure.ac                           |  2 +-
 daemon/dbus/gkd-secret-create.c        |  2 +-
 daemon/dbus/gkd-secret-objects.c       |  2 +-
 daemon/gpg-agent/gkd-gpg-agent-ops.c   |  6 +++---
 daemon/ssh-agent/gkd-ssh-agent-ops.c   |  4 ++--
 daemon/ssh-agent/gkd-ssh-agent-proto.c | 14 +++++++-------
 6 files changed, 15 insertions(+), 15 deletions(-)

commit 67b29749ad44009d8a8720c2b29e84a3e49b8ac8
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2011-12-22

    Updated Norwegian bokmål translation

 po/nb.po | 281 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 134 insertions(+), 147 deletions(-)

commit 8f6df8f43aa6218e4f8727188a96e6a0990d40fd
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-21

    Changes in version 3.3.3.1 are:
     * No message in gnome-keyring-pkcs11.so module, when no daemon running
     * Updated translations
     * Build fixes

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit e3fdda07865dae42bb79811b374f8043235573ac
Author: Jürg Billeter <j@bitron.ch>
Date:   2011-12-20

    wrap-layer: Fix build
    
    gkm-wrap-prompt.c uses g_initable_init, which is part of GIO.

 pkcs11/wrap-layer/Makefile.am | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 51f8e221a6ed84ad79a0820b33843ff87bf4ec21
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   2011-12-19

    Updated Spanish translation

 po/es.po | 285 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 166 insertions(+), 119 deletions(-)

commit 5ca7387952f99bf318d337df2d853f5bc3c0ddd2
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-19

    rpc-layer: Correctly handle case where gnome-keyring-daemon not running
    
     * In the gnome-keyring-pkcs11.so module return stand in info
       when the gnome-keyring-daemon info is not running.
     * In addition no slots will be listed
    
    https://bugzilla.gnome.org/show_bug.cgi?id=665961

 pkcs11/rpc-layer/gkm-rpc-module.c | 195 +++++++++++++++++++++-----------------
 1 file changed, 106 insertions(+), 89 deletions(-)

commit da4cc3d28dfe16c4ab8ddf613f2a2baec9868b99
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-19

    Release version 3.3.3

 NEWS | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 458e94a557cdc796110b44ee3d2dfc0f786ea244
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-19

    daemon: Fix regressions in GckAttributes handling

 daemon/dbus/gkd-secret-change.c      | 13 +++++++------
 daemon/dbus/gkd-secret-create.c      |  1 -
 daemon/gpg-agent/gkd-gpg-agent-ops.c |  4 ++--
 3 files changed, 9 insertions(+), 9 deletions(-)

commit 27e27ed41f4c5e1739c7dd259105b6a20f3528d4
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-19

    daemon: Distribute correct desktop autostart files
    
     * Distribute xxx.in.in files instead of xxx.in files
    
    https://bugzilla.gnome.org/show_bug.cgi?id=664185

 daemon/Makefile.am                     | 14 ++++++++------
 daemon/gnome-keyring-gpg.desktop.in.in |  2 +-
 2 files changed, 9 insertions(+), 7 deletions(-)

commit 084ce5e086cd9b1ac2a64157023e192747c8cd14
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-03

    Use GcrPrompt and GcrSystemPrompt for prompting
    
     * This is a dbus based prompting interface recently
       added to libgcr
    
    https://bugzilla.gnome.org/show_bug.cgi?id=656954

 Makefile.am                                        |    1 -
 configure.ac                                       |   10 +-
 daemon/Makefile.am                                 |    1 -
 daemon/dbus/gkd-secret-change.c                    |  317 +++--
 daemon/dbus/gkd-secret-change.h                    |    7 +-
 daemon/dbus/gkd-secret-create.c                    |  197 ++--
 daemon/dbus/gkd-secret-create.h                    |    2 +-
 daemon/dbus/gkd-secret-error.c                     |   35 +-
 daemon/dbus/gkd-secret-error.h                     |   12 +-
 daemon/dbus/gkd-secret-prompt.c                    |  127 +-
 daemon/dbus/gkd-secret-prompt.h                    |   24 +-
 daemon/dbus/gkd-secret-service.c                   |   15 +-
 daemon/dbus/gkd-secret-session.c                   |   29 +-
 daemon/dbus/gkd-secret-session.h                   |    2 +-
 daemon/dbus/gkd-secret-unlock.c                    |    8 +-
 daemon/dbus/gkd-secret-unlock.h                    |    2 +-
 daemon/gpg-agent/Makefile.am                       |    2 +-
 daemon/gpg-agent/gkd-gpg-agent-ops.c               |  143 +--
 docs/Makefile.am                                   |    5 +-
 docs/gnome-keyring-daemon/Makefile.am              |   22 -
 docs/gnome-keyring-daemon/docbook-params.xsl       |   39 -
 .../org.gnome.keyring.Prompter.xml                 |  103 --
 docs/tools/resolve-type.xsl                        |  122 --
 docs/tools/spec-to-docbook.xsl                     | 1242 --------------------
 docs/tools/spec-to-introspect.xsl                  |  147 ---
 pkcs11/wrap-layer/Makefile.am                      |    3 +-
 pkcs11/wrap-layer/gkm-wrap-prompt.c                |  630 +++++-----
 pkcs11/wrap-layer/gkm-wrap-prompt.h                |   16 +-
 pkcs11/wrap-layer/tests/Makefile.am                |    3 +-
 pkcs11/wrap-layer/tests/mock-secret-store.c        |    2 -
 pkcs11/wrap-layer/tests/test-create-credential.c   |   22 +-
 pkcs11/wrap-layer/tests/test-init-pin.c            |   16 +-
 pkcs11/wrap-layer/tests/test-login-auto.c          |   50 +-
 pkcs11/wrap-layer/tests/test-login-specific.c      |   22 +-
 pkcs11/wrap-layer/tests/test-login-user.c          |   22 +-
 pkcs11/wrap-layer/tests/test-set-pin.c             |   17 +-
 po/POTFILES.in                                     |    3 -
 ui/.gitignore                                      |    2 -
 ui/Makefile.am                                     |   94 --
 ui/gku-prompt-marshal.list                         |    1 -
 ui/gku-prompt-tool.c                               | 1208 -------------------
 ui/gku-prompt.c                                    | 1200 -------------------
 ui/gku-prompt.h                                    |  150 ---
 ui/gku-prompt.ui                                   |  357 ------
 ui/gnome-keyring-prompt.desktop.in.in              |    8 -
 ui/tests/Makefile.am                               |    3 -
 ui/tests/files/prompt-create                       |   12 -
 ui/tests/files/prompt-empty                        |    4 -
 ui/tests/files/prompt-full                         |   17 -
 ui/tests/files/prompt-test                         |    8 -
 50 files changed, 1001 insertions(+), 5483 deletions(-)

commit 186427537280bdfad06c72b0cfeb31a0f2509307
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-01

    ui: Add and document interface for dbus based prompting
    
    https://bugzilla.gnome.org/show_bug.cgi?id=656954

 .gitignore                                         |    3 +
 configure.ac                                       |    1 +
 docs/Makefile.am                                   |    5 +-
 docs/gnome-keyring-daemon/Makefile.am              |   22 +
 docs/gnome-keyring-daemon/docbook-params.xsl       |   39 +
 .../org.gnome.keyring.Prompter.xml                 |  103 ++
 docs/tools/resolve-type.xsl                        |  122 ++
 docs/tools/spec-to-docbook.xsl                     | 1242 ++++++++++++++++++++
 docs/tools/spec-to-introspect.xsl                  |  147 +++
 9 files changed, 1683 insertions(+), 1 deletion(-)

commit d08d382f2a3a4d22b676f3787e8ad6f504947dd5
Merge: 7681245 45c20e1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-15

    Merge branch 'gnome-3-2'

commit 45c20e1d2613b780dc3de7e4614ee37667092fb7
Author: Steve Frécinaux <code@istique.net>
Date:   2011-12-03

    Do not crash when reading a seemingly valid but truncated keyring file
    
    The binary keyring parsing function used to trust the values written in
    the files a little too much. If for some reason the keyring file has
    been truncated, then a memcpy() was attempted but failed with a segfault
    because the actual file was smaller than its expected size.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=665510

 pkcs11/secret-store/gkm-secret-binary.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 3a7435329e4f5a23bec66b0fe9e16f5f79d57c5a
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-01

    secret-store: Don't make generated collection identifier lower case
    
     * This is to work around problems with libgnome-keyring
       and how it uses labels to identify keyrings

 pkcs11/secret-store/gkm-secret-collection.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7681245859ced6fe50b3d38e5978a5e8e295597d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-06

    secret-store: Add test tool for dumping the keyring format
    
     * Lives in pkcs11/secret-store/tests/dump-keyring0-format
     * Outputs in the text GKeyFile style format

 .gitignore                                       |   1 +
 pkcs11/secret-store/tests/Makefile.am            |   2 +
 pkcs11/secret-store/tests/dump-keyring0-format.c | 662 +++++++++++++++++++++++
 3 files changed, 665 insertions(+)

commit aa137e31e47a753c24b603bba6f4dc1e9af0bd19
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   2011-12-10

    Updated Hebrew translation.

 po/he.po | 153 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 88 insertions(+), 65 deletions(-)

commit d51c4a634fb0760f4ff5a79b02b855aab8ab4e38
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-09

    rpc-layer: Fix integer size mismatch on amd64
    
     * This was manifested by a problem returning the size of a
       C_Sign operation
     * sizeof (size_t) != sizeof (uint32_t)

 pkcs11/rpc-layer/gkm-rpc-module.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 79b509c918197aa646b7851f4a879ded5dbc23c8
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-08

    Bump version number

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e10549d7f3a9ae2a649473cd771948914b15be79
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-06

    Update for GckBuilder changes in libgck
    
     * Updated for builder and immutable GckAttributes
     * Remove deprecated functions

 configure.ac                             |   2 +-
 daemon/dbus/gkd-secret-change.c          |  16 +-
 daemon/dbus/gkd-secret-create.c          |  28 ++--
 daemon/dbus/gkd-secret-lock.c            |  10 +-
 daemon/dbus/gkd-secret-objects.c         | 127 +++++++---------
 daemon/dbus/gkd-secret-property.c        | 111 ++++++++------
